2004-02-07 13:34  mbickel

	* asc.kdevprj, data/railstat.map, source/gameevents.h,
	source/gamemap.h, source/prehistoricevents.cpp,
	source/strtmesg.cpp, source/viewcalculation.cpp:  Fixed compilation
	problems
	 Version now 1.14.0.0

2004-02-04 19:47  mbickel

	* source/terraintype.h:  Fixed broken vector::at() with gcc 2.95

2004-02-01 16:56  mbickel

	* libtool, source/sg.cpp, source/unix/Makefile.am,
	source/unix/Makefile.in:  Updated makefiles

2004-02-01 16:17  mbickel

	* data/: asc003.map, asc004.map, asc005.map, asc006.map,
	asc007.map, asc008.map, asc009.map, asc001.map, asc002.map,
	asc010a.map, asc010b.map:  Updated campaign maps

2004-02-01 14:39  mbickel

	* data/helpsyst.txt, source/building.cpp, source/gameevents.cpp,
	source/gameevents.h, source/gameeventsystem.cpp,
	source/gamemap.cpp, source/gamemap.h, source/spfst.cpp,
	source/spfst.h, source/strtmesg.cpp:  New event action: set view
	sharing
	 Fixed lots of bugs

2004-01-25 20:44  mbickel

	* source/: baseaiinterface.h, basestrm.h, buildings.h, dlg_box.cpp,
	edevents.cpp, edmisc.cpp, gamedlg.h, gameevents.cpp,
	gameeventsystem.cpp, mapalgorithms.cpp, misc.h, sg.cpp, spfst.h,
	strtmesg.cpp, textfiletags.cpp, typen.h, vehicle.h,
	tools/win/tools.bpr:  Many, many bugfixes
	 Removed #pragma pack whereever possible

2004-01-23 19:32  mbickel

	* data/: asc003.map, asc004.map, asc005.map, asc006.map,
	asc007.map, asc008.map, asc009.map, first.map, first.msg,
	paybacktime.map, paybacktime.msg:  Updated campaign maps

2004-01-23 19:29  mbickel

	* data/helpsyst.txt, source/building.cpp, source/controls.cpp,
	source/dlg_box.cpp, source/errors.h, source/gameeventsystem.cpp,
	source/gamemap.cpp, source/gamemap.h, source/graphicset.cpp,
	source/gui.cpp, source/itemrepository.h, source/loaders.cpp,
	source/loaders.h, source/mapdisplay.cpp, source/replay.cpp,
	source/replay.h, source/sg.cpp, source/spfst.cpp, source/spfst.h,
	source/strtmesg.cpp, source/textfile_evaluation.cpp,
	source/unitctrl.cpp, source/vehicle.cpp, source/vehicle.h,
	source/ai/misc.cpp, source/ai/service.cpp, source/sdl/sound.cpp,
	source/tools/mount.cpp:  Fixed replay problems
	 Fixed crash when landing with unit

2004-01-21 15:42  mbickel

	* source/: baseaiinterface.h, building.cpp, buildings.cpp,
	buildings.h, buildingtype.h, containerbase.h, controls.cpp,
	edglobal.cpp, edglobal.h, edmisc.cpp, gamemap.cpp, gamemap.h,
	objecttype.cpp, objecttype.h, replay.cpp, replay.h, sg.cpp,
	statisticdialog.cpp, statisticdialog.h, strtmesg.cpp, unitctrl.cpp,
	vehicle.h, vehicletype.cpp, ai/buildingcapture.cpp, ai/misc.cpp,
	win32/borland/asc.bpr:	Fixed: external loading not working
	 Improved AI
	 Fixed and improved replay resource checking
	 Fixed various display errors

2004-01-16 22:47  mbickel

	* asc.bpg:  Updated project files

2004-01-16 22:17  mbickel

	* ChangeLog, Makefile.in, asc.kdevprj, bootstrap, configure,
	configure.in, libtool, data/Makefile.in, data/dialog/Makefile.in,
	data/music/Makefile.in, doc/Makefile.in, doc/manpages/Makefile.in,
	source/Makefile.in, source/dlg_box.cpp,
	source/polygontriangulation.h, source/ai/Makefile.am,
	source/ai/Makefile.in, source/clparser/Makefile.in,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/tools/Makefile.in,
	source/tools/lib/Makefile.in, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in, source/unix/Makefile.am,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Updated unix build system for
	new gameevents

2004-01-16 20:16  mbickel

	* source/: weather.cpp, weather.h:  Removing weather.cpp weather.h

2004-01-16 20:14  mbickel

	* source/: gameevent_dialogs.cpp, gameevent_dialogs.h,
	gameevents.cpp, gameevents.h, gameeventsystem.cpp,
	gameeventsystem.h, mappolygons.cpp, mappolygons.h,
	prehistoricevents.cpp, prehistoricevents.h:  Adding files for new
	event system

2004-01-16 16:33  mbickel

	* asc.bpg, data/asc003.map, data/message1.txt,
	source/CLoadable.cpp, source/TODO, source/astar2.cpp,
	source/building.cpp, source/buildings.cpp, source/buildingtype.cpp,
	source/buildingtype.h, source/containerbase.cpp,
	source/containerbase.h, source/containerbasetype.cpp,
	source/containerbasetype.h, source/controls.cpp, source/controls.h,
	source/dashboard.cpp, source/dlg_box.cpp, source/dlg_box.h,
	source/edevents.cpp, source/edevents.h, source/edglobal.cpp,
	source/edmisc.cpp, source/edmisc.h, source/gamedlg.cpp,
	source/gamedlg.h, source/gamemap.cpp, source/gamemap.h,
	source/gameoptions.cpp, source/gameoptions.h, source/gui.cpp,
	source/loadbi3.cpp, source/loaders.cpp, source/loaders.h,
	source/mapdisplay.cpp, source/mapdisplay.h, source/missions.cpp,
	source/missions.h, source/objecttype.cpp, source/objecttype.h,
	source/paradialog.cpp, source/password_dialog.h,
	source/polygontriangulation.h, source/resourcenet.cpp,
	source/resourcenet.h, source/sg.cpp, source/simplestream.cpp,
	source/soundList.cpp, source/soundList.h, source/spfst.cpp,
	source/strtmesg.cpp, source/terraintype.cpp, source/terraintype.h,
	source/textfiletags.cpp, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/unitctrl.h, source/vehicle.cpp,
	source/viewcalculation.cpp, source/viewcalculation.h,
	source/ai/ai.bpr, source/ai/ai_common.h,
	source/libs/loki/AbstractFactory.h, source/libs/loki/AssocVector.h,
	source/libs/loki/EmptyType.h, source/libs/loki/Factory.h,
	source/libs/loki/Functor.h, source/libs/loki/HierarchyGenerators.h,
	source/libs/loki/MultiMethods.h, source/libs/loki/NullType.h,
	source/libs/loki/Singleton.cpp, source/libs/loki/Singleton.h,
	source/libs/loki/SmallObj.cpp, source/libs/loki/SmallObj.h,
	source/libs/loki/SmartPtr.h, source/libs/loki/Threads.h,
	source/libs/loki/Tuple.h, source/libs/loki/TypeInfo.h,
	source/libs/loki/TypeManip.h, source/libs/loki/TypeTraits.h,
	source/libs/loki/Typelist.h, source/libs/loki/Visitor.h,
	source/libs/loki/readme.txt, source/libs/loki/static_check.h,
	source/tools/weaponguide.cpp, source/tools/win/bin2text.bpr,
	source/tools/win/gfx2pcx.bpr, source/tools/win/makegfx.bpr,
	source/tools/win/tank2pcx.bpr, source/tools/win/tools.bpr,
	source/tools/win/viewid.bpr, source/tools/win/weaponguide.bpr,
	source/unix/Makefile.am, source/unix/mapeditor/Makefile.am,
	source/win32/borland/asc.bpr, source/win32/borland/asc.mak,
	source/win32/borland/mapeditor/mapeditor.bpr,
	source/win32/borland/mapeditor/mapeditor.mak: Completely rewritten
	game event system TPWM-decoding-Patch Fixed: swallog message: wrong
	coordinates Autotraining for units with max ammo only Movement
	required for clearing mines Unit names can be edited weather
	dependen object properties Unit swallowed by ground -> unified
	message units cannot enter enemy transports Building entry has
	constant movemalus Message for resource transfer for providing
	player increased ammo production cost Fixed: unit could attack
	after movement (with RF on) although "no attack after move"
	property was set Buildings: new properties:
	"ExternalResourceTransfer", "ExternalAmmoTransfer" Container:
	Movemalus override for unloading Startup map specified in ASC.INI

2004-01-06 15:41  mbickel

	* data/message1.txt, source/buildings.cpp, source/buildingtype.h,
	source/edmisc.cpp, source/strtmesg.cpp:  Fixed: resource sink not
	working

2003-12-29 19:24  mbickel

	* source/: building.cpp, strtmesg.cpp:	Fixed graphical errors when
	producing units

2003-12-28 19:09  mbickel

	* source/: buildings.cpp, strtmesg.cpp:  Updated version to 1.13.9

2003-12-28 15:39  mbickel

	* data/first.msg, source/CLoadable.cpp, source/buildings.cpp,
	source/buildings.h, source/controls.cpp, source/gamedlg.cpp,
	source/gameoptions.cpp, source/gameoptions.h, source/strtmesg.cpp,
	source/unitctrl.cpp:  new function: automatic training
	 energy not manually transferable any more

2003-12-28 11:41  mbickel

	* data/helpsyst.txt, source/buildings.cpp, source/buildings.h,
	source/buildingtype.cpp, source/buildingtype.h,
	source/mapalgorithms.cpp, source/textfiletags.cpp:  New building
	function: resource sink

2003-12-27 23:34  mbickel

	* source/: typen.h, ai/buildingcapture.cpp:  Applied patch for
	improved AI building capturing (by Bernhard Oemer)
	 Destructing buildings now gives 50% material back

2003-12-27 19:27  mbickel

	* data/message1.txt, data/paybacktime.map, source/building.cpp,
	source/edmisc.cpp, source/gamemap.cpp, source/gamemap.h,
	source/sg.cpp, source/textfiletags.cpp, source/vehicle.cpp,
	source/vehicletype.cpp, source/vehicletype.h,
	source/viewcalculation.cpp:  New vehicle function: no reaction fire
	 new map parameter: disable unit/building transfer
	 fixed broken bridge in second campaign map
	 container now display number of cargo slots

2003-11-21 20:25  mbickel

	* source/: strtmesg.cpp, viewcalculation.cpp, tools/win/tools.bpr,
	win32/fileio.h, win32/borland/mapeditor/mapeditor.bpr:	Fixed:
	invisible own units when directview disabled

2003-11-20 19:33  mbickel

	* source/: containerbase.cpp, strtmesg.cpp:  Fixed: full buildings
	could not be conquered

2003-11-18 19:29  mbickel

	* config.h.in, configure, configure.in, libtool,
	source/basestrm.cpp, source/simplestream.cpp, source/vehicle.cpp,
	source/vehicle.h, source/tools/bin2text.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	source/unix/Makefile.am, source/unix/Makefile.in,
	source/unix/fileio.h, source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Fixed unix compilation problems

2003-11-16 22:46  mbickel

	* source/: basestrm.cpp, basestrm.h, basicmessages.h, basictypes.h,
	global.h, music.h, simplestream.cpp, simplestream.h, strtmesg.cpp,
	textfile_evaluation.cpp, textfile_evaluation.h, textfileparser.cpp,
	textfileparser.h, typen.h, unitctrl.cpp, vehicle.cpp,
	win32/borland/asc.bpr:	Some cleanup and restructuring
	 Fixed: newly produced units could not leave building

2003-11-16 19:37  mbickel

	* source/: attack.cpp, strtmesg.cpp, textfiletags.cpp, vehicle.cpp,
	vehicletype.cpp:  Fixed reaction fire bugs
	 Fixed hemming bug
	 new vehicle function: cruiserlanding

2003-11-11 21:03  mbickel

	* source/: attack.cpp, controls.cpp, strtmesg.cpp,
	textfiletags.cpp, typen.h, vehicle.cpp, vehicle.h, vehicletype.cpp,
	vehicletype.h, ai/tactics.cpp:	No hemming for aircraft any more
	 new vehicle type flag: move during ReactionFire
	 movemalus 11 for all submerged units

2003-10-31 20:49  mbickel

	* source/: strtmesg.cpp, unitctrl.cpp:	Fixed: reaction fire could
	attack units that were invisible due to jamming

2003-10-31 20:13  mbickel

	* source/mapdisplay.cpp:  Fixed: crash when movement-speed = 0

2003-10-29 21:45  mbickel

	* data/helpsys2.txt, data/helpsyst.txt, source/attack.cpp,
	source/gamemap.cpp, source/gamemap.h, source/strtmesg.cpp,
	source/textfile_evaluation.cpp, source/unitctrl.cpp,
	source/viewcalculation.cpp, source/tools/weaponguide.cpp:  New game
	parameter: disable direct view
	 better error messages

2003-09-04 18:35  mbickel

	* source/gamedlg.cpp:  Fixed gcc compilation problems

2003-09-03 23:18  mbickel

	* source/: attack.cpp, resourcenet.cpp, strtmesg.cpp, sgstream.cpp:
	 Fixed: crash when trying to extract resources from neutral
	buildings
	 Fixed: kamikaze unit surviving attack on buildings and objects

2003-08-28 20:08  mbickel

	* source/: gamedlg.cpp, strtmesg.cpp, strtmesg.h:  Added version
	information to Play Time dialog

2003-08-24 15:34  mbickel

	* ChangeLog, libtool, source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Updated makefiles

2003-08-24 14:48  mbickel

	* source/: building.cpp, replay.cpp, replay.h, unitctrl.cpp:  Fixed
	even move replay problems

2003-08-23 12:36  mbickel

	* source/controls.cpp:	Fixed yet another replay error

2003-08-22 18:58  mbickel

	* source/: controls.cpp, flview.cpp, flview.h, vehicle.h,
	sdl/sound.cpp, win32/borland/mapeditor/mapeditor.bpr:  Better error
	messages when sound is missing
	 Fixed: movement problems

2003-08-22 18:04  mbickel

	* source/: building.cpp, containerbase.cpp, strtmesg.cpp:  Fixed:
	invalid replay warnings

2003-08-18 20:15  mbickel

	* source/: sgstream.cpp, soundList.cpp, strtmesg.cpp:  Fixed
	disabled sound
	 Increased data version requirement

2003-08-17 22:26  mbickel

	* source/: gamedlg.cpp, gamedlg.h, sg.cpp:  Added function: show
	playing time

2003-08-17 21:34  mbickel

	* source/: containerbase.cpp, strtmesg.cpp, textfileparser.cpp,
	unitctrl.cpp, vehicle.cpp:  Fixed: units moving out of container
	had wrong movement
	 Fixed: unitheightrel wrong sign - units could not enter transports
	 ASC now checks for duplicate IDs on abstract types too.

2003-08-10 22:27  mbickel

	* source/: ASCStringHelpers.h, basestrm.cpp:  Fixed  NetBSD
	problems

2003-08-10 15:36  mbickel

	* source/: astar2.cpp, astar2.h, strtmesg.cpp:	Fixed movement
	problems

2003-08-07 21:58  mbickel

	* source/: dlg_box.cpp, soundList.cpp, soundList.h:  Improved error
	handling and logging for sounds

2003-08-05 22:04  mbickel

	* source/vehicle.cpp:  Fixed crash when moving ice breaker in or
	out of buildings

2003-07-06 18:47  mbickel

	* ChangeLog, source/strtmesg.cpp:  Changed version to 1.13.7

2003-07-06 17:13  mbickel

	* source/unix/: Makefile.in, mapeditor/Makefile.in:  rerun boostrap

2003-07-06 17:10  mbickel

	* configure, configure.in, libtool, source/controls.cpp,
	source/dialog.cpp, source/dialog.h, source/edglobal.cpp,
	source/edmain.cpp, source/edmisc.cpp, source/map2pcx.cpp,
	source/mapdisplay.cpp, source/mapdisplay.h, source/replay.cpp,
	source/replay.h, source/sg.cpp, source/unix/Makefile.am,
	source/unix/mapeditor/Makefile.am:  Better configure messages
	 code cleanup
	 Replays update resources for constructing / removing objects

2003-07-06 15:16  mbickel

	* data/asc003.map, data/evilisle.map, data/railstat.map,
	source/missions.cpp, source/missions.h, source/strtmesg.cpp,
	source/typen.h:  Updated maps

2003-06-30 21:56  mbickel

	* ChangeLog, source/typen.h:  Fixed compilation problems with GCC

2003-06-29 22:39  mbickel

	* source/: buildings.cpp, strtmesg.cpp:  Fixed: matter converter
	not working when energy net full

2003-06-29 19:52  mbickel

	* source/: astar2.cpp, containerbase.cpp:  Fixed crash when moving
	unit through enemy buildings

2003-06-26 23:00  mbickel

	* data/railstat.map, source/edmisc.cpp, source/gui.cpp,
	source/memorycheck.cpp, source/missions.cpp, source/missions.h,
	source/sg.cpp, source/strtmesg.cpp, source/typen.cpp,
	source/typen.h, source/weather.cpp, source/weather.h,
	source/win32/borland/mapeditor/mapeditor.bpr:  Fixed: land mines
	could not be carried on bridges

2003-06-22 20:08  mbickel

	* source/strtmesg.cpp:	Updated version number

2003-06-22 19:41  mbickel

	* source/: astar2.cpp, attack.cpp, attack.h, building.cpp,
	containerbase.cpp, containerbase.h, controls.cpp, gamedlg.cpp,
	gamedlg.h, gamemap.cpp, gamemap.h, gui.cpp, strtmesg.cpp,
	textfiletags.cpp, typen.h, unitctrl.cpp, vehicle.cpp, ai/misc.cpp,
	ai/tactics.cpp, win32/borland/mapeditor/mapeditor.bpr:	Updated
	campaign maps
	 Fixed crash at 640*480
	 Fixed: some units could not attack while reaction fire active
	 Fixed: destruction of buildings not working
	 New map parameters for customizing the effects of experience

2003-06-16 18:50  mbickel

	* source/: controls.cpp, vehicle.cpp, ai/valuation.cpp:  Fixed
	compilation problems

2003-06-16 18:12  mbickel

	* data/asc007.map, data/asc008.map, source/building.cpp,
	source/strtmesg.cpp:  Updated campaign maps
	 Fixed crash in mining window

2003-06-10 21:16  mbickel

	* source/: attack.cpp, building.cpp, controls.cpp, gamemap.cpp,
	gamemap.h, gui.cpp, sg.cpp, strtmesg.cpp, textfiletags.cpp,
	typen.h, unitctrl.cpp, vehicle.cpp, vehicle.h, vehicletype.h,
	ai/base.cpp:  Fixed: dig icon not always working
	 Fixed: attack-flag not set when moving only one field out of a
	transport

2003-06-04 18:57  mbickel

	* source/typen.cpp:  Disabled uncompleted event system

2003-06-03 21:55  mbickel

	* source/: astar2.cpp, attack.cpp, basestrm.cpp, building.cpp,
	containerbase.cpp, containerbase.h, dashboard.cpp, dialog.cpp,
	edmisc.cpp, gamemap.cpp, gameoptions.cpp, gui.cpp, strtmesg.cpp,
	typen.cpp, typen.h, unitctrl.cpp, vehicle.cpp, vehicle.h,
	viewcalculation.cpp, ai/buildingcapture.cpp, ai/misc.cpp,
	ai/valuation.cpp:  Ground mines can be put onto bridges
	 better AI production

2003-06-01 17:03  mbickel

	* source/: basestrm.h, misc.cpp, soundList.cpp, sdl/Makefile.am,
	sdl/Makefile.in, sdl/SDLStretch.h, sdl/asc_IMG_jpg.c,
	sdl/graphics.cpp, sdl/keysymbols.h, sdl/sound.cpp,
	tools/linux/Makefile.am, tools/linux/Makefile.in, unix/global_os.h,
	win32/borland/global_os.h, win32/msvc/global_os.h:  Some updates to
	the build system for FreeBSD

2003-06-01 15:27  mbickel

	* source/typen.h:  Removed unnecessary header file

2003-05-29 21:08  mbickel

	* asc.kdevprj, configure, configure.in, libtool,
	source/paradialog.cpp, source/paradialog.h, source/sg.cpp:  Paragui
	can be disabled by configure parameter

2003-05-29 15:54  mbickel

	* data/asc006.map, data/asc008.map, data/music1.asctxt,
	data/railstat.map, source/building.cpp, source/containerbase.cpp,
	source/mapdisplay.cpp, source/replay.cpp, source/replay.h,
	source/strtmesg.cpp, source/terraintype.cpp, source/terraintype.h,
	source/textfiletags.cpp, source/unitctrl.cpp, source/vehicle.cpp,
	source/ai/ai.h, source/ai/base.cpp, source/ai/misc.cpp,
	source/ai/tactics.cpp, source/win32/borland/asc.bpr:  Fixed: unit
	could not enter container when having max size
	 Added SDL_Delay() to movement loop (for FreeBSD)
	 Added Lava_Barrier terrain bit
	 AI logs unit success
	 Replay have a much stricted consistency checking for refuelling

2003-05-19 16:19  mbickel

	* source/: astar2.cpp, buildings.cpp, containerbase.cpp,
	containerbase.h, sg.cpp, strtmesg.cpp, vehicle.cpp, ai/tactics.cpp,
	win32/borland/asc.bpr:	Fixed crash when moving unit through
	container

2003-05-09 12:10  mbickel

	* source/: controls.cpp, strtmesg.cpp, vehicle.cpp,
	win32/borland/asc.bpr:	Fixed crash when moving unit through a
	building

2003-05-08 14:41  mbickel

	* data/asc007.map:  Fixed: invalid objects in asc007

2003-05-07 19:20  mbickel

	* source/vehicle.cpp:  Fixed: movement not always saved correctly

2003-05-06 21:58  mbickel

	* ChangeLog, libtool, source/basegfx.cpp, source/basestrm.cpp,
	source/typen.cpp:  Fixed compilation problems

2003-05-06 21:06  mbickel

	* source/strtmesg.cpp:	Version now 1.13.5

2003-05-06 21:02  mbickel

	* source/strtmesg.cpp:	Updated version number

2003-05-06 21:01  mbickel

	* data/asc003.map, data/asc005.map, data/asc006.map,
	data/asc007.map, data/asc008.map, data/asc008.msg,
	source/dlg_box.cpp, source/missions.cpp, source/strtmesg.cpp,
	source/typen.h:  Updated campaign maps

2003-05-01 20:02  mbickel

	* source/: attack.cpp, attack.h, basestrm.cpp, basestrm.h,
	controls.cpp, controls.h, dialog.cpp, edevents.cpp, gamedlg.cpp,
	gamemap.cpp, gamemap.h, loaders.cpp, loadpcxc.cpp, mapdisplay.cpp,
	missions.cpp, missions.h, replay.cpp, spfst.cpp, strtmesg.cpp,
	terraintype.cpp, typen.cpp, typen.h, unitctrl.cpp:  Fixed: no
	movement decrease for cargo when transport moved
	 Fixed: reactionfire not working when descending into range
	 Fixed: objects not sorted
	 New map event: add object

2003-04-25 12:44  mbickel

	* source/: messagedlg.h, sg.cpp:  Fixed: laser icon not loaded

2003-04-25 11:59  mbickel

	* asc.bpg, data/asc006.map, data/asc006.msg, data/data.version,
	data/waffen.raw, data/weapicon.raw, source/attack.cpp,
	source/dashboard.cpp, source/gui.cpp, source/sg.cpp,
	source/sgstream.cpp, source/strtmesg.cpp, source/typen.cpp,
	source/typen.h, source/vehicle.cpp, source/vehicletype.cpp,
	source/vehicletype.h, source/sdl/events.cpp,
	source/tools/pcx2raw.cpp, source/tools/weaponguide.cpp,
	source/win32/borland/asc.bpr:  Added 6th campaign map
	 Added Laser weapon

2003-04-23 20:31  mbickel

	* asc.bpg, data/asc007.map, data/asc007.msg, source/astar2.cpp,
	source/containerbase.cpp, source/dashboard.cpp, source/dialog.cpp,
	source/edevents.h, source/edglobal.cpp, source/edglobal.h,
	source/edmain.cpp, source/edmisc.cpp, source/edmisc.h,
	source/edselfnt.cpp, source/gamemap.cpp, source/gamemap.h,
	source/gui.cpp, source/loaders.cpp, source/loaders.h,
	source/password_dialog.cpp, source/replay.cpp, source/strtmesg.cpp,
	source/unitctrl.cpp, source/vehicle.cpp, source/vehicle.h,
	source/ai/ai.h, source/ai/base.cpp, source/ai/tactics.cpp:  Fixed:
	AI problems
	 Improved cheating detection in replay

2003-04-16 18:17  mbickel

	* ChangeLog, source/astar2.cpp:  Fixed compilation problems with
	gcc

2003-04-15 22:06  mbickel

	* source/: astar2.cpp, basestrm.cpp, building.cpp,
	containerbase.cpp, controls.cpp, controls.h, replay.cpp, replay.h,
	sg.cpp, strtmesg.cpp, unitctrl.cpp, vehicle.cpp,
	tools/weaponguide.cpp, win32/borland/asc.bpr:  Made readrlepict
	Endian independant
	 Updated weaponguide
	 Made Replays much more strict

2003-04-10 10:29  mbickel

	* source/sg.cpp:  Fixed maintainence check

2003-04-09 19:39  mbickel

	* source/: loaders.cpp, loaders.h, sg.cpp, strtmesg.cpp,
	ai/misc.cpp, ai/service.cpp:  Fixed: AI not moving units that can
	not be refuelled
	 Fixed: AI parameters not saved in .ASC files

2003-04-08 17:04  mbickel

	* doc/maketank.html, source/astar2.cpp, source/controls.cpp,
	source/edevents.cpp, source/loaders.cpp, source/strtmesg.cpp,
	source/typen.cpp, source/typen.h, source/unitctrl.cpp,
	source/win32/borland/mapeditor/mapeditor.bpr:  Fixed: crash when
	loading certain events

2003-04-02 19:25  mbickel

	* data/helpsyst.txt, source/astar2.cpp, source/strtmesg.cpp,
	source/unitctrl.cpp:  Fixed: view not updated after attack
	 Fixed: planes needed a longer runway for takeoff than for landing

2003-04-01 18:17  mbickel

	* libtool, data/Makefile.am, data/Makefile.in,
	data/music/Makefile.am, data/music/Makefile.in,
	source/strtmesg.cpp: [no log message]

2003-03-31 22:29  mbickel

	* source/: edmisc.cpp, gui.cpp, sg.cpp, strtmesg.cpp,
	textfile_evaluation.cpp, textfileparser.cpp, textfileparser.h,
	ai/ai.h, ai/tactics.cpp, ai/valuation.cpp, win32/borland/asc.bpr: 
	Fixed AI bugs
	 Fixed clipboard in mapeditor

2003-03-30 15:19  mbickel

	* source/: edmisc.cpp, strtmesg.cpp, textfileparser.cpp, ai/ai.h,
	ai/misc.cpp, ai/strategy.cpp:  Fixed: ai warnings
	 Fixed: wrong hotkey for seeting unit properties in containers

2003-03-26 20:16  mbickel

	* data/asc003.msg, source/edmisc.cpp, source/edmisc.h,
	source/strtmesg.cpp, source/unitctrl.cpp, source/vehicle.cpp,
	source/ai/misc.cpp, source/ai/tactics.cpp,
	source/win32/borland/asc.bpr:  Fixed AI bugs
	 Fixed clipboard bugs
	 Fixed: unable to move units out of some transport

2003-03-24 12:49  mbickel

	* Makefile.in, config.guess, config.h.in, config.sub, configure,
	libtool, data/Makefile.in, data/dialog/Makefile.in,
	data/music/Makefile.in, doc/Makefile.in, doc/manpages/Makefile.in,
	doc/unitguide/asc.css, doc/unitguide/exkl.gif,
	doc/unitguide/haken.gif, doc/unitguide/hakenrot.gif,
	doc/unitguide/hoehe0.gif, doc/unitguide/hoehe1.gif,
	doc/unitguide/hoehe2.gif, doc/unitguide/hoehe3.gif,
	doc/unitguide/hoehe4.gif, doc/unitguide/hoehe5.gif,
	doc/unitguide/hoehe6.gif, doc/unitguide/hoehe7.gif,
	doc/unitguide/hoehetrans.gif, doc/unitguide/menu.pl,
	doc/unitguide/pfeil_auf.gif, doc/unitguide/pfeil_zu.gif,
	doc/unitguide/x.gif, source/Makefile.in, source/strtmesg.cpp,
	source/ai/Makefile.in, source/clparser/Makefile.in,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/tools/Makefile.in,
	source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in: 
	Started adding unitguide

2003-03-24 12:18  mbickel

	* Makefile.in, asc.kdevprj, config.guess, config.h.in, config.sub,
	configure, libtool, data/Makefile.in, data/dialog/Makefile.in,
	data/music/Makefile.in, doc/Makefile.in, doc/manpages/Makefile.in,
	source/Makefile.in, source/astar2.h, source/controls.cpp,
	source/messagedlg.cpp, source/messagedlg.h, source/messages.cpp,
	source/messages.h, source/missions.cpp, source/sg.cpp,
	source/unitctrl.h, source/ai/Makefile.in, source/ai/ai_common.h,
	source/clparser/Makefile.in, source/docs/Makefile.in,
	source/docs/en/Makefile.in, source/libs/Makefile.in,
	source/libs/triangul/Makefile.in, source/sdl/Makefile.in,
	source/tools/Makefile.in, source/tools/lib/Makefile.in,
	source/tools/linux/Makefile.in, source/unix/Makefile.am,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in:  Fixed
	compilation problems with gcc 2.95

2003-03-22 12:34  mbickel

	* doc/Makefile.am, source/strtmesg.cpp:  Updated version number

2003-03-22 12:06  mbickel

	* source/tools/: weaponguide.cpp, win/weaponguide.bpr:	Updated
	weaponguide

2003-03-22 11:16  mbickel

	* asc.kdevprj, source/tools/weaponguide.cpp:  Fixed html errors in
	weaponguide

2003-03-22 10:45  mbickel

	* configure, configure.in, libtool:  Updated main.con build command

2003-03-21 22:03  mbickel

	* data/asc003.map, data/asc003.msg, data/asc004.map,
	data/asc004.msg, data/asc005.map, data/asc005.msg, data/first.map,
	data/helpsys9.msg, data/paybacktime.map, data/tutor0.map,
	data/tutor1.map, data/tutor2.map, data/tutor3.map, data/tutor4.map,
	source/buildings.cpp, source/buildings.h, source/messages.cpp,
	source/strtmesg.cpp, source/unitctrl.cpp, source/ai/base.cpp,
	source/ai/misc.cpp, source/ai/tactics.cpp:  Removed tutorial maps
	 Added and improved campaign maps
	 Fixed AI problems

2003-03-21 15:59  mbickel

	* source/: CLoadable.cpp, building.cpp, controls.cpp,
	gameoptions.cpp, gameoptions.h, gui.cpp, sgstream.cpp:	Cleaned up
	gameoptions
	 fastmove=0 is working again

2003-03-20 12:16  mbickel

	* source/: astar2.cpp, astar2.h, edmisc.cpp:  Fixed: compilation
	problems with gcc

2003-03-20 11:08  mbickel

	* data/helpsys2.txt, source/basestrm.h, source/edglobal.cpp,
	source/edglobal.h, source/edmain.cpp, source/edmisc.cpp,
	source/edmisc.h, source/strtmesg.cpp, source/unitctrl.cpp,
	source/ai/ai.bpr, source/ai/misc.cpp, source/ai/valuation.cpp,
	source/tools/weaponguide.cpp, source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpr:  KI speed up
	 mapeditor: added clipboard
	 Fixed movement issues

2003-03-18 19:49  mbickel

	* data/asc003.map, data/asc004.map, source/astar2.cpp,
	source/astar2.h, source/dialog.cpp, source/sg.cpp,
	source/strtmesg.cpp, source/ai/ai.bpr, source/ai/misc.cpp,
	source/ai/service.cpp, source/tools/weaponguide.cpp,
	source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpr:  Fixed: Pathfinding
	bug
	 Added missing maps 3 and 4

2003-03-18 11:53  mbickel

	* source/: astar2.cpp, astar2.h:  Fixed A*

2003-03-15 00:11  mbickel

	* source/: astar2.cpp, astar2.h, mapalgorithms.cpp, strtmesg.cpp,
	typen.h:  Fixes to the wind and Pathfinding algorithm

2003-03-14 22:04  mbickel

	* source/: mapalgorithms.cpp, sg.cpp, typen.h:	New wind movement

2003-03-14 18:35  mbickel

	* source/: astar2.cpp, edmisc.cpp, strtmesg.cpp, unitctrl.cpp,
	ai/tactics.cpp:  Fixed AI errors

2003-03-13 22:41  mbickel

	* source/: astar2.cpp, strtmesg.cpp, tools/weaponguide.cpp:  Fixed
	KI crash

2003-03-12 18:30  mbickel

	* source/tools/weaponguide.cpp:  Updated weaponguide

2003-03-11 21:22  mbickel

	* source/: astar2.cpp, strtmesg.cpp,
	win32/borland/mapeditor/mapeditor.bpr:	Fixed: inifinite loop at AI

2003-03-11 19:12  mbickel

	* libtool, source/unitctrl.cpp, source/tools/weaponguide.cpp: 
	Fixed warnings
	 weaponguide: changed HTML class names

2003-03-11 17:19  mbickel

	* source/: sg.cpp, strtmesg.cpp, unitctrl.cpp,
	tools/weaponguide.cpp, tools/win/weaponguide.bpr:  Updated
	weaponguide
	 Fixed: units could only enter buildings if on same level of height

2003-03-10 17:56  mbickel

	* libtool, source/clparser/weaponguide.cpp,
	source/clparser/weaponguide.gp, source/clparser/weaponguide.h,
	source/tools/weaponguide.cpp:  Added lots of command line
	parameters to weaponguide

2003-03-10 16:38  mbickel

	* source/: containerbase.cpp, strtmesg.cpp, tools/weaponguide.cpp,
	tools/win/weaponguide.bpr:  Updated weaponguide
	 Fixed: units unable to leave building if building full

2003-03-09 18:07  mbickel

	* configure, configure.in, libtool, source/mapalgorithms.cpp,
	source/strtmesg.cpp, source/unitctrl.cpp:  Fixed: compilation
	problems with gcc 2
	 Fixed: extreme wind effects on movement

2003-03-09 16:52  mbickel

	* source/tools/weaponguide.cpp:  Weaponguide improvements

2003-03-09 16:14  mbickel

	* source/: astar2.cpp, controls.cpp, sg.cpp, strtmesg.cpp,
	unitctrl.cpp, tools/weaponguide.cpp, win32/borland/asc.bpr:  Fixed:
	produced units could not be moved out of building
		(maxMovement[actheight] = 0 )
	 Fixed: unnecessary height changes
	 Fixed: AI problem: Astar3d
	 Updated weaponguide

2003-03-08 21:55  mbickel

	* source/tools/weaponguide.cpp:  Weaponguide: better noframes
	navigation

2003-03-08 20:47  mbickel

	* source/tools/weaponguide.cpp:  Weaponguide layout improvements

2003-03-08 18:47  mbickel

	* ChangeLog:  Updated Changelog

2003-03-08 15:24  mbickel

	* source/: astar2.cpp, attack.cpp, basegfx.cpp, basestrm.cpp,
	building.cpp, buildingtype.cpp, containerbase.cpp, controls.cpp,
	dialog.cpp, dlg_box.cpp, gamedlg.cpp, gui.cpp, loadbi3.cpp,
	loaders.cpp, loadpcxc.cpp, misc.cpp, missions.cpp, network.cpp,
	newfont.cpp, palette.cpp, pd.cpp, sg.cpp, sgstream.cpp,
	soundList.cpp, spfst.cpp, spfst.h, stack.cpp, strtmesg.cpp,
	typen.cpp, unitctrl.cpp, vehicletype.cpp, weather.cpp, ai/ai.h,
	ai/buildingcapture.cpp, ai/misc.cpp, ai/service.cpp,
	ai/tactics.cpp, ai/valuation.cpp, sdl/events.cpp, sdl/graphics.cpp:
	 Code cleanup
	 AI fixes and improvements

2003-03-07 18:59  mbickel

	* source/: astar2.h, ai/tactics.cpp:  Fixed: ai crash

2003-03-07 18:11  mbickel

	* source/: astar2.h, typen.h, unitctrl.h, ai/ai.h, ai/misc.cpp,
	ai/tactics.cpp:  AI improvements

2003-03-07 00:35  mbickel

	* source/ai/misc.cpp:  Fixed AI crash

2003-03-06 18:45  mbickel

	* source/: ai/service.cpp, tools/weaponguide.cpp,
	tools/win/weaponguide.bpr:  Weaponguide compiles with win32
	 Fixed AI crash

2003-03-05 23:45  mbickel

	* libtool, doc/index.html, source/astar2.cpp, source/astar2.h,
	source/containerbase.h, source/gui.cpp, source/gui.h,
	source/soundList.cpp, source/vehicle.cpp, source/vehicle.h,
	source/vehicletype.cpp, source/ai/misc.cpp, source/ai/service.cpp,
	source/tools/weaponguide.cpp:  Fixed compilation problems
	 Updated weaponguide

2003-03-05 18:57  mbickel

	* source/: buildingtype.cpp, spfst.cpp, unitctrl.cpp:  Fixed:
	defaultproduction not working

2003-02-27 17:10  mbickel

	* source/: ascstring.cpp, ascstring.h, astar2.cpp, astar2.h,
	building.cpp, building_controls.h, buildings.cpp, buildingtype.cpp,
	buildingtype.h, containerbase.cpp, containerbase.h,
	containerbasetype.cpp, containerbasetype.h, controls.cpp,
	controls.h, dialog.cpp, edevents.cpp, gamemap.cpp, gamemap.h,
	gui.cpp, mapalgorithms.cpp, mapalgorithms.h, mapdisplay.cpp,
	resourcenet.cpp, sg.cpp, sgstream.cpp, spfst.cpp, spfst.h,
	strtmesg.cpp, typen.cpp, typen.h, unitctrl.cpp, unitctrl.h,
	vehicle.cpp, vehicle.h, ai/ai_common.h, ai/buildingcapture.cpp,
	ai/misc.cpp, ai/service.cpp, ai/tactics.cpp:  Restructuring of new
	pathfinding code completed

2003-02-19 22:18  mbickel

	* asc.kdevprj, source/astar2.cpp, source/typen.h, source/vehicle.h,
	source/tools/weaponguide.cpp:  Updated weaponguide
	 compilation fixed

2003-02-19 20:47  mbickel

	* data/message1.txt, data/standard.set, source/astar2.cpp,
	source/astar2.h, source/building.cpp, source/building_controls.h,
	source/buildings.cpp, source/buildings.h, source/containerbase.cpp,
	source/containerbase.h, source/controls.cpp, source/controls.h,
	source/dashboard.cpp, source/dashboard.h, source/dialog.cpp,
	source/edmisc.cpp, source/edselfnt.cpp, source/edselfnt.h,
	source/gamemap.cpp, source/gamemap.h, source/gui.cpp,
	source/mapalgorithms.cpp, source/mapalgorithms.h,
	source/mapdisplay.cpp, source/mapdisplay.h, source/missions.cpp,
	source/replay.cpp, source/replay.h, source/sg.cpp,
	source/spfst.cpp, source/strtmesg.cpp, source/textfileparser.cpp,
	source/typen.h, source/unitctrl.cpp, source/unitctrl.h,
	source/vehicle.cpp, source/vehicle.h, source/vehicletype.cpp,
	source/vehicletype.h, source/weather.cpp, source/ai/ai_common.h,
	source/ai/misc.cpp, source/ai/service.cpp, source/ai/tactics.cpp,
	source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpr:  Completely rewrote
	Pathfinding code
	 Wind not different any more on different levels of height

2003-02-13 01:56  mbickel

	* libtool, source/buildings.h, source/containerbase.h,
	source/containerbasetype.cpp, source/sgstream.cpp,
	source/sgstream.h, source/typen.h, source/vehicle.cpp,
	source/vehicle.h, source/clparser/weaponguide.cpp,
	source/clparser/weaponguide.gp, source/clparser/weaponguide.h,
	source/tools/weaponguide.cpp, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in, source/unix/Makefile.am,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Updated weaponguide
	 ASC compiles with gcc again

2003-02-12 21:11  mbickel

	* source/: astar2.cpp, astar2.h, building.cpp, building_controls.h,
	buildings.cpp, buildings.h, buildingtype.cpp, buildingtype.h,
	containerbase.cpp, containerbase.h, containerbasetype.h,
	dialog.cpp, edmisc.cpp, edselfnt.cpp, gamemap.cpp, gui.cpp,
	loadbi3.cpp, spfst.cpp, strtmesg.cpp, textfiletags.cpp,
	textfiletags.h, typen.h, unitctrl.cpp, vehicle.cpp, vehicle.h,
	vehicletype.cpp, vehicletype.h, ai/base.cpp,
	ai/buildingcapture.cpp, ai/misc.cpp, ai/service.cpp,
	ai/valuation.cpp, tools/weaponguide.cpp, tools/win/tools.bpr,
	win32/borland/asc.bpr, win32/borland/mapeditor/mapeditor.bpr:  Some
	significant changes to the Transportation code

2003-02-12 15:33  mbickel

	* source/: dialog.cpp, strtmesg.cpp, sdl/events.cpp:  Fixed: color
	problems in alliance dialog
	 Fixed: Umlauts not working

2003-02-11 18:35  mbickel

	* source/: dialog.cpp, strtmesg.cpp, ai/service.cpp,
	ai/tactics.cpp, tools/weaponguide.cpp:	Added: reset mapparameters
	function
	 AI now working better with guarding units

2003-02-07 10:53  mbickel

	* source/: building.cpp, buildings.cpp, buildings.h,
	containerbase.cpp, containerbase.h, strtmesg.cpp, unitctrl.cpp,
	vehicle.cpp, vehicle.h, win32/borland/asc.bpr:	Fixed: building
	could not repair themself

2003-02-02 14:19  mbickel

	* ChangeLog:  Updated Changelog

2003-02-02 14:04  mbickel

	* data/data.version, data/paybacktime.map,
	data/legacy/legacy_unit_filter.asctxt, source/edglobal.cpp,
	source/sgstream.cpp, source/strtmesg.cpp, source/ai/ai.mak,
	source/libs/triangul/win32/triangulation.mak,
	source/win32/borland/asc.mak,
	source/win32/borland/mapeditor/mapeditor.mak:  Increased version of
	main.con
	 Updated makefiles

2003-01-29 15:36  mbickel

	* source/strtmesg.cpp:	Changed version number

2003-01-29 15:35  mbickel

	* data/sounds.asctxt:  Fixed sounds.asctxt: wrong case for filename

2003-01-29 00:04  mbickel

	* configure, configure.in, libtool, source/loaders.cpp:  unix
	builds again

2003-01-28 18:48  mbickel

	* asc.bpg, data/first.map, data/hheli.wav, data/jet.wav,
	data/paybacktime.map, data/raketenari.wav, data/sounds.asctxt,
	data/sounds.txt, data/tankmove.wav, data/train.wav, doc/asc.html,
	doc/raw/spielen.txt, source/attack.cpp, source/building.h,
	source/building_controls.h, source/controls.h, source/dialog.cpp,
	source/gamemap.h, source/gui.cpp, source/gui.h, source/loaders.cpp,
	source/missions.h, source/network.h, source/soundList.cpp,
	source/soundList.h, source/strtmesg.cpp,
	source/textfile_evaluation.cpp, source/textfile_evaluation.h,
	source/unitctrl.cpp, source/vehicle.cpp, source/vehicletype.cpp,
	source/vehicletype.h, source/win32/borland/asc.bpr:  Added sounds
	 Rewrote soundsystem
	 Fixed: tank got stuck when moving from one transport ship to
	another

2003-01-24 17:24  mbickel

	* data/: message1.txt, sounds.txt:  Updated messages
	 Updated sounds

2003-01-22 23:39  mbickel

	* doc/install.html:  Updated installation instructions

2003-01-21 22:00  mbickel

	* source/: buildings.cpp, typen.cpp:  Fixed some warnings

2003-01-21 19:46  mbickel

	* source/: building.cpp, buildings.cpp, buildings.h,
	buildingtype.cpp, buildingtype.h, strtmesg.cpp, vehicle.cpp: 
	Fixed: ships could not enter spaceship
	 Fixed: efficiency of mining stations not correctly working
	 Fixed: unit categories not being evaluated when entering building

2003-01-19 21:27  mbickel

	* source/: edmisc.cpp, gamemap.cpp,
	win32/borland/mapeditor/mapeditor.bpr:	Mapeditor: Fixed
	unjustified warning messages during map transformation

2003-01-15 15:35  mbickel

	* ChangeLog, libtool:  rerun configure

2003-01-15 15:29  mbickel

	* source/strtmesg.cpp:	Updated version number

2003-01-14 23:21  mbickel

	* source/: building.cpp, strtmesg.cpp:	Fixed: crash when
	refuelling a weapon with maximum amount of 0

2003-01-12 20:37  mbickel

	* source/: building.cpp, buildings.cpp, buildings.h,
	buildingtype.cpp, containerbase.h, controls.cpp, controls.h,
	edmain.cpp, gamemap.cpp, gamemap.h, loaders.cpp, messages.cpp,
	resourcenet.cpp, sg.cpp, strtmesg.cpp, typen.cpp, typen.h,
	ai/ai.bpf, ai/base.cpp, win32/borland/mapeditor/mapeditor.bpr: 
	Rewrote resource production

2003-01-06 17:52  mbickel

	* source/: TODO, basegfx.cpp, basegfx.h, building.cpp,
	controls.cpp, dashboard.cpp, dialog.cpp, gamemap.cpp, gamemap.h,
	gui.cpp, resourcenet.cpp, unitctrl.cpp, vehicle.cpp:  Fixed: units
	inside transports got wrong movement when moved out
	 Fixed: wind not displayed correctly
	 Fixed: tribute displaying wrong values
	 Fixed: constructing units with untis consumed energy when pipeline
	near
	 The movement cost for building objects is no longer terrain
	dependant

2002-12-23 16:23  mbickel

	* configure, configure.in, getdata:  Added check for mk3

2002-12-23 15:10  mbickel

	* config.guess, depcomp, libtool:  Added files for automake process

2002-12-23 14:43  mbickel

	* ChangeLog, source/dialog.cpp, source/gamedlg.cpp,
	source/gamemap.cpp, source/graphicset.cpp, source/graphicset.h,
	source/missions.cpp, source/textfileparser.cpp:  Fixed to compile
	with gcc 3.2

2002-12-23 13:50  mbickel

	* source/: dialog.cpp, graphicset.cpp, graphicset.h, sgstream.cpp,
	sgstream.h, strtmesg.cpp, terraintype.cpp, terraintype.h,
	textfileparser.cpp, typen.h, ai/service.cpp, win32/borland/asc.bpr:
	 Fixed AI crash
	 Minimap now working with partially defined graphic sets

2002-12-20 17:40  mbickel

	* source/: itemrepository.cpp, loaders.cpp, mapdisplay.cpp, sg.cpp,
	strtmesg.cpp, textfileparser.cpp, textfileparser.h,
	win32/borland/asc.bpr:	Fixed problems with inheritance of asctxt
	files
	 Changed the displaying of resources on map

2002-12-19 21:22  mbickel

	* source/: astar2.cpp, astar2.h, strtmesg.cpp, typen.cpp,
	ai/service.cpp, ai/valuation.cpp, win32/borland/asc.bpr:  Fixed:
	solar power plant not producing energy when snow_and_ice
	 Speed up of AI
	 AStar can now search for a list of fields

2002-12-17 23:02  mbickel

	* data/helpsyst.txt, doc/asc.html, source/dialog.cpp,
	source/gamemap.cpp, source/gamemap.h, source/gui.cpp, source/gui.h,
	source/spfst.cpp, source/strtmesg.cpp, source/typen.cpp:  Enemy
	mines can now be crossed even if visible
	 submerged mines can not be placed on shallow water
	 new game parameter: objects destroyable by terrain

2002-12-16 00:54  mbickel

	* doc/asc.html, source/controls.cpp, source/spfst.cpp,
	source/strtmesg.cpp, source/vehicle.cpp, source/vehicle.h:  New:
	system sends mail if units die
	 Fixed: orbiting and submerged units could crash on water due to
	wind
	 Updated documentation

2002-12-12 23:00  mbickel

	* source/textfileparser.cpp:  Fixed warning in code

2002-12-12 21:36  mbickel

	* doc/asc.html, source/building.cpp, source/controls.cpp,
	source/gui.cpp, source/gui.h, source/mapdisplay.cpp, source/sg.cpp:
	 Updated documentation
	 Fixed: hotkey for gui icons not allways working
	 Fixed: objects in fog of war were always displayed for normal
	weather

2002-12-12 12:34  mbickel

	* source/: astar2.cpp, astar2.h, building.cpp, building_controls.h,
	buildings.cpp, buildings.h, controls.cpp, dialog.cpp, gamemap.cpp,
	gamemap.h, itemrepository.cpp, mapdisplay.cpp, sg.cpp,
	strtmesg.cpp, textfileparser.cpp, textfileparser.h, unitctrl.cpp,
	vehicle.cpp, vehicletype.cpp, vehicletype.h, weather.cpp, ai/ai.h,
	ai/misc.cpp, ai/service.cpp, ai/tactics.cpp:  Fixed: ai crashing
	when weapon has no ammo
	 Fixed: ASC crashed when loading game with ID not found
	 Fixed: more ai problems
	 AI now faster
	 Fixed: removing objects overfill a units tank

2002-12-08 22:53  mbickel

	* source/: basestrm.cpp, controls.cpp, dashboard.cpp, gamemap.cpp,
	loaders.h, sg.cpp, strtmesg.cpp:  Fixed: mining station produces
	twice the resources
	 Updated file version numbers

2002-12-06 11:00  mbickel

	* source/: buildings.cpp, gui.cpp, objecttype.cpp, sg.cpp,
	strtmesg.cpp:  Fixed: object construction icon missing when unit
	can only remove objects
	 mapeditor: Fixed: neutral buildings not working

2002-11-30 19:04  mbickel

	* source/building.cpp:	Powerplant subwindow only displayed when
	building consumes resources

2002-11-27 22:27  mbickel

	* source/sg.cpp:  Fixed possible crash when pressing 9

2002-11-27 22:25  mbickel

	* source/: TODO, controls.cpp, gamemap.cpp, itemrepository.cpp,
	sg.cpp, strtmesg.cpp, textfileparser.cpp, textfileparser.h,
	unitctrl.cpp, ai/base.cpp, ai/misc.cpp, ai/strategy.cpp:  AI fixes

2002-11-27 11:38  mbickel

	* asc.kdevprj, source/gamemap.cpp, source/unitctrl.cpp:  Added
	movecost checks for fields

2002-11-24 17:29  mbickel

	* source/: buildings.cpp, strtmesg.cpp:  Fixed: repair facility not
	working

2002-11-24 11:54  mbickel

	* source/: gamemap.cpp, gamemap.h, loaders.cpp, spfst.cpp:  made
	field allocation more robust

2002-11-23 19:36  mbickel

	* source/: buildings.cpp, containerbase.h, gamemap.cpp, gamemap.h,
	loadbi3.cpp, loaders.cpp, strtmesg.cpp:  Fixed crash when deleting
	map that contained rubble generating buildings

2002-11-20 21:00  mbickel

	* source/: controls.cpp, dialog.cpp, dialog.h, gamedlg.cpp,
	itemrepository.cpp, sg.cpp, strtmesg.cpp, textfileparser.cpp:  New
	features: specify passwords when starting a game
	 Better error messages when loading a game through command line
	parameters
	 Fixed .ASCTXT problems with alias and inheritance

2002-11-19 22:03  mbickel

	* source/: buildings.cpp, strtmesg.cpp, terraintype.cpp,
	viewcalculation.cpp:  Fixed: conquering neutral buildings corrupted
	memory

2002-11-19 16:03  mbickel

	* config.h.in, configure, source/textfile_evaluation.cpp:  Fixed
	compilation problems

2002-11-19 15:21  mbickel

	* asc.kdevprj, config.h.in, config.sub, configure.in,
	source/terraintype.h, source/textfile_evaluation.cpp,
	source/textfile_evaluation.h:  Workarounds for gcc 2.95
	 movemalus now int again

2002-11-19 14:04  mbickel

	* source/: itemrepository.cpp, strtmesg.cpp, textfileparser.cpp,
	textfileparser.h:  Fixed problems in ASCTXT files with alias and
	inheritance

2002-11-19 00:18  mbickel

	* source/textfile_evaluation.cpp:  Fixed warnings

2002-11-18 11:48  mbickel

	* source/sg.cpp:  removed debug functiond

2002-11-18 11:47  mbickel

	* source/: controls.cpp, sg.cpp, strtmesg.cpp:	Fixed: units with
	reaction fire could not attack manually
	 Fixed: crash at end of turn when airplane has maxmovement 0

2002-11-17 19:07  mbickel

	* source/: dashboard.cpp, dashboard.h, gamemap.cpp, gamemap.h,
	objecttype.cpp, objecttype.h, terraintype.cpp, terraintype.h,
	textfile_evaluation.cpp, textfile_evaluation.h:  Fixed: graphic bug
	in zoom controller
	 Fixed: inheritance not working for integer array
	 higher precision for movemalus

2002-11-17 12:43  mbickel

	* source/: attack.cpp, dashboard.cpp, dialog.cpp, gamemap.cpp,
	gamemap.h, gui.cpp, spfst.cpp, spfst.h, strtmesg.cpp,
	viewcalculation.cpp, viewcalculation.h:  Fixed replay errors when
	replaying the AI moves

2002-11-15 22:22  mbickel

	* asc.kdevprj, source/tools/makegfx.cpp:  Fixed compilation problem

2002-11-15 21:54  mbickel

	* source/: buildingtype.cpp, gui.cpp, objecttype.cpp,
	stringtokenizer.cpp, strtmesg.cpp, terraintype.cpp,
	textfile_evaluation.cpp, textfileparser.cpp, textfileparser.h,
	textfiletags.cpp, typen.cpp, typen.h, sdl/events.cpp,
	tools/makegfx.cpp:  Added third snow-weather
	 Added aliase in text files
	 Fixed bad pointer access in gui.cpp

2002-11-12 14:55  mbickel

	* source/: controls.cpp, strtmesg.cpp:	Fixed: invalid icons
	displayed when building construction failed

2002-11-11 09:38  mbickel

	* source/dialog.cpp:  Fixed: graphical errors in new message dialog
	if 8 players in game

2002-11-11 09:26  mbickel

	* ChangeLog, source/edmisc.cpp, source/strtmesg.cpp:  Fixed:
	mapeditor buildproperties dialog: invalid range for energy maxplus

2002-11-09 20:10  mbickel

	* source/: basestrm.cpp, controls.cpp, sg.cpp, sgstream.cpp,
	strtmesg.cpp, tools/win/demount.bpf, tools/win/demount.bpr,
	tools/win/mount.bpr, win32/borland/asc.bpr:  Fixed: invalid data
	return after EOF if file very small
	 Resourceproduction of matter converter now working if not all
	resources could be stored
	 mk1 V3 required

2002-11-07 19:42  mbickel

	* doc/asc.html, source/controls.cpp, source/loaders.cpp,
	source/objecttype.cpp, source/sg.cpp, source/win32/borland/asc.bpr:
	 Fixed crash in reaction fire
	 Improved autoborder object netification
	 Fixed crash when mail game was loaded by command line parameters

2002-11-06 21:46  mbickel

	* bootstrap, source/objecttype.cpp:  Fixed build problems

2002-11-05 19:57  mbickel

	* source/: strtmesg.cpp, viewcalculation.cpp:  Fixed: resource
	detection by units not working

2002-11-05 10:48  mbickel

	* source/objecttype.cpp:  Updated Linux build system

2002-11-05 10:05  mbickel

	* source/: building.cpp, buildings.cpp, buildingtype.h,
	controls.cpp, edmisc.cpp, gamemap.cpp, objecttype.cpp,
	objecttype.h, strtmesg.cpp, textfiletags.cpp, vehicletype.cpp: 
	Fixed: mining stations produced not enough output
	 Changed default building properties in mapeditor
	 new autoborder object netting function

2002-11-02 18:02  mbickel

	* source/vehicletype.cpp:  Fixed gcc compilation problem

2002-11-02 15:13  mbickel

	* source/: edglobal.cpp, itemrepository.cpp, itemrepository.h,
	objecttype.cpp, objecttype.h, spfst.cpp, spfst.h, strtmesg.cpp,
	textfile_evaluation.cpp, textfile_evaluation.h, textfiletags.cpp,
	textfiletags.h:  New net handling for objects

2002-11-01 21:44  mbickel

	* data/helpsyst.txt, source/controls.cpp, source/edglobal.cpp,
	source/edglobal.h, source/edmisc.cpp, source/edmisc.h,
	source/edselfnt.cpp, source/edselfnt.h, source/gamemap.cpp,
	source/gamemap.h, source/gui.cpp, source/strtmesg.cpp:	Added
	function to specify which units can be build by other units

2002-11-01 15:06  mbickel

	* data/helpsyst.txt, data/paybacktime.msg, source/edevents.cpp,
	source/spfst.cpp, source/strtmesg.cpp, source/unitctrl.cpp,
	source/tools/weaponguide.cpp:  Changing the height between floating
	and driving has no movecost any more
	 submarines evalute the field properties, not the terrain type
	properties

2002-11-01 13:40  mbickel

	* source/: dialog.cpp, edevents.cpp, gamedlg.cpp, gamemap.cpp,
	gamemap.h, missions.cpp, paradialog.cpp, strtmesg.cpp:	Added
	supervisor-save-map function

2002-10-30 13:10  mbickel

	* source/: edmisc.cpp, graphicselector.cpp, graphicset.h,
	strtmesg.cpp, textfile_evaluation.cpp, textfile_evaluation.h,
	textfiletags.cpp, textfiletags.h, vehicletype.cpp, vehicletype.h,
	ai/ai_common.h, ai/valuation.cpp, tools/bi2pcx.cpp,
	tools/win/tools.bpr:  VehicleTypes can now be assigned a
	recommended AIJob

2002-10-29 20:00  mbickel

	* source/: loadbi3.cpp, strtmesg.cpp:  Fixed crashes when inserting
	a BI3 map

2002-10-27 23:19  mbickel

	* data/helpsys2.txt, source/graphicset.cpp, source/graphicset.h,
	source/objecttype.cpp, source/strtmesg.cpp, source/terraintype.cpp,
	source/terraintype.h, source/textfiletags.cpp, source/typen.h,
	source/unitctrl.cpp, source/vehicle.cpp, source/vehicle.h,
	source/win32/borland/asc.bpr:  Added bridge terrain property
	 Some restructuring of the graphic set code

2002-10-21 14:23  mbickel

	* Makefile.in, data/Makefile.in, data/dialog/Makefile.in,
	data/music/Makefile.in, doc/Makefile.in, doc/linux_faq.html,
	doc/manpages/Makefile.in, source/Makefile.in,
	source/ai/Makefile.in, source/clparser/Makefile.in,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/tools/Makefile.in,
	source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in:  Adding
	all Makefile.in

2002-10-19 20:46  mbickel

	* configure, configure.in, source/strtmesg.cpp:  Updated version
	number to 1.11.0.2

2002-10-19 18:42  mbickel

	* config.h.in, configure, configure.in, source/unix/fileio.h: 
	Fixes to the build system

2002-10-19 18:11  mbickel

	* source/: basestrm.cpp, tools/mount.cpp, tools/patchpcx.cpp,
	win32/borland/fileio.h:  Made listing of directories more portable

2002-10-16 15:52  mbickel

	* ChangeLog, config.h.in:  Updated changelog

2002-10-16 15:44  mbickel

	* config.h.in, configure.in:  Fixes to the build system

2002-10-16 15:14  mbickel

	* bootstrap, configure.in, source/ai/Makefile.am,
	source/sdl/Makefile.am, source/tools/linux/Makefile.am,
	source/unix/Makefile.am, source/unix/mapeditor/Makefile.am:  Fixed
	to the build system

2002-10-16 12:33  mbickel

	* configure.in:  Fixed duplicate Makefiles in configure.in

2002-10-15 18:52  mbickel

	* source/: stringtokenizer.cpp, stringtokenizer.h, strtmesg.cpp,
	win32/borland/asc.bpr:	Fixed update detection

2002-10-14 20:57  mbickel

	* data/asc.gfx:  Updated asc.gfx

2002-10-14 20:54  mbickel

	* source/: strtmesg.cpp, win32/borland/asc.bpr:  Updated version
	number

2002-10-14 20:17  mbickel

	* data/: Makefile.am, asc.gfx:	Updated asc.gfx

2002-10-14 19:24  mbickel

	* asc.lsm, configure.in, getmusic:  Updated makefiles

2002-10-14 12:50  mbickel

	* source/: strtmesg.cpp, sdl/sound.cpp:  Improved error messages on
	sound initialization

2002-10-12 20:06  mbickel

	* source/tools/linux/Makefile.am:  Updated Makefile for
	mount/demount

2002-10-12 19:28  mbickel

	* source/: basestrm.cpp, controls.cpp, edglobal.cpp, edmain.cpp,
	edmisc.cpp, gamedlg.cpp, gamemap.cpp, gamemap.h, graphicset.cpp,
	itemrepository.cpp, loaders.cpp, sg.cpp, sgstream.cpp,
	stringtokenizer.cpp, stringtokenizer.h, strtmesg.cpp, strtmesg.h,
	textfile_evaluation.cpp, vehicle.cpp:  Fixed "enemy unit loaded"
	bug.
	 Changed map format
	 Improved log messages

2002-10-09 18:58  mbickel

	* source/: controls.cpp, dialog.cpp, edmain.cpp, edmisc.cpp,
	edmisc.h, edselfnt.cpp, edselfnt.h, graphicset.cpp, graphicset.h,
	itemrepository.cpp, itemrepository.h, loaders.cpp, sg.cpp,
	sgstream.cpp, sgstream.h, spfst.cpp, spfst.h, strtmesg.cpp,
	textfile_evaluation.cpp:  Fixed to GrafikSet loading
	 New item filter for mapeditor

2002-10-06 18:26  mbickel

	* config.h.in, source/textfile_evaluation.cpp:	Removed duplicate
	methods from textfile_evaluation

2002-10-06 17:44  mbickel

	* source/: buildingtype.cpp, edmain.cpp, edmisc.cpp,
	itemrepository.cpp, loadbi3.cpp, music.cpp, objecttype.cpp,
	replay.cpp, replay.h, sg.cpp, spfst.h, strtmesg.cpp,
	terraintype.cpp, textfile_evaluation.cpp, textfile_evaluation.h,
	textfileparser.cpp, textfileparser.h, typen.cpp, vehicletype.cpp,
	tools/bin2text.cpp, tools/linux/Makefile.am, tools/win/tools.bpf,
	tools/win/tools.bpr, unix/Makefile.am, unix/mapeditor/Makefile.am,
	win32/borland/asc.bpr, win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr:	Completed inheritance of
	.asctxt files
	 Speed up of replays

2002-10-05 23:22  mbickel

	* source/: dlg_box.cpp, dlg_box.h, itemrepository.cpp,
	textfileparser.cpp, textfileparser.h:  Added inheritance to
	textfiles

2002-10-05 21:14  mbickel

	* bootstrap:  aclocal now called two times, since some versions of
	libtool want it this way...

2002-10-05 20:56  mbickel

	* configure.in:  Fixed duplicate Makefile generation

2002-10-05 19:41  mbickel

	* config.h.in, source/textfileparser.cpp,
	source/libs/triangul/triangul.h:  Fixes for compiling on gcc 2.95

2002-10-04 23:11  mbickel

	* bootstrap, config.h.in, configure.in, missing,
	source/unix/Makefile.am, acconfig.h:  Fixes to the build system

2002-10-02 22:21  mbickel

	* asc.kdevprj, config.h.in, configure.in, doc/install.html,
	source/basestrm.h, source/building.cpp, source/dialog.cpp,
	source/dlg_box.cpp, source/dlg_box.h, source/edevents.cpp,
	source/edmisc.cpp, source/gamedlg.cpp, source/mapalgorithms.cpp,
	source/mousecontrol.h, source/music.cpp, source/objecttype.cpp,
	source/sg.cpp, source/sgstream.cpp, source/textfiletags.h,
	source/typen.h, source/ai/misc.cpp, source/ai/tactics.cpp,
	source/ai/valuation.cpp, source/libs/triangul/construc.c,
	source/libs/triangul/triangul.h:  Many tweaks to compile ASC with
	gcc 3.2 (not completed yet)

2002-10-01 11:23  mbickel

	* asc.bpg, data/asc.gfx, source/TODO, source/basegfx.h,
	source/building.cpp, source/buildings.cpp, source/buildings.h,
	source/buildingtype.cpp, source/containerbase.h,
	source/controls.cpp, source/edmisc.cpp, source/gamemap.cpp,
	source/gamemap.h, source/graphicset.cpp, source/itemrepository.cpp,
	source/itemrepository.h, source/music.cpp, source/objecttype.cpp,
	source/objecttype.h, source/sg.cpp, source/strtmesg.cpp,
	source/terraintype.cpp, source/textfileparser.cpp,
	source/textfileparser.h, source/typen.h, source/unitctrl.cpp,
	source/vehicle.cpp, source/vehicletype.cpp, source/vehicletype.h,
	source/tools/bi2pcx.cpp, source/tools/win/demount.bpr,
	source/tools/win/gfx2pcx.bpf, source/tools/win/gfx2pcx.bpr:  Fixed
	many bugs
	 Added inheritance to text files
	 updated graphics

2002-09-19 22:20  mbickel

	* configure.in, data/helpsys2.txt, doc/asc.html, doc/editors.html,
	doc/install.html, source/TODO, source/ascstring.cpp,
	source/attack.cpp, source/basestrm.cpp, source/building.cpp,
	source/building.h, source/building_controls.h, source/controls.cpp,
	source/gamedlg.cpp, source/gamemap.cpp, source/gamemap.h,
	source/gui.cpp, source/gui.h, source/loaders.cpp, source/loaders.h,
	source/replay.cpp, source/replay.h, source/resourcenet.cpp,
	source/resourcenet.h, source/spfst.cpp, source/strtmesg.cpp,
	source/unitctrl.cpp, source/unitctrl.h, source/ai/ai.bpr,
	source/ai/base.cpp, source/ai/buildingcapture.cpp,
	source/ai/misc.cpp, source/ai/strategy.cpp, source/ai/tactics.cpp,
	source/libs/bzlib/win/bzlib.bpr, source/libs/sdlmm/SDLmm.bpr,
	source/libs/triangul/win32/triangulation.bpr,
	source/tools/win/tools.bpr, source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpr:  Cleanup and various
	bug fixes

2002-05-07 23:32  mbickel

	* source/: buildings.cpp, loaders.cpp, loaders.h, sg.cpp,
	strtmesg.cpp, win32/borland/mapeditor/mapeditor.bpr:  Fixed crash
	in mapeditor
	 Fixed: conquering of allied buildings
	 Fixed: ambiguity in pulldown menu keys

2002-05-07 22:11  mbickel

	* ChangeLog, asc.kdevprj, configure.in, source/strtmesg.cpp,
	source/textfileparser.h:  Some tweaks to make the code gcc
	compatible

2002-05-07 21:52  mbickel

	* configure.in, doc/linux_faq.html, source/TODO,
	source/paradialog.cpp, source/paradialog.h, source/sg.cpp,
	source/sg.h, source/unitctrl.cpp, source/vehicle.h,
	source/tools/weaponguide.cpp, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr:  Updated documentation
	 Dialog themes can be reloaded during runtime.

2002-04-27 16:32  mbickel

	* data/evilisle.map:  Fixed: data bugs in Evil Island map

2002-04-27 16:30  mbickel

	* data/railstat.map, source/buildings.cpp, source/vehicle.cpp,
	source/vehicletype.cpp, source/ai/ai.bpr,
	source/win32/borland/asc.bpf, source/win32/borland/asc.bpr:  Fixed:
	missing planes in railstation map
	 Airplanes cannot land on carriers after attacking

2002-04-22 22:37  mbickel

	* buildnewrpm.sh, source/buildingtype.cpp,
	source/textfileparser.cpp, source/textfileparser.h:  Added: default
	value for text file entries
	 Fixed: oil platform not working

2002-04-21 23:50  mbickel

	* asc.another.spec, asc.spec, asc.spec.in, configure.in,
	source/attack.cpp, source/buildings.cpp, source/containerbase.h,
	source/vehicle.cpp:  ASC spec files: automatic versioning
	 Some cleanup and documentation

2002-04-21 23:27  mbickel

	* source/: TODO, controls.cpp, edgen.cpp, edmisc.cpp, edmisc.h,
	sg.cpp, ai/base.cpp:  Mapeditor: Fixed crash in "Put Resources"
	 Updating the small map after AI
	 Fixed infinite loop "quit game" after sending signal

2002-04-18 00:41  mbickel

	* configure.in, getmusic, data/Makefile.am, data/music/Makefile.am,
	source/edgen.cpp:  Updated build system to warn about missing music
	 Updated build system to insert version information automatically
	 edgen.cpp compiles with gcc 3.0.4 again

2002-04-14 19:21  mbickel

	* source/: edevents.cpp, edglobal.cpp, edmisc.cpp, edmisc.h: 
	Renamed global variable pf to pf2 due to name clash with SDL_mixer
	library

2002-04-14 19:12  mbickel

	* doc/credits.html, source/dashboard.cpp, source/strtmesg.cpp,
	source/win32/borland/asc.bpr:  Added credits section do
	documentation
	 Selecting vehicle types for production: description now shown

2002-04-11 22:18  mbickel

	* data/helpsyst.txt, doc/credits.html, doc/index.html,
	source/sg.cpp, source/win32/borland/asc.bpr:  Added credits section
	to documentation
	 Improved command line parameters

2002-04-11 20:33  mbickel

	* source/sg.cpp:  Enhanced command line options

2002-04-10 23:12  mbickel

	* source/: gameoptions.cpp, gameoptions.h, sgstream.cpp:  Win32
	version now searches registry for install path

2002-04-10 00:19  mbickel

	* source/: dashboard.cpp, edmisc.cpp, gamemap.cpp, gamemap.h,
	sg.cpp, strtmesg.cpp, textfileparser.cpp, unitctrl.cpp, ai/ai.bpr,
	ai/buildingcapture.cpp, ai/service.cpp, ai/tactics.cpp:  Fixed AI
	bugs
	 Fixed: invalid player name displayed in dashboard

2002-04-09 23:14  mbickel

	* asc.spec:  Added asc.spec file

2002-04-09 23:03  mbickel

	* source/tools/raw2pcx.cpp:  Added missing file: raw2pcx.cpp

2002-04-09 20:49  mbickel

	* source/basegfx.h:  Added a bit of documentation

2002-04-05 21:01  mbickel

	* source/: controls.cpp, unitctrl.cpp:	Fixed: reaction fire
	attackes being replayed twice
	 Fixed: crash when reaction fire during landing on carrier

2002-04-05 11:25  mbickel

	* source/: ASCStringHelpers.h, ascstring.cpp, basestrm.cpp,
	building.cpp, controls.cpp, dialog.cpp, dlg_box.cpp, edgen.cpp,
	gamemap.cpp, gamemap.h, gui.cpp, replay.cpp, replay.h,
	strtmesg.cpp, typen.h, vehicle.cpp, vehicle.h, ai/ai.bpr,
	libs/bzlib/bzlib.h, libs/bzlib/win/bzlib.bpr,
	libs/jpeg-6b/libjpeg.bpr, libs/sdlmm/SDLmm.bpr,
	libs/triangul/win32/triangulation.bpr, tools/lib/errorout.cpp,
	tools/win/bin2text.bpr, tools/win/demount.bpr,
	tools/win/makegfx.bpr, tools/win/makepal.bpr, tools/win/mount.bpr,
	tools/win/tank2pcx.bpr, tools/win/tools.bpr, tools/win/viewid.bpr,
	tools/win/weaponguide.bpr, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	Project files now for
	Borland C++ Builder 6
	 Fixed: netcontrol not working
	 Fixed: replay errors when constructing turrets
	 Submarine require no fuel for sufacing
	 Field info dialog extended
	 Fixed several buffer overruns

2002-04-02 23:57  mbickel

	* source/newfont.cpp:  Fixed buffer overflow

2002-03-27 01:18  mbickel

	* source/: building.cpp, sg.cpp, strtmesg.cpp, typen.cpp, typen.h,
	unitctrl.cpp, vehicle.cpp, vehicletype.cpp:  Changed the resource
	weight

2002-03-26 23:23  mbickel

	* source/: gamedlg.cpp, gui.cpp, unitctrl.cpp, unitctrl.h,
	sdl/sound.cpp, sdl/sound.h, win32/borland/asc.bpr:  Fixed: music
	was started even if turned off in ini file
	 Fixed: crash in reaction fire
	 Fixed: reaction fire not occuring when changing height

2002-03-25 19:48  mbickel

	* source/: paradialog.cpp, sgstream.cpp, sgstream.h,
	tools/weaponguide.cpp, win32/borland/asc.bpr:  Applications can now
	specify which data checks to perform

2002-03-22 15:53  mbickel

	* data/dialog/Makefile.am, source/TODO, source/libs/bzlib/Makefile:
	 Fixed: asc_dlg.zip was installed in wrong directory

2002-03-20 13:59  mbickel

	* ChangeLog, source/unix/Makefile.am:  Fixed build problem:
	freetype not linked

2002-03-19 21:38  mbickel

	* source/: baseaiinterface.h, dlg_box.cpp, dlg_box.h,
	gameoptions.cpp, sg.cpp, spfst.cpp, ai/ai.h, ai/base.cpp,
	ai/tactics.cpp:  Some cleanup and documentation in dlg_box
	 Fixed some type assignment errors

2002-03-19 20:29  mbickel

	* doc/install.html, source/loadbi3.cpp, source/loadbi3.h,
	source/map2pcx.cpp:  Changed BI3 map import to work in map2pcx
	without user intervention

2002-03-19 19:42  mbickel

	* source/: edmisc.cpp, replay.cpp, strtmesg.cpp, vehicle.cpp,
	vehicle.h:  Fixed bug introduced by fixing the MAA-reaction-fire
	bug

2002-03-18 22:42  mbickel

	* asc.bpg, source/TODO, source/controls.cpp, source/dialog.cpp,
	source/edmisc.cpp, source/edselfnt.cpp, source/gamemap.cpp,
	source/gamemap.h, source/loaders.cpp, source/paradialog.cpp,
	source/spfst.cpp, source/spfst.h, source/typen.cpp, source/typen.h:
	 Some cleanup and documentation in the Mine class
	 The number of mines is now displayed in the field information
	window

2002-03-18 10:31  mbickel

	* asc.bpg, source/edmisc.cpp, source/vehicle.cpp, source/vehicle.h,
	source/win32/borland/mapeditor/mapeditor.bpr:  Fixed: canceling
	Reactionfire enabled units that can not attack after
		moving to move in the same turn

2002-03-17 22:25  mbickel

	* source/: edglobal.cpp, edglobal.h, edmisc.cpp, edmisc.h, sg.cpp: 
	Fixed: View unit movement revealed the reaction fire status of
	enemy units
	 Mapeditor: new function "resource comparison"

2002-03-14 19:14  mbickel

	* data/message1.txt, source/controls.cpp, source/dialog.cpp,
	source/dialog.h, source/gamedlg.cpp, source/password_dialog.cpp,
	source/resourcenet.cpp:  Improved messages for proposing peace
	 Fixed display error when enterering passwords

2002-03-11 19:47  mbickel

	* source/: TODO, basestrm.cpp, dashboard.cpp, gamedlg.cpp,
	unix/fileio.cpp, win32/fileio.cpp, win32/borland/asc.bpr:  Fixed:
	Remaining movement of troopers not displayed
	 Fixed wrong text position in mouse options
	 Fixed: absolute path names not recognized on windows

2002-03-05 00:30  mbickel

	* doc/: install.html, linux_faq.html:  Updated documentation about
	music

2002-03-04 21:00  mbickel

	* data/music1.asctxt, source/basestrm.cpp:  Fixed broken
	convertPathDelimitters(ASCString)

2002-03-04 01:32  mbickel

	* ChangeLog, source/paradialog.cpp, source/paradialog.h,
	source/sg.cpp:	Updated Paragui theme loading to search in search
	paths

2002-03-03 23:57  mbickel

	* source/: strtmesg.cpp, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	Changed version to 1.10
	 Updated project files

2002-03-03 23:19  mbickel

	* asc.kdevprj, configure.in, data/curs2.raw, data/curs3.raw,
	data/cursor2.raw, data/cursor3.raw, data/helpsyst.txt,
	data/markedfield.pcx, data/markedfield.png, data/music1.asctxt,
	data/dialog/asc_dlg.theme, doc/example.msg, doc/install.html,
	doc/mapedit.html, source/CLoadable.cpp, source/TODO,
	source/basegfx.cpp, source/basegfx.h, source/controls.cpp,
	source/gamedlg.cpp, source/gameoptions.cpp, source/gameoptions.h,
	source/messages.h, source/music.cpp, source/spfst.cpp:	Updated
	documentation
	 Improved user interface
	 Fixed AI bug

2002-03-03 19:52  mbickel

	* source/: basestrm.cpp, libs/bzlib/CHANGES, libs/bzlib/LICENSE,
	libs/bzlib/Makefile-libbz2_so, libs/bzlib/README,
	libs/bzlib/README.COMPILATION.PROBLEMS, libs/bzlib/blocksort.c,
	libs/bzlib/bzip2.1, libs/bzlib/bzip2.1.preformatted,
	libs/bzlib/bzip2.c, libs/bzlib/bzip2.txt,
	libs/bzlib/bzip2recover.c, libs/bzlib/bzlib.c, libs/bzlib/bzlib.h,
	libs/bzlib/bzlib_private.h, libs/bzlib/compress.c,
	libs/bzlib/crctable.c, libs/bzlib/decompress.c,
	libs/bzlib/dlltest.c, libs/bzlib/huffman.c,
	libs/bzlib/makefile.msc, libs/bzlib/manual.ps,
	libs/bzlib/manual.texi, libs/bzlib/manual_1.html,
	libs/bzlib/manual_2.html, libs/bzlib/manual_3.html,
	libs/bzlib/manual_4.html, libs/bzlib/manual_toc.html,
	libs/bzlib/randtable.c, libs/bzlib/words3, tools/mount.cpp,
	tools/win/mount.bpf, tools/win/mount.bpr, tools/win/tools.bpr: 
	Updated bzlib to 1.0.2
	 Fixed bug in mount that compressed only part of files

2002-03-03 15:13  mbickel

	* configure.in, data/data.version, data/markedfield.png,
	data/dialog/asc_dlg.theme, source/dialog.h, source/doxygen.config,
	source/gamemap.h, source/gameoptions.cpp, source/gameoptions.h,
	source/mapdisplay.cpp, source/paradialog.cpp, source/paradialog.h,
	source/sg.cpp, source/sgstream.cpp, source/spfst.cpp,
	source/typen.h, source/ai/ai.h, source/ai/misc.cpp,
	source/sdl/graphics.cpp, source/sdl/graphics.h,
	source/sdl/sound.cpp, source/sdl/sound.h,
	source/tools/linux/Makefile.am:  Some documentation updates
	 Soundsystem update
	 AI bug fixed

2002-03-03 00:04  mbickel

	* asc.bpg, doc/install.html, doc/linux_faq.html,
	doc/source_borland.html, source/CLoadable.cpp, source/TODO,
	source/attack.cpp, source/building.cpp, source/dashboard.cpp,
	source/dialog.cpp, source/dlg_box.cpp, source/edglobal.cpp,
	source/edmisc.cpp, source/edselfnt.cpp, source/events.h,
	source/gamedlg.cpp, source/gameoptions.cpp, source/gameoptions.h,
	source/gui.cpp, source/mapdisplay.cpp, source/messages.cpp,
	source/paradialog.cpp, source/paradialog.h, source/sg.cpp,
	source/sgstream.cpp, source/spfst.cpp, source/sdl/events.cpp,
	source/sdl/sound.cpp, source/sdl/sound.h, source/tools/mount.cpp,
	source/win32/borland/asc.bpf, source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr:  Some cleanup of
	source code
	 Improved Paragui Integration
	 Updated documentation
	 Improved Sound System

2002-02-23 23:19  mbickel

	* source/sg.cpp:  Paragui usage updated

2002-02-21 18:06  mbickel

	* asc.kdevprj, configure.in, data/Makefile.am,
	data/dialog/Makefile.am, data/dialog/asc_dlg.theme,
	data/dialog/asc/check_off.bmp, data/dialog/asc/check_on.bmp,
	data/dialog/asc/close_active.bmp,
	data/dialog/asc/close_clicked.bmp,
	data/dialog/asc/close_normal.bmp, data/dialog/asc/down_down.bmp,
	data/dialog/asc/down_high.bmp, data/dialog/asc/down_up.bmp,
	data/dialog/asc/drag.bmp, data/dialog/asc/font.ttf,
	data/dialog/asc/hscroll_back.bmp, data/dialog/asc/left_down.bmp,
	data/dialog/asc/left_high.bmp, data/dialog/asc/left_up.bmp,
	data/dialog/asc/pb_back.bmp, data/dialog/asc/pb_indicator.bmp,
	data/dialog/asc/radio_off.bmp, data/dialog/asc/radio_on.bmp,
	data/dialog/asc/right_down.bmp, data/dialog/asc/right_high.bmp,
	data/dialog/asc/right_up.bmp, data/dialog/asc/spin_down.bmp,
	data/dialog/asc/spin_up.bmp, data/dialog/asc/top_grey.bmp,
	data/dialog/asc/up_down.bmp, data/dialog/asc/up_high.bmp,
	data/dialog/asc/up_up.bmp, data/dialog/asc/vscroll_back.bmp,
	source/dialog.cpp, source/dialog.h, source/edmisc.cpp,
	source/edmisc.h, source/gamedlg.cpp, source/gamedlg.h,
	source/gamemap.h, source/messages.cpp, source/messages.h,
	source/network.cpp, source/network.h, source/paradialog.cpp,
	source/paradialog.h, source/sg.cpp, source/sg.h, source/typen.cpp,
	source/typen.h, source/sdl/graphics.cpp, source/sdl/graphics.h,
	source/unix/Makefile.am, source/unix/mapeditor/Makefile.am: 
	Completed Paragui integration
	 Moved mail functions to own file (messages)

2002-02-17 23:04  mbickel

	* AUTHORS, INSTALL, README, configure.in, data/helpsyst.txt,
	doc/contact.html, doc/demount.html, doc/index.html,
	doc/install.html, doc/linux_faq.html, doc/maketank.html,
	doc/mount.html, doc/readme.linux:  Updated documentation
	 Updated configure.in

2002-02-14 22:13  mbickel

	* source/sg.cpp: [no log message]

2002-02-14 21:58  mbickel

	* acconfig.h, config.h.in, configure.in, source/basestrm.h,
	source/events.h, source/sg.cpp, source/vehicle.h,
	source/libs/bzlib/Makefile, source/sdl/events.cpp,
	source/sdl/graphics.cpp, source/sdl/graphics.h,
	source/tools/mount.cpp, source/tools/linux/Makefile.am,
	source/unix/Makefile.am, source/unix/mapeditor/Makefile.am: 
	Started integration of paragui

2002-01-30 00:14  mbickel

	* doc/raw/: ascpalette.gif, building-raster.pcx:  Added some which
	should be incorporated into the documentation

2002-01-29 21:42  mbickel

	* configure.in, source/basestrm.cpp, source/basestrm.h,
	source/edglobal.cpp, source/music.cpp, source/sdl/sound.cpp,
	source/unix/fileio.cpp, source/unix/fileio.h,
	source/win32/fileio.cpp, source/win32/borland/fileio.h,
	source/win32/msvc/fileio.h:  Improved finding of files with
	relative path
	 Added wildcards to music playlist files

2002-01-20 12:43  mbickel

	* configure.in, source/sg.cpp:	Some updates to the music system

2002-01-20 00:10  mbickel

	* configure.in, source/music.cpp, source/sg.cpp,
	source/sdl/sound.cpp, source/unix/Makefile.am,
	source/unix/mapeditor/Makefile.am:  Added music playing routines to
	unix build

2002-01-19 23:39  mbickel

	* source/: dlg_box.cpp, itemrepository.cpp, music.cpp, music.h,
	pd.cpp, pd.h, sg.cpp, soundList.h, strtmesg.cpp,
	textfileparser.cpp, textfileparser.h, sdl/sound.cpp, sdl/sound.h,
	win32/borland/asc.bpf, win32/borland/asc.bpr:  Added music playing
	functions to ASC

2002-01-07 12:40  mbickel

	* source/: buildings.cpp, controls.cpp, dialog.cpp,
	itemrepository.cpp, loaders.cpp, pd.cpp, pd.h, sg.cpp:	Fixed some
	syntax errors

2002-01-06 10:50  mbickel

	* source/: buildings.cpp, buildings.h, gamedlg.cpp, gameoptions.h,
	graphicset.h, itemrepository.cpp, itemrepository.h, map2pcx.cpp,
	mapalgorithms.cpp, mapalgorithms.h, password.h, replay.h, sg.cpp,
	terraintype.h, textfileparser.h, vehicletype.h, ai/ai_common.h: 
	Some cleanup and documentation

2001-12-19 18:41  mbickel

	* asc.kdevprj, source/sdl/asc_IMG_jpg.c:  Fixed invalid include
	file

2001-12-19 18:16  mbickel

	* source/: Named.cpp, basegfx.cpp, controls.cpp, dialog.cpp,
	dlg_box.cpp, dlg_box.h, gamedlg.cpp, gui.cpp, loadbi3.cpp,
	loaders.cpp, loadpcxc.cpp, misc.cpp, misc.h, missions.cpp,
	network.cpp, networkdata.cpp, newfont.cpp, pd.cpp, research.h,
	sg.cpp, sgstream.cpp, spfst.cpp, stack.cpp, typen.cpp,
	unitctrl.cpp, libs/getopt/getopt.c, sdl/SDLStretch.cpp,
	sdl/asc_IMG_jpg.c, sdl/sound.cpp, tools/demount.cpp,
	tools/mount.cpp, tools/lib/errorout.cpp, tools/win/demount.bpr,
	tools/win/mount.bpr, tools/win/tools.bpf, tools/win/tools.bpr,
	win32/borland/global_os.h:  Some include file cleanups

2001-12-19 12:46  mbickel

	* acinclude.m4, config.h.in, configure.in, install-sh, missing,
	mkinstalldirs, data/Makefile.am, source/basegfx.cpp,
	source/itemrepository.cpp, source/loadbi3.cpp, source/misc.cpp,
	source/misc.h, source/sg.cpp, source/sgstream.cpp,
	source/sgstream.h, source/tools/Makefile.am,
	source/tools/demount.cpp, source/tools/mount.cpp,
	source/tools/linux/Makefile.am, source/unix/Makefile.am:  Applied
	patches from Michael Moerz:
	  - 64bit cleanup of demount.cpp, mount.cpp
	  - removal of #ifdef converter and moved conveter specific
	functions
	    to independant lib

2001-12-18 15:14  mbickel

	* checkfordata.pl, configure.in, getdata:  Added check for data
	files to configure

2001-12-17 20:41  mbickel

	* data/helpsyst.txt, doc/readme.linux, source/TODO,
	source/edmain.cpp, source/edselfnt.cpp, source/vehicle.cpp,
	source/tools/demount.cpp, source/tools/mntgraph.cpp,
	source/win32/borland/asc.bpr:  Reactionfire can now be deactivated
	without consequences if it has just
	   been activated
	 Mapeditor: Objects are selected on the palette map too

2001-12-17 16:44  mbickel

	* aclocal.m4:  Removed aclocal

2001-12-17 16:44  mbickel

	* INSTALL:  Updated installation instructions

2001-12-17 16:20  mbickel

	* bootstrap, configure:  Removed configure from CVS ; added
	bootstrap

2001-12-14 11:59  mbickel

	* .cvsignore, Makefile.in, data/.cvsignore, data/Makefile.in,
	doc/.cvsignore, doc/Makefile.in, doc/manpages/.cvsignore,
	doc/manpages/Makefile.in, source/.cvsignore, source/Makefile.in,
	source/ai/.cvsignore, source/ai/Makefile.in,
	source/clparser/.cvsignore, source/clparser/Makefile.in,
	source/docs/.cvsignore, source/docs/Makefile.in,
	source/docs/en/.cvsignore, source/docs/en/Makefile.in,
	source/libs/.cvsignore, source/libs/Makefile.in,
	source/libs/triangul/.cvsignore, source/libs/triangul/Makefile.in,
	source/sdl/.cvsignore, source/sdl/Makefile.in,
	source/tools/.cvsignore, source/tools/Makefile.in,
	source/tools/java/.cvsignore, source/tools/lib/Makefile.am,
	source/tools/lib/errorout.cpp, source/tools/linux/.cvsignore,
	source/tools/linux/Makefile.in, source/unix/.cvsignore,
	source/unix/Makefile.in, source/unix/mapeditor/.cvsignore,
	source/unix/mapeditor/Makefile.in:  Removed all Makefile.in from
	repository
	 Added .cvsignore files to ignore the Makefile.in

2001-12-14 11:34  mbickel

	* source/strtmesg.cpp:	Changed version to 1.9.5.5b1

2001-12-14 11:20  mbickel

	* Makefile.am, Makefile.in, aclocal.m4, config.h.in, configure,
	configure.in, data/Makefile.am, data/Makefile.in, doc/Makefile.am,
	doc/Makefile.in, doc/manpages/Makefile.am,
	doc/manpages/Makefile.in, doc/manpages/asc.sgml,
	doc/manpages/asc_demount.sgml, doc/manpages/asc_mount.sgml,
	source/Makefile.am, source/Makefile.in, source/attack.cpp,
	source/baseaiinterface.h, source/basegfx.cpp, source/basegfx.h,
	source/building.cpp, source/buildings.cpp, source/buildingtype.cpp,
	source/controls.cpp, source/dashboard.cpp, source/dialog.cpp,
	source/dlg_box.cpp, source/edgen.cpp, source/edglobal.cpp,
	source/edmain.cpp, source/edmisc.cpp, source/events.h,
	source/loadbi3.cpp, source/loaders.cpp, source/map2pcx.cpp,
	source/mapalgorithms.cpp, source/mapdisplay.cpp,
	source/missions.cpp, source/movecurs.inc, source/newfont.cpp,
	source/newfont.h, source/password_dialog.cpp, source/sg.cpp,
	source/sgstream.cpp, source/spfst.cpp, source/spfst.h,
	source/terraintype.cpp, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/weather.cpp, source/ai/Makefile.am,
	source/ai/Makefile.in, source/clparser/Makefile.am,
	source/clparser/Makefile.in, source/docs/Makefile.am,
	source/docs/Makefile.in, source/docs/en/Makefile.am,
	source/docs/en/Makefile.in, source/libs/Makefile.am,
	source/libs/Makefile.in, source/libs/triangul/Makefile.am,
	source/libs/triangul/Makefile.in, source/sdl/Makefile.am,
	source/sdl/Makefile.in, source/sdl/loadimage.cpp,
	source/tools/Makefile.am, source/tools/Makefile.in,
	source/tools/makebdt.cpp, source/tools/makebdt3.cpp,
	source/tools/makeobl.cpp, source/tools/makeobl4.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	source/unix/Makefile.am, source/unix/Makefile.in,
	source/unix/global_os.h, source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Cleanup and enhancements to
	configure.in
	 Removed last remains of octagonal version from source files

2001-12-05 18:05  mbickel

	* Makefile.in, asc.kdevprj, configure, configure.in,
	data/Makefile.in, doc/Makefile.in, doc/manpages/Makefile.in,
	source/ASCStringHelpers.h, source/Makefile.in,
	source/ai/Makefile.in, source/clparser/Makefile.in,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/tools/Makefile.in,
	source/tools/linux/Makefile.in, source/unix/Makefile.in,
	source/unix/mapeditor/Makefile.in:  Some more fixes for the new
	string class

2001-12-05 17:34  mbickel

	* configure, configure.in, source/ASCStringHelpers.h,
	source/ascstring.cpp, source/ascstring.h,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	source/unix/Makefile.am, source/unix/Makefile.in,
	source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Refinements around the new
	string class

2001-12-05 16:54  mbickel

	* source/ASCStringHelpers.h:  Added ASCStringHelpers.h

2001-12-05 16:46  mbickel

	* configure.in, source/ascstring.cpp, source/ascstring.h,
	source/buildingtype.cpp, source/dialog.cpp, source/soundList.cpp,
	source/stringtokenizer.cpp, source/stringtokenizer.h,
	source/textfileparser.cpp, source/tools/win/tools.bpf,
	source/tools/win/tools.bpr, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr:  New string class

2001-11-29 20:16  mbickel

	* ChangeLog:  Updated Changelog

2001-11-29 18:34  mbickel

	* source/: sg.cpp, strtmesg.cpp, ai/ai.h, ai/base.cpp,
	ai/tactics.cpp, ai/valuation.cpp:  AI can be used as benchmark
	 Improved AI unit job determination mechanism

2001-11-28 19:06  mbickel

	* doc/raw/: movemalus.png, spielen.txt:  Added raw documentation in
	German

2001-11-28 15:55  mbickel

	* source/: unitctrl.cpp, ai/tactics.cpp:  Fixed: airplane flying
	out of building has wrong movement left
	 Fixed: crash in AI

2001-11-28 14:03  mbickel

	* asc.bpg, source/attack.cpp, source/gui.cpp, source/unitctrl.cpp,
	source/unitctrl.h, source/tools/bi2pcx.cpp:  Fixed: attack
	selectable although 0% hit accuracy
	 Fixed: refuelling not possible if weapon had wrong target height
	 Fixed: repair icon displayed when refuelling

2001-11-22 21:36  mbickel

	* ChangeLog, INSTALL, asc.kdevprj:  Updated installation
	instructions

2001-11-22 16:08  mbickel

	* source/: CLoadable.cpp, PropertyGroup.cpp, gameoptions.cpp,
	gameoptions.h, gui.cpp, sgstream.cpp, strtmesg.cpp:  Added
	gameoption heightChangeMovement

2001-11-22 14:49  mbickel

	* asc.bpg, source/edselfnt.cpp, source/gamemap.cpp,
	source/typen.cpp, source/unitctrl.cpp, source/vehicle.cpp:  Fixed
	crash in Mapeditor when selection color 9
	 Fixed: turrets being displayed gray
	 Fixed: division by 0 by AI movement

2001-11-18 20:31  mbickel

	* ChangeLog, data/Makefile.am, data/Makefile.in, source/gui.cpp,
	source/unitctrl.cpp:  Fixed crash when reaction fire kills a unit
	during height change

2001-11-15 21:46  mbickel

	* source/: building.cpp, building_controls.h, strtmesg.cpp,
	unitctrl.cpp, unitctrl.h:  Fixed: replay not working when moving
	units out of carriers

2001-11-15 21:16  mbickel

	* source/: errors.h, loadbi3.cpp, unitctrl.cpp:  Added a new BI3
	import table
	 Fixed movement reduction changing height of a nearly empty unit
	and
	    refuelling it afterwards
	 Better error message for "ID not found"

2001-11-12 19:28  mbickel

	* source/: TODO, controls.cpp, dialog.cpp, gui.cpp, mapdisplay.cpp,
	unitctrl.cpp, vehicle.cpp, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	Fixed graphical glitches
	when unit moves near border
	 If max num of mines exceeded, no icon is displayed for placing a
	new one
	 Fixed: some airplanes could not move after ascend
	 Fixed: couldn't build satellites on fields no accessible if
	satellite was
	   on ground level.

2001-11-08 18:58  mbickel

	* source/: TODO, strtmesg.cpp, tools/weaponguide.cpp:  Changed
	version number
	 Added new revision of weaponguide

2001-11-08 18:32  mbickel

	* ChangeLog, Makefile.in, data/Makefile.in, doc/Makefile.in,
	source/Makefile.in, source/controls.cpp, source/replay.cpp,
	source/replay.h, source/unitctrl.cpp, source/ai/Makefile.in,
	source/ai/ai_common.h, source/ai/base.cpp, source/ai/misc.cpp,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/tools/Makefile.in,
	source/tools/linux/Makefile.in, source/unix/Makefile.in,
	source/unix/mapeditor/Makefile.in:  Fixed AI crash
	 Added Replay to AI
	 New replay commands

2001-11-05 22:50  mbickel

	* source/: tools/win/makepal.bpf, tools/win/makepal.bpr,
	win32/borland/asc.bpr:	Updated Borland project files

2001-11-05 22:31  mbickel

	* data/data.version, source/edmisc.cpp, source/sgstream.cpp:  Fixed
	compilation errors
	 new data version required

2001-11-05 22:10  mbickel

	* asc.bpg, data/palette.pal, source/dashboard.cpp,
	source/dlg_box.cpp, source/mapdisplay.cpp, source/palette.h,
	source/sg.cpp, source/sgstream.cpp, source/strtmesg.cpp,
	source/tools/makepal.cpp:  Updated palette code

2001-11-04 23:52  mbickel

	* source/: controls.cpp, gamedlg.cpp, spfst.cpp, vehicle.cpp,
	win32/borland/asc.bpr:	Fixed bug in wood net calculation
	 Fixed broken refuel dialog

2001-11-04 22:50  mbickel

	* source/: objecttype.cpp, spfst.cpp, ai/tactics.cpp:  Fixed error
	messages in AI
	 Fixed wrong displaying of objects in snow

2001-10-31 21:47  mbickel

	* Makefile.in, asc.kdevprj, data/Makefile.in, doc/Makefile.in,
	source/Makefile.in, source/ai/Makefile.in, source/docs/Makefile.in,
	source/docs/en/Makefile.in, source/libs/Makefile.in,
	source/libs/triangul/Makefile.in, source/sdl/Makefile.in,
	source/tools/Makefile.in, source/tools/linux/Makefile.in,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in:  Some
	cleanup

2001-10-31 21:30  mbickel

	* source/typen.h:  Fixed strange problems with gcc

2001-10-31 21:10  mbickel

	* configure, source/ai/ai.h, source/ai/misc.cpp:  Circumvented a
	bug in gcc

2001-10-31 21:02  mbickel

	* configure.in:  Fixed string compare check

2001-10-31 20:31  mbickel

	* configure, configure.in, source/ascstring.cpp,
	source/ai/misc.cpp:  Added improved gcc bug circumvention for
	different versions

2001-10-31 19:34  mbickel

	* source/: ascstring.h, attack.cpp, basestreaminterface.h,
	basestrm.cpp, building_controls.h, containerbase.h,
	containerbasetype.h, dashboard.h, dialog.cpp, dlg_box.cpp,
	edgen.cpp, edglobal.cpp, edmisc.cpp, errors.h, graphicset.h,
	itemrepository.h, loadimage.h, map2pcx.cpp, mapdisplay.cpp,
	mapdisplay.h, misc.cpp, newfont.cpp, objecttype.h, palette.cpp,
	password.h, password_dialog.h, pointers.h, replay.h, research.h,
	resourcenet.h, sgstream.cpp, soundList.h, spfst.cpp, spfst.h,
	terraintype.h, textfileparser.h, viewcalculation.h, weather.h,
	ai/ai_common.h, sdl/graphics.h, sdl/keysymbols.h, sdl/sound.h,
	tools/krkr.cpp:  Some adjustments and fixes for gcc 3.0.2

2001-10-29 21:24  mbickel

	* doc/manpages/Makefile.in, source/building.cpp,
	source/edselfnt.cpp:  Fixed AI crash when producing to much units

2001-10-28 22:33  mbickel

	* source/strtmesg.cpp:	Increased version number

2001-10-28 21:42  mbickel

	* data/first.map, data/helpsyst.txt, data/paybacktime.map,
	source/TODO, source/attack.cpp, source/buildings.cpp,
	source/controls.cpp, source/gamedlg.cpp, source/gamemap.cpp,
	source/gamemap.h, source/missions.cpp, source/viewcalculation.cpp,
	source/ai/buildingcapture.cpp, source/ai/misc.cpp:  Fixed AI
	crashes
	 Fixed problems when next campaign map could not be found.
	 Fixed forgotten events.
	 Added several new experimental map parameters
	 Some improvements to the campaign maps

2001-10-24 18:30  mbickel

	* ChangeLog, configure, configure.in, doc/manpages/Makefile.in,
	source/resourcenet.h:  Added test for SDLmm to configure.in

2001-10-23 17:37  mbickel

	* source/: TODO, resourcenet.cpp, strtmesg.cpp:  Fixed crash when
	determining the emount of energy available in buildings

2001-10-22 23:04  mbickel

	* source/: strtmesg.cpp, win32/borland/asc.bpr:  Increased version
	number

2001-10-22 20:53  mbickel

	* source/loadbi3.cpp:  Fixed BI3 map translation errors: wrong
	order of table evaluation

2001-10-22 20:22  mbickel

	* source/: attack.cpp, controls.cpp, dashboard.cpp, dashboard.h,
	resourcenet.cpp, resourcenet.h, vehicle.cpp, vehicle.h:  Reaction
	fire doesn't prevent units with the wait attribute from attacking
	  manually
	 Fixed behaviour of generator vehicles on BI-mode maps

2001-10-21 22:18  mbickel

	* source/: CLoadable.cpp, gameoptions.cpp, gameoptions.h,
	loadbi3.cpp, spfst.cpp:  Fixed non-empty table problem with BI3 map
	import
	 Added ini parameter to specify wood behaviour

2001-10-21 22:00  mbickel

	* Makefile.in, aclocal.m4, configure, configure.in,
	data/Makefile.in, data/message1.txt, doc/Makefile.in,
	doc/manpages/Makefile.in, source/Makefile.in, source/gamemap.cpp,
	source/gui.cpp, source/mapdisplay.cpp, source/unitctrl.cpp,
	source/ai/Makefile.in, source/ai/misc.cpp, source/ai/service.cpp,
	source/clparser/Makefile.in, source/docs/Makefile.in,
	source/docs/en/Makefile.in, source/libs/Makefile.in,
	source/libs/triangul/Makefile.in, source/sdl/Makefile.in,
	source/tools/Makefile.in, source/tools/linux/Makefile.in,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in:  Fixed
	AI problems
	 Fixed: wrong message when unit could not attack
	 Fxied: invalid order in which objects were displayed
	 Replay: moving units are only displayed if BOTH fields are visible

2001-10-21 18:07  mbickel

	* source/: oldlzw.cpp, textfiletags.cpp, vehicletype.cpp,
	vehicletype.h, viewcalculation.cpp, viewcalculation.h,
	win32/borland/asc.bpr:	New vehicle function: jam only own field
	 Fixed compilation problem

2001-10-21 15:16  mbickel

	* doc/source.html, source/astar2.h, source/attack.h,
	source/basestreaminterface.h, source/basestrm.cpp,
	source/basestrm.h, source/buildingtype.h, source/containerbase.h,
	source/gamemap.h, source/global.h, source/loadbi3.cpp,
	source/loadbi3.h, source/loadpcxc.cpp, source/misc.cpp,
	source/misc.h, source/oldai.cpp:  Cleanup and documentation

2001-10-17 12:23  mbickel

	* source/: itemrepository.cpp, strtmesg.cpp, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	version now 1.9.4.1

2001-10-17 00:11  mbickel

	* config.h.in, configure, configure.in, doc/source.html,
	source/buildingtype.h, source/objecttype.h, source/sg.cpp,
	source/vehicletype.h, source/ai/service.cpp:  Fixed AI crashes
	 Updated documentation

2001-10-16 21:58  mbickel

	* configure.in, data/title_mapeditor.jpg, doc/source.html,
	doc/source_borland.html, source/attack.cpp, source/buildings.cpp,
	source/edmain.cpp, source/edmisc.cpp, source/gamemap.cpp,
	source/itemrepository.cpp, source/mapdisplay.cpp, source/misc.cpp,
	source/misc.h, source/objecttype.cpp, source/objecttype.h,
	source/pointers.h, source/sgstream.cpp, source/spfst.cpp,
	source/textfileparser.cpp, source/textfileparser.h,
	source/libs/triangul/triangulate.vcproj, source/sdl/sdl.vcproj,
	source/tools/makegfx.cpp, source/tools/weaponguide.cpp,
	source/tools/win/bin2text.vcproj, source/tools/win/demount.vcproj,
	source/tools/win/gfx2pcx.vcproj, source/tools/win/makegfx.vcproj,
	source/tools/win/mount.vcproj, source/tools/win/tools.vcproj,
	source/tools/win/viewid.vcproj,
	source/tools/win/weaponguide.vcproj, source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr:  Added title screen
	for mapeditor
	 Updated source documentation

2001-10-16 21:56  mbickel

	* source/win32/msvc/: ASC.sln, ASC/ASC.sln, ASC/ASC.vcproj,
	jpeglib/jpeglib.vcproj, libbzip2/libbzip2.vcproj,
	mapeditor/mapeditor.vcproj:  Added MSVC project files

2001-10-16 17:33  mbickel

	* configure, configure.in, data/Makefile.am, data/Makefile.in,
	data/icon_asc.gif, data/icon_mapeditor.gif,
	source/buildingtype.cpp, source/edmain.cpp, source/loadbi3.cpp,
	source/sg.cpp, source/sdl/graphics.cpp, source/sdl/graphics.h: 
	Added icons to data
	 ASC displays icons
	 Fixed crash when building icons
	 Removed assembled datafiles

2001-10-12 02:32  mbickel

	* source/: loadbi3.cpp, tools/viewid.cpp, tools/win/viewid.bpf,
	tools/win/viewid.bpr:  Fixed crash in loadbi3

2001-10-12 02:18  mbickel

	* source/strtmesg.cpp:	Version now 1.9.4

2001-10-12 02:16  mbickel

	* source/: itemrepository.cpp, objecttype.cpp, terraintype.cpp,
	textfileparser.cpp, textfileparser.h, tools/bin2text.cpp,
	tools/viewid.cpp, tools/linux/Makefile.am, tools/linux/Makefile.in,
	unix/Makefile.am, unix/Makefile.in:  Some cleanup and bugfixes

2001-10-11 12:41  mbickel

	* asc.kdevprj, configure, configure.in, source/basestrm.cpp,
	source/controls.cpp, source/dialog.cpp, source/dialog.h,
	source/dlg_box.h, source/edglobal.cpp, source/edglobal.h,
	source/edmisc.cpp, source/edmisc.h, source/gamedlg.cpp,
	source/gamemap.cpp, source/gamemap.h, source/loadbi3.cpp,
	source/loaders.cpp, source/loaders.h, source/map2pcx.cpp,
	source/spfst.cpp, source/unix/Makefile.am, source/unix/Makefile.in,
	source/unix/fileio.cpp, source/unix/fileio.h,
	source/win32/fileio.cpp, source/win32/borland/fileio.h,
	source/win32/msvc/fileio.h, source/win32/watcom/fileio.h: 
	Restructured platform fileio handling
	 Added map archival information to mapeditor

2001-10-11 12:22  mbickel

	* source/: building.cpp, edevents.cpp, edgen.cpp, edglobal.cpp,
	edmisc.cpp, sgstream.cpp, tools/mount.cpp, win32/msvc/global_os.h: 
	Some cleanup and fixes for Visual C++

2001-10-08 16:44  mbickel

	* asc.bpg, data/palette.map, source/basestrm.h,
	source/controls.cpp, source/dialog.cpp, source/edmisc.cpp,
	source/errors.h, source/gamedlg.cpp, source/mapalgorithms.cpp,
	source/replay.cpp, source/sg.cpp, source/typen.h, source/ai/ai.bpr,
	source/sdl/sound.cpp, source/tools/demount.cpp,
	source/tools/weaponguide.cpp, source/tools/win/weaponguide.bpr,
	source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpr:  Some cleanup

2001-10-08 16:12  mbickel

	* source/: basestrm.cpp, basestrm.h, edglobal.cpp, edglobal.h,
	edmisc.cpp, gamemap.cpp, loadbi3.cpp, map2pcx.cpp, strtmesg.cpp,
	ai/misc.cpp, ai/service.cpp:  Fixed crash in AI
	 Speedup of AI
	 Map2PCX improvements
	 Mapeditor usability improvements

2001-10-06 13:30  mbickel

	* ChangeLog, data/legacy/A_BOMBER.VEH, source/itemrepository.cpp,
	source/loadbi3.cpp, source/map2pcx.cpp, source/strtmesg.cpp,
	source/typen.h:  Fixed bug in gametime calculation

2001-10-03 22:56  mbickel

	* data/bi3maptranslation.txt, data/helpsys2.txt, data/helpsyst.txt,
	source/attack.cpp, source/dashboard.cpp, source/dashboard.h,
	source/dialog.cpp, source/gamemap.cpp, source/gamemap.h,
	source/sg.cpp, source/strtmesg.cpp, source/typen.cpp,
	source/typen.h, source/vehicletype.cpp, source/vehicletype.h,
	source/tools/weaponguide.cpp:  Updated data files
	 Updated online help
	 Clean up of Pulldown menues
	 Weapons can now have different efficiencies against different unit
	classes

2001-10-02 20:08  mbickel

	* asc.bpg, source/edmain.cpp, source/sg.cpp:  Changed parser error
	handling to use exceptions
	 Removed gfx2pcx project

2001-10-02 16:06  mbickel

	* source/: TODO, attack.cpp, baseaiinterface.h, controls.cpp,
	dialog.cpp, dialog.h, dlg_box.cpp, dlg_box.h, edevents.cpp,
	edglobal.cpp, edglobal.h, edmain.cpp, edmisc.cpp, edmisc.h,
	edselfnt.cpp, errors.h, gamedlg.cpp, gamemap.cpp, gamemap.h,
	itemrepository.cpp, itemrepository.h, loadbi3.cpp, loaders.cpp,
	mapevents.h, missions.cpp, network.cpp, objxlat.cpp, sg.cpp,
	spfst.cpp, strtmesg.cpp, textfileparser.cpp, textfileparser.h,
	typen.cpp, typen.h, unitctrl.cpp, vehicle.cpp, vehicle.h,
	vehicletype.h, viewcalculation.cpp, viewcalculation.h, ai/ai.h,
	ai/service.cpp, ai/tactics.cpp, tools/weaponguide.cpp,
	tools/linux/Makefile.am, tools/linux/Makefile.in:  Some cleanup and
	documentation
	 Bi3 import tables now stored in .asctxt files
	 Added ability to choose amoung different BI3 import tables
	 Added map transformation tables

2001-09-30 15:09  mbickel

	* ChangeLog, data/first.map, data/first.msg, data/paybacktime.map,
	data/paybacktime.msg, source/strtmesg.cpp:  Updated maps
	 Version now 1.9.1

2001-09-30 13:04  mbickel

	* data/paybacktime.map:  Corrected alliances in paybacktime

2001-09-29 22:44  mbickel

	* data/paybacktime.map, source/strtmesg.cpp,
	source/ai/valuation.cpp:  AI does better job of finding unit jobs
	 Adjusted players of paybacktime

2001-09-28 23:08  mbickel

	* asc.bpg, data/first.map, data/first.msg, data/paybacktime.map,
	data/paybacktime.msg, source/strtmesg.cpp, source/ai/base.cpp: 
	Improved first two campaign maps
	 Version now 1.9.0-pre2

2001-09-28 21:36  mbickel

	* data/first.map, source/sg.cpp:  New startup map

2001-09-28 19:43  mbickel

	* data/helpsyst.txt, source/basegfx.cpp, source/vehicletype.h: 
	Fixed bug: wrong graphics with hillside
	 Fixed bug: crash when vehicle function not found
	 Updated Helpsystem

2001-09-27 00:07  mbickel

	* data/: helpsys2.txt, message1.txt:  Updated online help

2001-09-26 22:30  mbickel

	* source/strtmesg.cpp:	Changed version number to 1.9.0-pre1

2001-09-26 21:53  mbickel

	* configure, configure.in, data/Makefile.am, data/Makefile.in,
	data/a_battl2.veh, data/a_battle.veh, data/a_bfigh1.veh,
	data/a_bfigh2.veh, data/a_bomber.veh, data/a_ekrano.veh,
	data/a_espion.veh, data/a_figbom.veh, data/a_fight1.veh,
	data/a_fight3.veh, data/a_helic1.veh, data/a_long-r.veh,
	data/a_reccep.veh, data/a_seapla.veh, data/a_star-c.veh,
	data/a_stealt.veh, data/a_tanker.veh, data/a_transp.veh,
	data/a_vertic.veh, data/a_zeppel.veh, data/airport1.bld,
	data/airport2.bld, data/airport3.bld, data/b_aa-tur.veh,
	data/b_bunker.veh, data/b_turret.veh, data/bridge.obl,
	data/coast137.trr, data/coast138.trr, data/coast139.trr,
	data/coast140.trr, data/coast141.trr, data/coast142.trr,
	data/coast143.trr, data/coast144.trr, data/coast145.trr,
	data/coast146.trr, data/coast147.trr, data/coast148.trr,
	data/coast149.trr, data/coast150.trr, data/coast151.trr,
	data/coast152.trr, data/coast153.trr, data/coast154.trr,
	data/coast155.trr, data/coast156.trr, data/coast157.trr,
	data/coast158.trr, data/cst222.trr, data/cst223.trr,
	data/cstes0.trr, data/cstlns0.trr, data/cstlss0.trr,
	data/cstnes0.trr, data/cstns0.trr, data/cstnws0.trr,
	data/cstses0.trr, data/cstss0.trr, data/cstsws0.trr,
	data/cstws0.trr, data/deng.bld, data/depot.bld, data/depot1.obl,
	data/depot2.bld, data/depot2.obl, data/depot3.bld, data/depot3.obl,
	data/depot4.obl, data/ditch.obl, data/fields.obl, data/fields2.obl,
	data/flat0002.trr, data/flat0003.trr, data/flat0004.trr,
	data/flat0005.trr, data/flat0006.trr, data/flat0007.trr,
	data/flat0008.trr, data/flat0009.trr, data/flat0010.trr,
	data/flat0011.trr, data/flat0012.trr, data/flat0013.trr,
	data/flat0014.trr, data/flat0015.trr, data/flat0016.trr,
	data/flat0017.trr, data/flat0018.trr, data/flat0019.trr,
	data/flat0020.trr, data/flat0021.trr, data/flat0022.trr,
	data/flat0023.trr, data/flat0024.trr, data/flat0025.trr,
	data/flat0026.trr, data/flat0027.trr, data/flat0028.trr,
	data/flat0029.trr, data/flat0030.trr, data/flat0031.trr,
	data/flat0032.trr, data/flat0033.trr, data/flat0034.trr,
	data/flat0035.trr, data/flat0036.trr, data/flat0037.trr,
	data/flat0038.trr, data/flat0039.trr, data/flat0040.trr,
	data/flat0041.trr, data/flat0042.trr, data/flat0043.trr,
	data/flat0044.trr, data/flat0045.trr, data/flat0046.trr,
	data/flat0047.trr, data/flat0048.trr, data/flat0049.trr,
	data/flat0050.trr, data/flat0051.trr, data/flat0052.trr,
	data/flat0053.trr, data/flat0054.trr, data/flat0055.trr,
	data/flat0056.trr, data/flat0057.trr, data/flat0058.trr,
	data/flat0059.trr, data/flat0060.trr, data/flat0061.trr,
	data/flat0062.trr, data/flat0063.trr, data/flat0064.trr,
	data/flat0065.trr, data/flat0066.trr, data/flat0067.trr,
	data/flat0068.trr, data/flat0069.trr, data/flat0070.trr,
	data/flat0071.trr, data/flat0072.trr, data/flat0073.trr,
	data/flat0074.trr, data/flat0075.trr, data/flat0076.trr,
	data/flat0077.trr, data/flat0078.trr, data/flat0079.trr,
	data/flat0080.trr, data/flat0081.trr, data/flat0082.trr,
	data/flat0083.trr, data/flat0084.trr, data/flat0085.trr,
	data/flat0311.trr, data/flat0312.trr, data/flat0313.trr,
	data/flat0314.trr, data/flat0315.trr, data/flat0318.trr,
	data/flat0319.trr, data/flat0320.trr, data/flat1000.trr,
	data/forest.obl, data/g_aa-art.veh, data/g_aa-tan.veh,
	data/g_aa-tra.veh, data/g_ammuni.veh, data/g_ari1.veh,
	data/g_ari2.veh, data/g_army-v.veh, data/g_constb.veh,
	data/g_constr.veh, data/g_energy.veh, data/g_forest.veh,
	data/g_h-tank.veh, data/g_jammer.veh, data/g_miner.veh,
	data/g_paratr.veh, data/g_platoo.veh, data/g_privat.veh,
	data/g_radar-.veh, data/g_rail_g.veh, data/g_recon2.veh,
	data/g_reconn.veh, data/g_rep-tr.veh, data/g_repair.veh,
	data/g_ro_tan.veh, data/g_survey.veh, data/g_tank-2.veh,
	data/g_tanker.veh, data/g_tra-tr.veh, data/g_transp.veh,
	data/g_troope.veh, data/harb0194.trr, data/harb0195.trr,
	data/harb0196.trr, data/harb0197.trr, data/harb0198.trr,
	data/harb0199.trr, data/harb0200.trr, data/harb0201.trr,
	data/helisun.jpg, data/hill0065.obl, data/hill0066.obl,
	data/hill0067.obl, data/hill0068.obl, data/hill0069.obl,
	data/hill0070.obl, data/hill0071.obl, data/hill0072.obl,
	data/hill0073.obl, data/hill0074.obl, data/hill0075.obl,
	data/hill0321.trr, data/hill0322.trr, data/hill0323.trr,
	data/hill0324.trr, data/hill0325.trr, data/hill1013.trr,
	data/hills087.trr, data/hills088.trr, data/hills089.trr,
	data/hills090.trr, data/hills091.trr, data/hills092.trr,
	data/hills093.trr, data/hills094.trr, data/hills095.trr,
	data/hills096.trr, data/hills097.trr, data/hills098.trr,
	data/hills099.trr, data/hills100.trr, data/hills101.trr,
	data/hills102.trr, data/hills103.trr, data/hills104.trr,
	data/hills105.trr, data/hills106.trr, data/hills107.trr,
	data/hills108.trr, data/hills109.trr, data/hills110.trr,
	data/hills111.trr, data/hills112.trr, data/hills113.trr,
	data/hills114.trr, data/hills115.trr, data/hills116.trr,
	data/hills117.trr, data/hills118.trr, data/hills119.trr,
	data/hills120.trr, data/hills121.trr, data/hills122.trr,
	data/hills123.trr, data/hills124.trr, data/hills125.trr,
	data/hills126.trr, data/hills127.trr, data/hills128.trr,
	data/hills129.trr, data/hills130.trr, data/hills131.trr,
	data/hills132.trr, data/hills133.trr, data/hills134.trr,
	data/hills135.trr, data/hills202.trr, data/hills316.trr,
	data/hq1.bld, data/hq2.bld, data/hq_big.bld, data/hq_bunk.bld,
	data/hq_titan.bld, data/icebreak.obl, data/inst0033.obl,
	data/inst0034.obl, data/inst0035.obl, data/inst0036.obl,
	data/inst0037.obl, data/inst0038.obl, data/inst0039.obl,
	data/inst0040.obl, data/inst0041.obl, data/inst0042.obl,
	data/inst0043.obl, data/ltgreen1.obl, data/ltgreen2.obl,
	data/mntn0046.obl, data/mntn0047.obl, data/mntn0048.obl,
	data/mntn0049.obl, data/mntn0050.obl, data/mntn0051.obl,
	data/mntn0052.obl, data/mntn0053.obl, data/mntn0054.obl,
	data/mntn0055.obl, data/mntn0056.obl, data/mntn0057.obl,
	data/mntn0058.obl, data/mntn0059.obl, data/mntn0060.obl,
	data/mntn0061.obl, data/mntn0062.obl, data/mntn0063.obl,
	data/mntn0064.obl, data/mntn0184.trr, data/mntn0185.trr,
	data/mntn0186.trr, data/mntn0187.trr, data/mntn0188.trr,
	data/mntn0189.trr, data/mntn0190.trr, data/mntn0191.trr,
	data/mntn0192.trr, data/mntn0193.trr, data/netmount.bld,
	data/obj_0022.obl, data/obj_0042.obl, data/obj_0089.obl,
	data/obj_0234.obl, data/obj_0235.obl, data/obj_0236.obl,
	data/obj_0238.obl, data/obj_0239.obl, data/obj_0240.obl,
	data/obj_0241.obl, data/obj_0291.obl, data/obj_0313.obl,
	data/obj_0314.obl, data/obj_0326.obl, data/obj_0327.obl,
	data/obj_0328.obl, data/obj_0329.obl, data/obj_0330.obl,
	data/obj_0331.obl, data/obj_0332.obl, data/obj_0333.obl,
	data/obj_0334.obl, data/obj_0335.obl, data/obj_0336.obl,
	data/obj_0337.obl, data/obj_0338.obl, data/obj_0339.obl,
	data/obj_0340.obl, data/obj_0341.obl, data/obj_0342.obl,
	data/obj_0343.obl, data/obj_0344.obl, data/obj_0345.obl,
	data/obj_0346.obl, data/obj_0347.obl, data/obj_0348.obl,
	data/obj_0358.obl, data/obj_0360.obl, data/obj_0388.obl,
	data/obj_0444.obl, data/obj_0445.obl, data/obj_0446.obl,
	data/obj_0447.obl, data/obj_0448.obl, data/obj_0453.obl,
	data/obj_0454.obl, data/obj_0455.obl, data/obj_0456.obl,
	data/obj_0457.obl, data/obj_0459.obl, data/obj_0460.obl,
	data/obj_0461.obl, data/obj_0462.obl, data/obj_1283.obl,
	data/obj_1329.obl, data/obj_1330.obl, data/obj_1331.obl,
	data/obj_1332.obl, data/obj_1333.obl, data/obj_1334.obl,
	data/oilplat.bld, data/path.obl, data/paybacktime.map,
	data/paybacktime.msg, data/pipe0289.trr, data/pipe0290.trr,
	data/pipe0291.trr, data/pipe0292.trr, data/pipe0293.trr,
	data/pipe0294.trr, data/pipe0295.trr, data/pipe0296.trr,
	data/pipe0297.trr, data/pipe0298.trr, data/pipelin2.obl,
	data/pipeline.obl, data/railroad.obl, data/rck10346.trr,
	data/rck10347.trr, data/rck10348.trr, data/rck1_159.trr,
	data/rck1_160.trr, data/rck1_161.trr, data/rck1_162.trr,
	data/rck1_163.trr, data/rck1_164.trr, data/rck1_165.trr,
	data/rck1_166.trr, data/rck1_167.trr, data/rck1_168.trr,
	data/rck1_169.trr, data/rck1_170.trr, data/rck1_171.trr,
	data/rck1_172.trr, data/rck1_173.trr, data/rck1_174.trr,
	data/rck1_175.trr, data/rck1_176.trr, data/rck1_177.trr,
	data/rck20349.trr, data/rck2_178.trr, data/rck2_179.trr,
	data/rck2_180.trr, data/rck2_181.trr, data/rck2_182.trr,
	data/rck2_183.trr, data/research.bld, data/rforst00.obl,
	data/rforst01.obl, data/rforst02.obl, data/rforst03.obl,
	data/rforst04.obl, data/rforst05.obl, data/rforst06.obl,
	data/rforst07.obl, data/rforst08.obl, data/rforst09.obl,
	data/rforst10.obl, data/rforst11.obl, data/rforst12.obl,
	data/rforst13.obl, data/rforst14.obl, data/road.obl,
	data/road0310.trr, data/runway45.obl, data/s_aa-shi.veh,
	data/s_amphib.veh, data/s_battle.veh, data/s_carrie.veh,
	data/s_cruisr.veh, data/s_destro.veh, data/s_ice-br.veh,
	data/s_nuclea.veh, data/s_patro2.veh, data/s_r-sled.veh,
	data/s_repair.veh, data/s_speedb.veh, data/s_subm-d.veh,
	data/s_submar.veh, data/s_supply.veh, data/s_tr-sub.veh,
	data/s_transp.veh, data/secdepot.bld, data/solar.bld,
	data/submarin.bld, data/swm1_266.trr, data/swm1_267.trr,
	data/swm1_268.trr, data/swm1_269.trr, data/swm1_270.trr,
	data/swm1_271.trr, data/swm2_272.trr, data/swm2_273.trr,
	data/swm2_274.trr, data/swm2_275.trr, data/swm2_276.trr,
	data/swm2_277.trr, data/swm2_278.trr, data/swm2_279.trr,
	data/swm2_280.trr, data/swm2_281.trr, data/swm2_282.trr,
	data/swm2_283.trr, data/swm2_284.trr, data/swm2_285.trr,
	data/swm2_286.trr, data/swm2_287.trr, data/swm2_288.trr,
	data/swmp0360.trr, data/terr_168.trr, data/terr_233.trr,
	data/terr_237.trr, data/terr_242.trr, data/terr_290.trr,
	data/terr_394.trr, data/terr_396.trr, data/terr_487.trr,
	data/terr_488.trr, data/terr_489.trr, data/terr_490.trr,
	data/terr_509.trr, data/terr_571.trr, data/title.jpg,
	data/town1.bld, data/town2.bld, data/town3.bld, data/track.obl,
	data/training.bld, data/trrt0359.trr, data/turrt044.obl,
	data/unps0203.trr, data/unps0204.trr, data/unps0205.trr,
	data/unps0206.trr, data/unps0207.trr, data/unps0208.trr,
	data/unps0209.trr, data/unps0210.trr, data/unps0211.trr,
	data/unps0212.trr, data/unps0213.trr, data/unps0214.trr,
	data/unps0215.trr, data/unps0216.trr, data/unps0217.trr,
	data/unps0218.trr, data/unps0219.trr, data/unps0220.trr,
	data/unps0221.trr, data/unps0222.trr, data/unps0223.trr,
	data/unps0224.trr, data/unps0225.trr, data/unps0226.trr,
	data/unps0227.trr, data/unps0228.trr, data/unps0229.trr,
	data/unps0230.trr, data/unps0231.trr, data/unps0232.trr,
	data/unps0233.trr, data/unps0234.trr, data/unps0235.trr,
	data/unps0236.trr, data/unps0237.trr, data/unps0238.trr,
	data/unps0239.trr, data/unps0240.trr, data/unps0241.trr,
	data/unps0242.trr, data/unps0243.trr, data/unps0244.trr,
	data/unps0245.trr, data/unps0246.trr, data/unps0247.trr,
	data/unps0248.trr, data/unps0249.trr, data/unps0250.trr,
	data/unps0251.trr, data/unps0252.trr, data/unps0253.trr,
	data/unps0254.trr, data/unps0255.trr, data/unps0256.trr,
	data/unps0257.trr, data/unps0258.trr, data/unps0259.trr,
	data/unps0260.trr, data/unps0261.trr, data/unps0262.trr,
	data/unps0263.trr, data/unps0264.trr, data/unps0265.trr,
	data/unps0319.trr, data/unps0326.trr, data/unps0327.trr,
	data/unps0328.trr, data/unps0329.trr, data/unps0330.trr,
	data/unps0331.trr, data/unps0332.trr, data/unps0333.trr,
	data/unps0334.trr, data/unps0335.trr, data/unps0336.trr,
	data/unps0337.trr, data/unps0338.trr, data/unps0339.trr,
	data/unps0340.trr, data/unps0341.trr, data/unps0342.trr,
	data/unps0343.trr, data/unps0344.trr, data/unps0345.trr,
	data/unps0350.trr, data/unps0351.trr, data/unps0352.trr,
	data/unps0353.trr, data/unps0354.trr, data/unps0355.trr,
	data/unps0356.trr, data/unps0357.trr, data/unps0358.trr,
	data/vehiclef.bld, data/vehicleg.bld, data/vehicleh.bld,
	data/wa_ro303.trr, data/wa_ro304.trr, data/wa_ro305.trr,
	data/wa_ro306.trr, data/wat1_299.trr, data/wat1_307.trr,
	data/wat2_300.trr, data/wat2_308.trr, data/wat3_301.trr,
	data/wat3_302.trr, data/wat3_309.trr, data/werft.bld,
	data/windpow.bld, data/wreck076.obl, data/wreck077.obl,
	data/wreck078.obl, doc/source.html, doc/source_borland.html,
	source/dialog.cpp, source/sg.cpp, source/libs/bzlib/Makefile: 
	Reorganized data files for coming ASC 1.9.0 release
	 Improved field information dialog

2001-09-26 21:44  mbickel

	* asc.bpg, source/controls.cpp, source/gamemap.cpp,
	source/tools/weaponguide.cpp:  Fixed bugs in map resizing

2001-09-25 22:15  mbickel

	* source/sg.cpp:  Changed startup map to paybacktime

2001-09-25 20:03  mbickel

	* source/: controls.cpp, typen.h:  Move after attack doesn't reduce
	a units movement

2001-09-25 17:13  mbickel

	* data/message1.txt, source/attack.cpp, source/strtmesg.cpp,
	source/unitctrl.cpp, source/unitctrl.h:  New version number
	 Fixed crash when reaction fire during ascend

2001-09-25 16:06  mbickel

	* source/tools/demount.cpp:  Fixed: some files were not extracted
	by demount

2001-09-25 11:35  mbickel

	* source/: gamemap.cpp, spfst.cpp:  Fixed disappearing building
	when resizing map

2001-09-24 19:22  mbickel

	* source/: buildings.h, buildingtype.h, doxygen.config, gamemap.h,
	spfst.cpp, typen.h:  Fixed crash in end of turn
	 Improved documentation

2001-09-24 14:05  mbickel

	* ChangeLog, README, source/TODO, source/buildingtype.h,
	source/edglobal.cpp, source/ai/service.cpp, source/tools/mount.cpp:
	 Fixed: airplanes landing in wrong building for repairs

2001-09-24 01:06  mbickel

	* source/: building.cpp, building_controls.h, edglobal.cpp,
	edmain.cpp, mapdisplay.cpp, unitctrl.cpp, vehicle.cpp, vehicle.h: 
	Fixed:
	  - ascent/descent during reactionfire
	  - movement with nearly empty fuel tank
	  - production icon displayed although unit could not be produced
	  - invisible building becoming visible in fog of war

2001-09-20 17:36  mbickel

	* source/: basestrm.cpp, edselfnt.cpp, gamemap.cpp, gui.cpp,
	objecttype.cpp, objecttype.h, palette.cpp, palette.h, strtmesg.cpp,
	textfiletags.cpp, textfiletags.h, tools/mount.cpp,
	tools/weaponguide.cpp, win32/borland/asc.bpr:  New object
	displaying mode

2001-09-18 13:19  mbickel

	* source/: vehicletype.cpp, tools/weaponguide.cpp:  Fixed bug in
	determining units loadable into a transport
	 Weaponguide displays removable objects

2001-09-14 13:34  mbickel

	* source/: buildingtype.cpp, strtmesg.cpp, vehicletype.cpp:  Fixed
	loadable-check for transports in mapeditor

2001-09-13 21:34  mbickel

	* ChangeLog, doc/source.html, source/ai/misc.cpp,
	source/ai/service.cpp, source/ai/strategy.cpp,
	source/ai/tactics.cpp, source/tools/bin2text.cpp:  Fixed several AI
	problems

2001-09-13 19:43  mbickel

	* asc.bpg, data/message1.txt, source/CLoadable.cpp, source/TODO,
	source/attack.cpp, source/basestrm.cpp, source/building.cpp,
	source/buildingtype.cpp, source/controls.cpp, source/controls.h,
	source/dashboard.cpp, source/edmain.cpp, source/edmisc.cpp,
	source/gamedlg.cpp, source/gameoptions.cpp, source/gameoptions.h,
	source/itemrepository.cpp, source/loadbi3.cpp, source/loaders.cpp,
	source/replay.cpp, source/sg.cpp, source/textfiletags.cpp,
	source/typen.cpp, source/typen.h, source/unitctrl.cpp,
	source/vehicletype.cpp, source/vehicletype.h,
	source/tools/win/bin2text.bpr, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr:  Many, many bug fixes

2001-09-13 16:25  mbickel

	* source/tools/weaponguide.cpp:  Improved elimination of text tags
	in description

2001-09-07 11:33  mbickel

	* source/: strtmesg.cpp, textfileparser.cpp, vehicletype.cpp: 
	Fixed broken PCX loading for ASCTXT files

2001-08-28 15:24  mbickel

	* asc.bpg, source/libs/sdlmm/SDLmm.bpf,
	source/libs/sdlmm/SDLmm.bpr, source/tools/win/bin2text.bpf,
	source/tools/win/bin2text.bpr, source/tools/win/demount.bpf,
	source/tools/win/demount.bpr, source/tools/win/gfx2pcx.bpf,
	source/tools/win/gfx2pcx.bpr, source/tools/win/makegfx.bpf,
	source/tools/win/makegfx.bpr, source/tools/win/mount.bpf,
	source/tools/win/mount.bpr, source/tools/win/tank2pcx.bpf,
	source/tools/win/tank2pcx.bpr, source/tools/win/viewid.bpf,
	source/tools/win/viewid.bpr, source/tools/win/weaponguide.bpf,
	source/tools/win/weaponguide.bpr, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr:  Added project files
	for SDLmm

2001-08-28 11:51  mbickel

	* source/: basegfx.h, textfileparser.cpp, ai/ai.bpr,
	tools/bi2pcx.cpp, tools/bin2text.cpp, tools/makegfx.cpp,
	tools/pcxtank.cpp, tools/viewid.cpp, tools/weaponguide.cpp,
	tools/weaponguide_english.cpp, tools/win/bin2text.bpf,
	tools/win/bin2text.bpr, tools/win/demount.bpf,
	tools/win/demount.bpr, tools/win/gfx2pcx.bpf,
	tools/win/gfx2pcx.bpr, tools/win/makegfx.bpf,
	tools/win/makegfx.bpr, tools/win/mount.bpf, tools/win/mount.bpr,
	tools/win/tank2pcx.bpf, tools/win/tank2pcx.bpr,
	tools/win/tools.bpr, tools/win/viewid.bpf, tools/win/viewid.bpr,
	tools/win/weaponguide.bpf, tools/win/weaponguide.bpr,
	win32/borland/asc.bpf, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr:	Added SDL_image and SDLmm
	to the win32 project files

2001-08-27 23:03  mbickel

	* configure, configure.in, source/baseaiinterface.h,
	source/basegfx.cpp, source/basegfx.h, source/basestrm.h,
	source/edmisc.cpp, source/gamemap.cpp, source/sg.cpp,
	source/textfileparser.cpp, source/typen.h, source/ai/ai.h,
	source/ai/base.cpp, source/ai/buildingcapture.cpp,
	source/ai/misc.cpp, source/ai/service.cpp, source/ai/strategy.cpp,
	source/ai/tactics.cpp, source/ai/valuation.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	source/unix/Makefile.am, source/unix/Makefile.in,
	source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Terraintype graphics can now be
	mounted from any number of PNG files
	 Several AI improvements

2001-08-26 23:39  mbickel

	* source/: objecttype.cpp, tools/linux/Makefile.am,
	tools/linux/Makefile.in:  Fixed bugs in objecttype loading /
	writing of text files

2001-08-26 22:55  mbickel

	* asc.bpg, source/buildingtype.cpp, source/buildingtype.h,
	source/containerbasetype.h, source/edselfnt.cpp,
	source/itemrepository.cpp, source/loadbi3.cpp,
	source/objecttype.cpp, source/objecttype.h, source/sgstream.cpp,
	source/terraintype.cpp, source/terraintype.h, source/typen.h,
	source/vehicletype.cpp, source/tools/bin2text.cpp,
	source/tools/win/bin2text.bpf, source/tools/win/bin2text.bpr: 
	bin2text can now load text files too
	 LoadableItemType interface class added

2001-08-24 17:50  mbickel

	* source/: astar2.cpp, strtmesg.cpp, unitctrl.cpp, ai/ai.h,
	ai/misc.cpp, ai/service.cpp, ai/tactics.cpp, ai/valuation.cpp:	AI
	performs better services when there are no service units

2001-08-19 14:50  mbickel

	* source/: edmisc.cpp, loaders.cpp, missions.cpp, sg.cpp:  fixed
	event trigger allenemybuildings

2001-08-19 14:31  mbickel

	* source/: edevents.cpp, gamemap.cpp, loaders.cpp, missions.cpp,
	sg.cpp, ai/base.cpp:  Fixed several bugs in event and campaign
	handling

2001-08-19 12:48  mbickel

	* source/: dlg_box.cpp, edevents.cpp, gamedlg.cpp, typen.cpp,
	tools/mount.cpp:  Fixed display problems in event dlg in mapeditor
	 Fixed error when starting campaign with AI as first player

2001-08-18 14:30  mbickel

	* source/: strtmesg.cpp, ai/service.cpp:  Fixed crash in AI:
	"trying to move immobile units"

2001-08-17 21:02  mbickel

	* source/: objecttype.cpp, objecttype.h, strtmesg.cpp,
	textfileparser.cpp, textfileparser.h, tools/mount.cpp:	Objecttypes
	can now use mirrored images in text files

2001-08-15 16:02  mbickel

	* data/message1.txt, source/TODO, source/gui.cpp,
	source/unitctrl.cpp, source/vehicle.cpp, source/vehicle.h:  Updated
	message texts

2001-08-15 15:47  mbickel

	* asc.kdevprj, source/loaders.cpp, source/mapdisplay.cpp,
	source/strtmesg.cpp, source/vehicletype.cpp:  Fixed crash when
	loading old vehicletypes

2001-08-10 11:36  mbickel

	* source/strtmesg.cpp:	Increased version number

2001-08-10 01:13  mbickel

	* ChangeLog, asc.kdevprj, source/buildingtype.cpp,
	source/itemrepository.cpp, source/textfileparser.cpp:  Finished
	text io for building types

2001-08-10 00:08  mbickel

	* asc.bpg, source/buildingtype.cpp, source/loadpcx.h,
	source/loadpcxc.cpp, source/textfileparser.cpp,
	source/textfileparser.h, source/tools/win/bin2text.bpr:  Improved
	building text file IO

2001-08-09 21:48  mbickel

	* asc.kdevprj, source/buildingtype.cpp:  Improved building text
	files

2001-08-09 21:28  mbickel

	* source/: buildingtype.cpp, buildingtype.h, controls.cpp,
	edmisc.cpp, loadbi3.cpp, loaders.cpp, sgstream.cpp,
	textfiletags.cpp, textfiletags.h, tools/bin2text.cpp:  Started
	adding buildingtype text file functions

2001-08-09 19:06  mbickel

	* asc.bpg, source/edselfnt.cpp, source/mapdisplay.cpp,
	source/mapdisplay.h, source/ai/ai.bpr,
	source/ai/buildingcapture.cpp:	Fixed some warnings

2001-08-09 17:58  mbickel

	* asc.kdevprj, data/bi3maptranslation.txt, data/data.version,
	source/edglobal.cpp, source/loadbi3.cpp, source/objxlat.cpp,
	source/sgstream.cpp, source/textfileparser.cpp,
	source/unitctrl.cpp:  Some usability improvements in the map editor
	 More flexible BI3 map import
	 Better textfile error messages

2001-08-09 16:50  mbickel

	* asc.bpg, data/bi3maptranslation.txt, data/g_bpipe.veh,
	data/palette.map, data/legacy/g_bpipe.veh, source/basestrm.cpp,
	source/edglobal.cpp, source/edselfnt.cpp,
	source/itemrepository.cpp, source/loadbi3.cpp, source/misc.cpp,
	source/objxlat.cpp, source/sgstream.cpp, source/textfileparser.cpp,
	source/textfileparser.h, source/tools/win/gfx2pcx.bpr,
	source/tools/win/makegfx.bpr, source/tools/win/viewid.bpr:  Added
	palette.map to data directory
	 Improved usability of terrain selection in mapeditor
	 New terrain translation in bi3 import function
	 Better error messages in text parser
	 Better error message: duplicate ID

2001-08-09 12:28  mbickel

	* asc.kdevprj, configure, configure.in, source/baseaiinterface.h,
	source/dialog.cpp, source/dlg_box.cpp, source/dlg_box.h,
	source/edevents.cpp, source/edevents.h, source/edgen.cpp,
	source/edmisc.cpp, source/loadbi3.cpp, source/strtmesg.cpp,
	source/terraintype.h, source/textfileparser.h, source/unitctrl.cpp,
	source/vehicletype.cpp, source/vehicletype.h, source/ai/base.cpp,
	source/ai/buildingcapture.cpp, source/ai/misc.cpp,
	source/ai/service.cpp, source/ai/tactics.cpp:  Fixed AI problems
	 Mapeditor can edit a units AI parameter

2001-08-08 00:11  mbickel

	* ChangeLog, asc.kdevprj, data/helpsys2.txt,
	source/unix/global_os.h:  Unix build now uses namespace
	 Fixed typo in tutorial

2001-08-07 23:24  mbickel

	* data/s_aa-shi.veh, data/s_battle.veh, data/s_cruisr.veh,
	data/s_destro.veh, source/edselfnt.cpp, source/unix/global_os.h: 
	Fixed invalid height of planes inside carriers (mapeditor)
	 Added namespace std usage to unix config
	 Updated vehicles (provided by gamer)

2001-08-07 17:58  mbickel

	* data/helpsys9.msg, source/attack.cpp, source/controls.cpp,
	source/dlg_box.cpp, source/gamedlg.cpp, source/gui.cpp,
	source/strtmesg.cpp:  Fixed crash in mail list
	 Fixed crash in weapon info with mines
	 Fixed cancel Button in object construction

2001-08-06 23:38  mbickel

	* source/: controls.cpp, sg.cpp:  Fixed: ghost icons remained after
	vehicle construction canceled

2001-08-06 22:54  mbickel

	* asc.kdevprj, source/buildings.cpp, source/edmain.cpp,
	source/gui.cpp, source/loaders.cpp, source/mapdisplay.cpp,
	source/memorycheck.cpp, source/misc.cpp, source/objecttype.cpp,
	source/sg.cpp, source/sgstream.cpp, source/sgstream.h,
	source/spfst.cpp, source/textfileparser.cpp,
	source/vehicletype.cpp, source/tools/demount.cpp,
	source/tools/weaponguide.cpp:  Fixed lots of crashes related to the
	new text files
	 Fixed delayed events
	 Fixed crash in terrin change event
	 Fixed visibility of mines
	 Fixed crashes in event loader

2001-08-06 17:35  mbickel

	* source/: buildingtype.h, itemrepository.cpp, sg.cpp,
	strtmesg.cpp:  Fixed wrong resulution from config file
	 Added duplicate ID checking

2001-08-03 11:06  mbickel

	* data/data.version:  Increased data version

2001-08-03 10:53  mbickel

	* source/: strtmesg.cpp, vehicletype.cpp, tools/weaponguide.cpp: 
	Added missing construction cost to vehicletype text formats
	 New version of weaponguide

2001-08-02 20:50  mbickel

	* data/bi3maptranslation.txt, source/edmain.cpp, source/sg.cpp,
	source/sgstream.cpp, source/sgstream.h, source/spfst.cpp,
	source/spfst.h, source/textfileparser.cpp:  Corrected Error
	handling in Text parsers
	 Improved version information

2001-08-02 20:18  mbickel

	* asc.kdevprj, configure, configure.in, data/bi3maptranslation.txt,
	doc/manpages/Makefile.in, source/edmain.cpp, source/loadbi3.h,
	source/objxlat.cpp, source/textfileparser.cpp,
	source/tools/bi2pcx.cpp:  BI3 map translation tables now in
	textfile too

2001-08-02 17:33  mbickel

	* source/: ascstring.cpp, ascstring.h, edglobal.cpp, edglobal.h,
	edmain.cpp, itemrepository.cpp, itemrepository.h, loadpcx.h,
	loadpcxc.cpp, map2pcx.cpp, replay.cpp, sg.cpp, sgstream.cpp,
	strtmesg.cpp, terraintype.cpp, textfileparser.cpp,
	textfileparser.h, textfiletags.cpp, textfiletags.h,
	vehicletype.cpp, vehicletype.h, sdl/graphics.cpp,
	tools/bin2text.cpp, tools/mount.cpp, tools/weaponguide.cpp: 
	Completed text based file formats

2001-07-31 22:16  mbickel

	* asc.kdevprj, source/buildingtype.h, source/vehicletype.h: 
	Changed headers to use common types

2001-07-31 11:50  mbickel

	* asc.kdevprj, source/ai/tactics.cpp:  Fixed crash in AI

2001-07-30 20:18  mbickel

	* doc/source.html:  Updated source.html to reflect Visual Studio
	.net

2001-07-30 20:03  mbickel

	* source/: buildings.h, containerbase.cpp, containerbase.h,
	mapdisplay.cpp, objecttype.cpp, unitctrl.cpp, vehicle.cpp,
	vehicle.h, vehicletype.cpp, sdl/asc_IMG_jpg.c,
	tools/weaponguide.cpp, win32/borland/asc.bpr, win32/msvc/fileio.h,
	win32/msvc/global_os.h:  Fixed some more warnings

2001-07-30 19:43  mbickel

	* source/: dialog.cpp, dlg_box.cpp, dlgraph.cpp, pd.cpp, pd.h,
	sg.cpp, sgstream.cpp, terraintype.cpp, terraintype.h,
	textfiletags.h, weather.cpp, ai/misc.cpp, sdl/asc_IMG_jpg.c,
	sdl/sound.h, win32/msvc/fileio.h, win32/msvc/global_os.h,
	win32/msvc/ndir.c, win32/msvc/ndir.h, win32/msvc/ASC/ASC.sln,
	win32/msvc/ASC/ASC.vcproj, win32/msvc/jpeglib/jpeglib.vcproj,
	win32/msvc/libbzip2/libbzip2.vcproj:  Added Microsoft Visual Studio
	.net project files
	 Fixed some warnings

2001-07-30 15:24  mbickel

	* source/win32/borland/: asc.bpr, asc.mak, mapeditor/mapeditor.bpr,
	mapeditor/mapeditor.mak:  Removed VCL from Borland Make- and
	Project Files

2001-07-30 10:50  mbickel

	* source/tools/weaponguide.cpp:  Fixed bugs in weaponguide: wrong
	file open for detailed6
				    crash in output of buildable objects

2001-07-29 23:26  mbickel

	* source/: building.cpp, building_controls.h:  Fixed: Torpedo-units
	could not leave submerged submarine

2001-07-29 20:23  mbickel

	* doc/source.html:  Updated win32 build instructions

2001-07-29 20:11  mbickel

	* doc/source.html:  Updated win32 build instructions again

2001-07-29 20:07  mbickel

	* doc/source.html:  Updated Win32 build instructions

2001-07-28 23:09  mbickel

	* source/: controls.cpp, dialog.cpp, edmisc.cpp, gui.cpp,
	loadbi3.cpp, spfst.cpp, strtmesg.cpp, terraintype.cpp,
	terraintype.h, typen.h, vehicle.cpp, vehicletype.cpp,
	vehicletype.h, libs/bzlib/win/bzlib.bpr,
	libs/triangul/win32/triangulation.bpr, tools/weaponguide.cpp,
	tools/win/bin2text.bpr, tools/win/demount.bpr,
	tools/win/gfx2pcx.bpr, tools/win/makegfx.bpr, tools/win/mount.bpr,
	tools/win/tank2pcx.bpr, tools/win/tools.bpr, tools/win/viewid.bpr,
	tools/win/weaponguide.bpr, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	Prepared vehicletype
	structure for textIO

2001-07-28 15:40  mbickel

	* source/: libs/bzlib/win/bzlib.bpr,
	libs/triangul/win32/triangulation.bpr, tools/win/bin2text.bpr,
	tools/win/demount.bpr, tools/win/gfx2pcx.bpr,
	tools/win/makegfx.bpr, tools/win/mount.bpr, tools/win/tank2pcx.bpr,
	tools/win/tools.bpr, tools/win/viewid.bpr,
	tools/win/weaponguide.bpr, tools/win/weaponguide.mak,
	win32/borland/asc.bpr, win32/borland/asc.mak,
	win32/borland/mapeditor/mapeditor.bpr,
	win32/borland/mapeditor/mapeditor.mak:	Updated BCC makefiles

2001-07-28 15:26  mbickel

	* asc.bpg, source/tools/weaponguide.cpp,
	source/tools/win/weaponguide.mak:  Updated weaponguide again

2001-07-28 15:18  mbickel

	* asc.kdevprj, source/tools/weaponguide.cpp:  Merged changes into
	weaponguide.cpp

2001-07-28 13:54  mbickel

	* asc.kdevprj, source/map2pcx.cpp, source/research.cpp,
	source/research.h, source/clparser/Makefile.am,
	source/clparser/Makefile.in, source/clparser/weaponguide.cpp,
	source/clparser/weaponguide.gp, source/clparser/weaponguide.h,
	source/tools/weaponguide.cpp, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in, source/unix/Makefile.in,
	source/unix/mapeditor/Makefile.in:  Updated weaponguide

2001-07-28 13:19  mbickel

	* asc.bpg, source/basestreaminterface.h, source/basestrm.cpp,
	source/basestrm.h, source/buildings.cpp, source/controls.cpp,
	source/dialog.cpp, source/edevents.cpp, source/edgen.cpp,
	source/edglobal.cpp, source/edmain.cpp, source/edmisc.cpp,
	source/edselfnt.cpp, source/gamedlg.cpp, source/gamemap.cpp,
	source/gui.cpp, source/itemrepository.cpp, source/itemrepository.h,
	source/loadbi3.cpp, source/loaders.cpp, source/loaders.h,
	source/missions.cpp, source/replay.cpp, source/sg.cpp,
	source/sgstream.cpp, source/sgstream.h, source/spfst.cpp,
	source/spfst.h, source/textfileparser.cpp, source/unitctrl.cpp,
	source/vehicletype.cpp, source/vehicletype.h, source/weather.cpp,
	source/ai/ai_common.h, source/tools/weaponguide.cpp,
	source/tools/linux/Makefile.am, source/tools/win/weaponguide.bpf,
	source/tools/win/weaponguide.bpr, source/unix/Makefile.am,
	source/unix/mapeditor/Makefile.am, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr:  Updated weaponguide
	 moved item repository from spfst to itemrepository

2001-07-28 00:29  mbickel

	* asc.bpg, bccmake.bat, data/coast137.trr, data/coast138.trr,
	data/coast139.trr, data/coast140.trr, data/coast141.trr,
	data/coast142.trr, data/coast143.trr, data/coast144.trr,
	data/coast145.trr, data/coast146.trr, data/coast147.trr,
	data/coast148.trr, data/wa_ro303.trr, data/wa_ro304.trr,
	data/wa_ro305.trr, data/wa_ro306.trr, source/gui.cpp,
	source/objecttype.cpp, source/pointers.h, source/strtmesg.cpp,
	source/terraintype.cpp, source/tools/bin2text.cpp,
	source/tools/weaponguide.cpp, source/tools/win/bin2text.bpf,
	source/tools/win/bin2text.bpr, source/tools/win/bin2text.mak,
	source/tools/win/tools.bpf, source/tools/win/tools.bpr,
	source/tools/win/tools.mak, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr, source/win32/borland/asc.mak,
	source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr,
	source/win32/borland/mapeditor/mapeditor.mak:  Updated some terrain
	fields
	 Added bin2text win32 project files
	 Some improvement and bugfixes in text-file loading

2001-07-27 23:38  mbickel

	* source/clparser/bin2txt.h:  Added bin2txt.h

2001-07-27 23:13  mbickel

	* ChangeLog, asc.kdevprj, source/TODO, source/ascstring.cpp,
	source/ascstring.h, source/basestreaminterface.h,
	source/basestrm.cpp, source/basestrm.h, source/buildings.cpp,
	source/buildingtype.h, source/controls.cpp, source/dialog.cpp,
	source/edgen.cpp, source/edmisc.cpp, source/edselfnt.cpp,
	source/gamedlg.cpp, source/gamemap.cpp, source/gamemap.h,
	source/gui.cpp, source/loadbi3.cpp, source/loaders.cpp,
	source/loadpcx.h, source/loadpcxc.cpp, source/mapdisplay.cpp,
	source/objecttype.cpp, source/objecttype.h, source/pointers.h,
	source/resourcenet.cpp, source/sg.cpp, source/sgstream.cpp,
	source/sgstream.h, source/spfst.cpp, source/terraintype.cpp,
	source/terraintype.h, source/textfileparser.cpp,
	source/textfileparser.h, source/textfiletags.cpp,
	source/textfiletags.h, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/vehicletype.cpp, source/weather.h,
	source/ai/ai.h, source/clparser/Makefile.am,
	source/clparser/Makefile.in, source/clparser/bin2txt.cpp,
	source/clparser/bin2txt.gp, source/tools/bi2pcx.cpp,
	source/tools/bin2text.cpp, source/tools/viewid.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	source/unix/Makefile.am, source/unix/Makefile.in,
	source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Added text based file formats
	 Terraintype and Objecttype restructured

2001-07-25 21:56  mbickel

	* source/: attack.cpp, libs/bzlib/win/bzlib.bpr,
	libs/triangul/win32/triangulation.bpr, tools/win/demount.bpr,
	tools/win/gfx2pcx.bpr, tools/win/makegfx.bpr, tools/win/mount.bpr,
	tools/win/tank2pcx.bpr, tools/win/tools.bpr, tools/win/viewid.bpr,
	tools/win/weaponguide.bpr, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	Fixed: kamikaze not working

2001-07-25 21:01  mbickel

	* asc.kdevprj, data/tutor1.map, source/ascstring.cpp,
	source/ascstring.h, source/basestrm.cpp, source/misc.cpp,
	source/sg.cpp, source/soundList.cpp, source/strtmesg.cpp,
	source/ai/valuation.cpp:  Started adding text file formats

2001-07-25 20:00  mbickel

	* source/: PropertyGroup.cpp, gamedlg.cpp, unitctrl.cpp:  Fixed:
	units could repair without repairing function but
	 Fixed: airplanes tried to ascend through buildings
	 Fixed: crash when kamikaze attack occured during movement
	 Fixed: log(0) error in refuelling dialog

2001-07-20 23:27  mbickel

	* source/sg.cpp:  even more diagnostic messages

2001-07-20 22:37  mbickel

	* source/: sg.cpp, libs/bzlib/win/bzlib.bpr,
	libs/triangul/win32/triangulation.bpr, sdl/sound.cpp,
	tools/win/demount.bpr, tools/win/gfx2pcx.bpr,
	tools/win/makegfx.bpr, tools/win/mount.bpr, tools/win/tank2pcx.bpr,
	tools/win/tools.bpr, tools/win/viewid.bpr,
	tools/win/weaponguide.bpr, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	Enhanced logging
	capabilities

2001-07-18 23:51  mbickel

	* source/TODO:	Removed fixed bugs

2001-07-18 22:53  mbickel

	* source/: dashboard.cpp, strtmesg.cpp, vehicle.cpp, sdl/sound.cpp:
	 Fixed sound failing during game
	 Fixed crash on loading game
	 Fixed ammo not being displayed in large weapon info

2001-07-18 20:15  mbickel

	* asc.kdevprj, source/CLoadable.cpp, source/CLoadable.h,
	source/Named.cpp, source/Named.h, source/Property.cpp,
	source/Property.h, source/PropertyGroup.cpp,
	source/PropertyGroup.h, source/PropertyIF.h, source/astar2.cpp,
	source/gamedlg.cpp, source/gamedlg.h, source/typen.h:  Fixed:
	invalid sender of mails
	 Fixed: unmoveable units are moved by AI
	 Some reformatting of source files

2001-07-18 18:05  mbickel

	* source/: TODO, controls.cpp, controls.h, dialog.cpp, dlg_box.cpp,
	gamedlg.h, gamemap.cpp, loaders.cpp, sg.cpp, soundList.h,
	spfst.cpp, strtmesg.cpp, strtmesg.h, vehicle.cpp, vehicle.h,
	ai/base.cpp, ai/buildingcapture.cpp, ai/valuation.cpp,
	win32/borland/mapeditor/mapeditor.bpr:	Fixed: infinitive loop in
	displaying "player exterminated" msg
	 Fixed: construction of units by units: wrong player
	 Fixed: loading bug of maps with mines
	 Fixed: invalid map parameter
	 Fixed bug in game param edit dialog
	 Fixed: cannot attack after declaring of war
	 New: ffading of sounds

2001-07-15 23:31  mbickel

	* source/: dlg_box.cpp, soundList.cpp, soundList.h, unitctrl.cpp,
	sdl/sound.cpp, sdl/sound.h, tools/weaponguide.cpp:  The movement
	sounds can now fade in and out

2001-07-15 23:00  mbickel

	* asc.kdevprj, source/attack.cpp, source/basegfx.cpp,
	source/building.cpp, source/controls.cpp, source/dashboard.cpp,
	source/dialog.cpp, source/dlg_box.cpp, source/dlg_box.h,
	source/edevents.cpp, source/edmisc.cpp, source/edselfnt.cpp,
	source/gamedlg.cpp, source/gui.cpp, source/newfont.h,
	source/sg.cpp, source/unitctrl.cpp, source/vehicle.cpp,
	source/vehicle.h, source/vehicletype.cpp, source/vehicletype.h,
	source/ai/misc.cpp, source/ai/service.cpp, source/ai/tactics.cpp,
	source/ai/valuation.cpp:  Some cleanup in the vehicletype class

2001-07-15 17:25  mbickel

	* data/: harb0194.trr, harb0195.trr, harb0196.trr, harb0197.trr,
	harb0198.trr, harb0199.trr, harb0200.trr, harb0201.trr:  Harbour
	fields now have deeper water

2001-07-15 12:36  mbickel

	* source/: network.cpp, strtmesg.cpp:  Added explanation message in
	email game save dialog

2001-07-15 00:57  mbickel

	* ChangeLog, data/helpsyst.txt:  Updated credits

2001-07-14 23:26  mbickel

	* asc.kdevprj, source/strtmesg.cpp:  Updated version information

2001-07-14 23:10  mbickel

	* doc/source.html, source/ai/ai.mak, source/win32/borland/asc.mak,
	source/win32/borland/mapeditor/mapeditor.mak:  Updated
	documentation and BCC make files

2001-07-14 23:07  mbickel

	* data/sounds.txt, doc/source.html, source/TODO,
	source/dlg_box.cpp, source/dlg_box.h, source/edmain.cpp,
	source/sg.cpp, source/soundList.cpp, source/soundList.h,
	source/ai/ai.bpr, source/sdl/sound.cpp, source/sdl/sound.h,
	source/unix/global_os.h, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr, source/win32/borland/global_os.h,
	source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr:  Sound works now
	under Win32 too
	 Error reporting on Win32 during startup works again.

2001-07-14 21:33  mbickel

	* asc.kdevprj, data/sounds.txt, source/soundList.cpp:  Some sound
	fixes

2001-07-14 21:13  mbickel

	* asc.kdevprj, config.h.in, configure, configure.in,
	data/a_battl2.veh, data/a_battle.veh, data/a_bfigh1.veh,
	data/a_bfigh2.veh, data/a_bomber.veh, data/a_espion.veh,
	data/a_figbom.veh, data/a_fight1.veh, data/a_fight3.veh,
	data/a_helic1.veh, data/a_long-r.veh, data/a_reccep.veh,
	data/a_seapla.veh, data/a_stealt.veh, data/a_tanker.veh,
	data/a_transp.veh, data/a_vertic.veh, data/attach_biggun.wav,
	data/attach_gun.wav, data/attach_guns.wav, data/data.version,
	data/interface_alert_no.wav, data/interface_click.wav,
	data/interface_click2.wav, data/interface_click3.wav,
	data/interface_tone.wav, data/move_air_chopper.wav,
	data/move_air_jet.wav, data/move_drop.wav,
	data/move_ground_heavy.wav, data/move_ground_mid.wav,
	data/move_ground_tank.wav, data/sounds.txt, source/CLoadable.cpp,
	source/controls.h, source/gamedlg.cpp, source/gameoptions.cpp,
	source/gameoptions.h, source/gui.cpp, source/mapdisplay.cpp,
	source/mapdisplay.h, source/replay.cpp, source/sg.cpp,
	source/sgstream.cpp, source/sgstream.h, source/soundList.cpp,
	source/soundList.h, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/ai/valuation.cpp, source/sdl/sound.cpp,
	source/sdl/sound.h, source/tools/java/UnitEditor.java,
	source/unix/Makefile.am, source/unix/Makefile.in:  Rewrote sound
	system
	 Moveing units make sounds
	 Added sound files to data

2001-07-14 16:26  mbickel

	* source/: dialog.cpp, dlg_box.cpp, dlgraph.cpp, sdl/sound.cpp,
	sdl/sound.h:  Some cleanup

2001-07-14 15:15  mbickel

	* asc.kdevprj, source/ascstring.cpp, source/ascstring.h,
	source/attack.cpp, source/basestreaminterface.h,
	source/basestrm.cpp, source/basestrm.h, source/dlg_box.cpp,
	source/errors.h, source/sg.cpp, source/soundList.cpp,
	source/soundList.h, source/sdl/sound.cpp, source/sdl/sound.h: 
	Rewrote sound handling

2001-07-13 21:33  mbickel

	* source/: TODO, dashboard.cpp, network.cpp, unitctrl.cpp:  Fixed
	crashes in the dashboards experience display
	 Fixed inconsistent movement cost calculation (which caused
	       AI and replay warnings)
	 Fixed crash when starting network game from main menu

2001-07-13 16:02  mbickel

	* source/: TODO, network.cpp, replay.cpp, sg.cpp, unitctrl.cpp: 
	Fixed inconsistency in replay (shareviewchange)
	 Fixed sound initialization problem
	 Speed up of movement

2001-07-13 14:53  mbickel

	* asc.bpg, source/gamedlg.cpp, source/gui.cpp, source/gui.h,
	source/replay.cpp, source/replay.h, source/typen.cpp,
	source/typen.h, source/unitctrl.cpp:  Fixed duplicate icons in
	replay
	 Fixed crash in tooltip help

2001-07-11 23:31  mbickel

	* TODO, source/TODO:  Updated ToDO lists

2001-07-11 22:44  mbickel

	* data/g_puma.veh, data/s_typhon.veh, data/standard.set,
	data/legacy/A_BOMBER.VEH, data/legacy/G_DITCH.VEH,
	data/legacy/S_ARMTNK.VEH, data/legacy/S_FREIGH.VEH,
	data/legacy/g_puma.veh, data/legacy/readme,
	data/legacy/s_typhon.veh, source/building.cpp, source/dialog.cpp,
	source/edmisc.cpp, source/gamedlg.cpp, source/network.cpp,
	source/sg.cpp, source/typen.cpp, source/typen.h,
	source/win32/borland/mapeditor/mapeditor.bpr:  Removed some
	vehicles from the data file.
	 Put all legacy units in into the data/legacy directory

2001-07-11 22:13  mbickel

	* doc/source.html, doc/source_watcom.html, source/gamemap.cpp,
	source/gamemap.h, source/loaders.cpp,
	source/libs/bzlib/win/bzlib.bpr,
	source/libs/triangul/win32/triangulation.bpr,
	source/tools/win/demount.bpr, source/tools/win/gfx2pcx.bpr,
	source/tools/win/makegfx.bpr, source/tools/win/mount.bpr,
	source/tools/win/tank2pcx.bpr, source/tools/win/tools.bpr,
	source/tools/win/viewid.bpr, source/tools/win/weaponguide.bpr,
	source/win32/borland/asc.bpr,
	source/win32/borland/mapeditor/mapeditor.bpr:  Fixed crash when
	exception occures during game loading
	 Fixed wrong sender of mails

2001-07-09 19:38  mbickel

	* source/: network.cpp, win32/borland/asc.bpr:	New default email
	filename
	 removed limitation for 8 character long email filenames

2001-07-09 19:01  mbickel

	* source/: dialog.cpp, dlg_box.cpp, strtmesg.cpp, sdl/events.cpp,
	win32/borland/asc.bpr:	Small map can now be even smaller
	 fixed redraw problems on windows
	 fixed no-font crash

2001-07-09 14:08  mbickel

	* asc.kdevprj, source/graphicset.cpp, source/loaders.cpp,
	source/strtmesg.cpp:  Fixed: crash when saving game

2001-07-09 00:54  mbickel

	* asc.kdevprj, source/typen.h, source/ai/service.cpp:  Added
	version checking for coordinate loading
	 Fixed crash when loading AI-savegames

2001-07-08 22:55  mbickel

	* asc.kdevprj, source/graphicset.cpp, source/clparser/Makefile.am,
	source/clparser/Makefile.in, source/clparser/tank2pcx.cpp,
	source/clparser/tank2pcx.gp, source/clparser/tank2pcx.h,
	source/tools/pcxtank.cpp, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in:  Fixed linux makefiles
	 Added command line parsing to tank2pcx

2001-07-08 22:10  mbickel

	* source/tools/win/: tank2pcx.bpf, tank2pcx.bpr:  Added tank2pcx to
	project

2001-07-08 22:09  mbickel

	* asc.bpg, source/gamedlg.cpp, source/strtmesg.cpp,
	source/tools/pcxtank.cpp, source/tools/linux/Makefile.am:  Added
	tank2pcx tool to project
	 Fixed bug in refuel dialog

2001-07-08 20:15  mbickel

	* source/ai/ai_common.h:  Added <float.h> include

2001-07-05 18:23  mbickel

	* source/pointers.h:  Fixed double definition of pvehicle

2001-07-04 18:53  mbickel

	* asc.bpg, bccmake.bat, doc/source.html, source/gamedlg.cpp,
	source/strtmesg.cpp, source/tools/mount.cpp,
	source/tools/win/mount.bpr, source/tools/win/mount.mak:  Fixed bug
	in refuel dialog
	 Fixed crash in mount (win32)
	 Improved build process for Borland command line compiler
	 Updated source documentation

2001-07-04 12:27  mbickel

	* source/win32/borland/: asc.mak, mapeditor/mapeditor.mak:  ASC and
	Mapeditor don't require VCL50 to link any more

2001-07-03 22:53  mbickel

	* source/: tools/win/demount.bpr, tools/win/demount.mak,
	tools/win/gfx2pcx.bpr, tools/win/gfx2pcx.mak,
	tools/win/makegfx.bpr, tools/win/makegfx.mak, tools/win/mount.bpr,
	tools/win/mount.mak, tools/win/viewid.bpr, tools/win/viewid.mak,
	tools/win/weaponguide.bpr, tools/win/weaponguide.mak,
	win32/borland/asc.bpr, win32/borland/asc.mak,
	win32/borland/mapeditor/mapeditor.bpr,
	win32/borland/mapeditor/mapeditor.mak:	Borland C++ Makefiles don't
	require the VCL any more

2001-07-03 12:05  mbickel

	* bccmake.bat, doc/source.html, source/sg.cpp, source/ai/ai.mak,
	source/libs/bzlib/win/bzlib.mak, source/libs/jpeg-6b/libjpeg.mak,
	source/libs/triangul/win32/triangulation.mak,
	source/tools/win/demount.mak, source/tools/win/gfx2pcx.mak,
	source/tools/win/makegfx.mak, source/tools/win/mount.mak,
	source/tools/win/tools.mak, source/tools/win/viewid.mak,
	source/tools/win/weaponguide.mak, source/win32/borland/asc.mak,
	source/win32/borland/mapeditor/mapeditor.mak:  Added Makefiles for
	Borland C++ command line compiler

2001-07-02 17:09  mbickel

	* source/tools/: makegfx.cpp, win/makegfx.bpr:	Better error
	messages in makegfx

2001-07-02 12:14  mbickel

	* source/: controls.cpp, strtmesg.cpp:	Fixed crash when starting
	new email games
	 New version: 1.3.19

2001-06-25 17:36  mbickel

	* asc.kdevprj, doc/graphics.html, source/dashboard.cpp,
	source/events.h, source/graphicset.cpp, source/sdl/events.cpp: 
	Help on experience icon

2001-06-25 17:32  mbickel

	* source/strtmesg.cpp:	Updated version: 1.3.18

2001-06-14 16:46  mbickel

	* asc.kdevprj, source/CLoadable.cpp, source/basestrm.cpp,
	source/basestrm.h, source/dialog.cpp, source/gameoptions.cpp,
	source/gameoptions.h, source/map2pcx.cpp, source/sg.cpp,
	source/clparser/map2pcx.cpp, source/clparser/map2pcx.gp,
	source/clparser/map2pcx.h:  The resolution of ASC can be specified
	in the configuration file
	 The fileselect dialog box shows the file's location
	 new ascmap2pcx param: outputdir

2001-05-24 17:37  mbickel

	* asc.kdevprj, data/Makefile.am, data/Makefile.in,
	source/astar2.cpp, source/edglobal.cpp, source/edmisc.cpp,
	source/edmisc.h, source/gui.cpp, source/strtmesg.cpp,
	source/ai/ai.h, source/ai/ai_common.h, source/ai/service.cpp,
	source/ai/tactics.cpp, source/ai/valuation.cpp,
	source/sdl/events.cpp, source/tools/mount.cpp:	Fixed: reaction
	fire could not be disabled when unit out of ammo
	 Fixed several AI problems

2001-05-22 10:19  mbickel

	* ChangeLog, asc.kdevprj, source/strtmesg.cpp,
	source/ai/buildingcapture.cpp:	Fixed an infinite loop in
	AI::checkBuildingCapture

2001-05-21 14:50  mbickel

	* source/strtmesg.cpp:	Updated version to 1.3.15

2001-05-21 14:46  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/controls.cpp, source/dlg_box.cpp, source/dlg_box.h,
	source/edevents.cpp, source/edmain.cpp, source/loaders.cpp,
	source/replay.cpp, source/sg.cpp, source/ai/misc.cpp,
	source/sdl/Makefile.am, source/sdl/Makefile.in,
	source/unix/Makefile.am, source/unix/Makefile.in:  Fixed infinite
	loop in AI::strategy
	 Fixed bugs in mapeditor - event editing
	 Fixed bugs in even loading / writing
	 Fixed wrong build order AI <-> main program

2001-05-19 15:07  mbickel

	* source/: edmain.cpp, events.h, sg.cpp, libs/readme.txt,
	libs/getopt/getopt.c, libs/getopt/getopt.h, libs/getopt/getopt1.c,
	sdl/events.cpp, tools/win/demount.bpr, tools/win/gfx2pcx.bpr,
	tools/win/makegfx.bpr, tools/win/mount.bpr, tools/win/tools.bpf,
	tools/win/tools.bpr, tools/win/viewid.bpr,
	tools/win/weaponguide.bpr, win32/borland/asc.bpf,
	win32/borland/asc.bpr, win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr:	ASC now compiles with
	Borland C++ Builder again
	 Added getopt for use with BCB

2001-05-19 00:30  mbickel

	* acconfig.h, acinclude.m4, aclocal.m4, asc.kdevprj, config.h.in,
	configure, configure.in, data/Makefile.am, data/Makefile.in,
	source/basestrm.h, source/gameoptions.cpp, source/global.h,
	source/dos/fileio.h, source/dos/global_os.h, source/unix/fileio.h,
	source/unix/global_os.h, source/win32/borland/fileio.h,
	source/win32/borland/global_os.h, source/win32/msvc/fileio.h,
	source/win32/msvc/global_os.h, source/win32/watcom/fileio.h,
	source/win32/watcom/global_os.h:  The data file is now installed in
	the correct directory
	 If the installation directory is changed with configure, the new
	path
	  will now be compiled directly into ASC

2001-05-17 22:10  mbickel

	* asc.kdevprj, source/edmain.cpp, source/loadbi3.cpp:  Fixed:
	mapeditor was unable to load maps
	 Removed debugging output from bi3 map loader

2001-05-17 20:45  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	doc/Makefile.in, source/Makefile.in, source/ai/Makefile.in,
	source/clparser/Makefile.in, source/docs/Makefile.in,
	source/docs/en/Makefile.in, source/libs/Makefile.in,
	source/libs/triangul/Makefile.in, source/sdl/Makefile.in,
	source/tools/Makefile.in, source/tools/linux/Makefile.in,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in: 
	Changed configure.in so that the command line parser generation is
	   optional

2001-05-17 16:23  mbickel

	* Makefile.am, Makefile.in, asc.kdevprj, configure, configure.in,
	data/Makefile.in, doc/Makefile.am, doc/Makefile.in,
	doc/manpages/Makefile.am, doc/manpages/Makefile.in,
	source/Makefile.in, source/edmain.cpp, source/map2pcx.cpp,
	source/sg.cpp, source/strtmesg.cpp, source/strtmesg.h,
	source/ai/Makefile.in, source/clparser/Makefile.am,
	source/clparser/Makefile.in, source/clparser/asc.cpp,
	source/clparser/asc.gp, source/clparser/asc.h,
	source/clparser/demount.cpp, source/clparser/demount.gp,
	source/clparser/demount.h, source/clparser/gfx2pcx.cpp,
	source/clparser/gfx2pcx.gp, source/clparser/gfx2pcx.h,
	source/clparser/makegfx.cpp, source/clparser/makegfx.gp,
	source/clparser/makegfx.h, source/clparser/map2pcx.cpp,
	source/clparser/map2pcx.gp, source/clparser/map2pcx.h,
	source/clparser/mapedit.cpp, source/clparser/mapedit.gp,
	source/clparser/mapedit.h, source/clparser/mount.cpp,
	source/clparser/mount.gp, source/clparser/mount.h,
	source/clparser/parse_cl.h, source/clparser/viewid.cpp,
	source/clparser/viewid.gp, source/clparser/viewid.h,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/tools/Makefile.in,
	source/tools/bi2pcx.cpp, source/tools/demount.cpp,
	source/tools/makegfx.cpp, source/tools/mntgraph.cpp,
	source/tools/mount.cpp, source/tools/viewid.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in: 
	Rewrote command line parameters of all programs
	 Made manpages generation optional

2001-05-17 01:21  mbickel

	* Makefile.am, Makefile.in, asc.kdevprj, config.h.in, configure,
	configure.in, data/Makefile.am, data/Makefile.handwritten,
	data/Makefile.in, doc/Makefile.am, doc/Makefile.in,
	doc/manpages/Makefile.am, doc/manpages/Makefile.in,
	doc/manpages/asc.sgml, doc/manpages/asc_demount.sgml,
	doc/manpages/asc_mapedit.sgml, doc/manpages/asc_mount.sgml,
	source/Makefile.am, source/Makefile.in, source/basestrm.cpp,
	source/basestrm.h, source/building.cpp, source/buildings.cpp,
	source/dialog.cpp, source/edmain.cpp, source/events.h,
	source/gamemap.cpp, source/loaders.cpp, source/map2pcx.cpp,
	source/mapdisplay.cpp, source/sg.cpp, source/sgstream.cpp,
	source/vehicle.cpp, source/ai/Makefile.in,
	source/clparser/Makefile.am, source/clparser/Makefile.in,
	source/clparser/asc.cpp, source/clparser/asc.gp,
	source/clparser/asc.h, source/clparser/mapedit.cpp,
	source/clparser/mapedit.gp, source/clparser/mapedit.h,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/sdl/events.cpp,
	source/tools/Makefile.in, source/tools/bi2pcx.cpp,
	source/tools/linux/Makefile.in, source/unix/Makefile.am,
	source/unix/Makefile.in, source/unix/mapeditor/Makefile.in:  The
	data file is mounted using automake
	 Added sgml documentation
	 Added command line parsing functionality;
	   integrated it into autoconf/automake
	 Replaced command line parsing of ASC and ASCmapedit

2001-05-15 11:54  mbickel

	* asc.kdevprj, configure, configure.in, data/640480.pcx,
	data/Makefile.handwritten, data/a_battl2.veh, data/a_battle.veh,
	data/a_bfigh1.veh, data/a_bfigh2.veh, data/a_bomber.veh,
	data/a_ekrano.veh, data/a_espion.veh, data/a_figbom.veh,
	data/a_fight1.veh, data/a_fight3.veh, data/a_helic1.veh,
	data/a_long-r.veh, data/a_reccep.veh, data/a_seapla.veh,
	data/a_star-c.veh, data/a_stealt.veh, data/a_tanker.veh,
	data/a_transp.veh, data/a_vertic.veh, data/a_zeppel.veh,
	data/abriss.nic, data/acv.tec, data/airport1.bld,
	data/airport2.bld, data/airport3.bld, data/allianc.raw,
	data/allianc2.raw, data/ama2.raw, data/amatur.raw,
	data/ammoprod.raw, data/ammotran.raw, data/arial8.fnt,
	data/armor2.tec, data/asc.gfx, data/ascent.nic, data/attack.nic,
	data/attack.raw, data/b_aa-tur.veh, data/b_bunker.veh,
	data/b_turret.veh, data/bi2asc.pal, data/bi_index.raw,
	data/bkgr4.scr, data/bldinfo.raw, data/bridge.obl,
	data/build_ah.raw, data/build_h.raw, data/buildany.nic,
	data/building.nic, data/c_recycl.nic, data/cancel.nic,
	data/coast137.trr, data/coast138.trr, data/coast139.trr,
	data/coast140.trr, data/coast141.trr, data/coast142.trr,
	data/coast143.trr, data/coast144.trr, data/coast145.trr,
	data/coast146.trr, data/coast147.trr, data/coast148.trr,
	data/coast149.trr, data/coast150.trr, data/coast151.trr,
	data/coast152.trr, data/coast153.trr, data/coast154.trr,
	data/coast155.trr, data/coast156.trr, data/coast157.trr,
	data/coast158.trr, data/compi.raw, data/compi2.raw,
	data/consttnk.nic, data/contndwn.nic, data/contnup.nic,
	data/cst222.trr, data/cst223.trr, data/cstes0.trr,
	data/cstlns0.trr, data/cstlss0.trr, data/cstnes0.trr,
	data/cstns0.trr, data/cstnws0.trr, data/cstses0.trr,
	data/cstss0.trr, data/cstsws0.trr, data/cstws0.trr, data/curs2.raw,
	data/curs3.raw, data/curshex.raw, data/curshex2.raw,
	data/cursor2.raw, data/cursor3.raw, data/data.version,
	data/deng.bld, data/depot.bld, data/depot1.obl, data/depot2.bld,
	data/depot2.obl, data/depot3.bld, data/depot3.obl, data/depot4.obl,
	data/descent.nic, data/dig.nic, data/ditch.obl, data/eisbr1.raw,
	data/ekranopl.tec, data/emptyfld.raw, data/endturn.nic,
	data/evilisle.map, data/exit.nic, data/expicons.raw,
	data/extload.nic, data/fahrspr4.raw, data/farbe.raw,
	data/fg4-0.raw, data/fg4-1.raw, data/fg4-2.raw, data/fg4-3.raw,
	data/fg8.raw, data/fields.obl, data/fields2.obl, data/flat0002.trr,
	data/flat0003.trr, data/flat0004.trr, data/flat0005.trr,
	data/flat0006.trr, data/flat0007.trr, data/flat0008.trr,
	data/flat0009.trr, data/flat0010.trr, data/flat0011.trr,
	data/flat0012.trr, data/flat0013.trr, data/flat0014.trr,
	data/flat0015.trr, data/flat0016.trr, data/flat0017.trr,
	data/flat0018.trr, data/flat0019.trr, data/flat0020.trr,
	data/flat0021.trr, data/flat0022.trr, data/flat0023.trr,
	data/flat0024.trr, data/flat0025.trr, data/flat0026.trr,
	data/flat0027.trr, data/flat0028.trr, data/flat0029.trr,
	data/flat0030.trr, data/flat0031.trr, data/flat0032.trr,
	data/flat0033.trr, data/flat0034.trr, data/flat0035.trr,
	data/flat0036.trr, data/flat0037.trr, data/flat0038.trr,
	data/flat0039.trr, data/flat0040.trr, data/flat0041.trr,
	data/flat0042.trr, data/flat0043.trr, data/flat0044.trr,
	data/flat0045.trr, data/flat0046.trr, data/flat0047.trr,
	data/flat0048.trr, data/flat0049.trr, data/flat0050.trr,
	data/flat0051.trr, data/flat0052.trr, data/flat0053.trr,
	data/flat0054.trr, data/flat0055.trr, data/flat0056.trr,
	data/flat0057.trr, data/flat0058.trr, data/flat0059.trr,
	data/flat0060.trr, data/flat0061.trr, data/flat0062.trr,
	data/flat0063.trr, data/flat0064.trr, data/flat0065.trr,
	data/flat0066.trr, data/flat0067.trr, data/flat0068.trr,
	data/flat0069.trr, data/flat0070.trr, data/flat0071.trr,
	data/flat0072.trr, data/flat0073.trr, data/flat0074.trr,
	data/flat0075.trr, data/flat0076.trr, data/flat0077.trr,
	data/flat0078.trr, data/flat0079.trr, data/flat0080.trr,
	data/flat0081.trr, data/flat0082.trr, data/flat0083.trr,
	data/flat0084.trr, data/flat0085.trr, data/flat0311.trr,
	data/flat0312.trr, data/flat0313.trr, data/flat0314.trr,
	data/flat0315.trr, data/flat0318.trr, data/flat0319.trr,
	data/flat0320.trr, data/flat1000.trr, data/floatmin.nic,
	data/fluss.nic, data/forest.obl, data/g_aa-art.veh,
	data/g_aa-tan.veh, data/g_aa-tra.veh, data/g_ammuni.veh,
	data/g_ari1.veh, data/g_ari2.veh, data/g_army-v.veh,
	data/g_bpipe.veh, data/g_constb.veh, data/g_constr.veh,
	data/g_energy.veh, data/g_forest.veh, data/g_h-tank.veh,
	data/g_jammer.veh, data/g_miner.veh, data/g_paratr.veh,
	data/g_platoo.veh, data/g_privat.veh, data/g_puma.veh,
	data/g_radar-.veh, data/g_rail_g.veh, data/g_recon2.veh,
	data/g_reconn.veh, data/g_rep-tr.veh, data/g_repair.veh,
	data/g_ro_tan.veh, data/g_survey.veh, data/g_tank-2.veh,
	data/g_tanker.veh, data/g_tra-tr.veh, data/g_transp.veh,
	data/g_troope.veh, data/gebasym2.raw, data/gui.fnt,
	data/guicol.fnt, data/guiremov.raw, data/harb0194.trr,
	data/harb0195.trr, data/harb0196.trr, data/harb0197.trr,
	data/harb0198.trr, data/harb0199.trr, data/harb0200.trr,
	data/harb0201.trr, data/height.raw, data/height2.raw,
	data/helisun.jpg, data/helpsys2.txt, data/helpsys9.msg,
	data/helpsysc.txt, data/helpsyst.txt, data/hex2oct.raw,
	data/hexbuild.raw, data/hexcont.raw, data/hexfeld.raw,
	data/hexfld.raw, data/hexfld_a.raw, data/hexinvi2.raw,
	data/hexinvis.raw, data/hexmines.raw, data/hexrast.raw,
	data/hill0065.obl, data/hill0066.obl, data/hill0067.obl,
	data/hill0068.obl, data/hill0069.obl, data/hill0070.obl,
	data/hill0071.obl, data/hill0072.obl, data/hill0073.obl,
	data/hill0074.obl, data/hill0075.obl, data/hill0321.trr,
	data/hill0322.trr, data/hill0323.trr, data/hill0324.trr,
	data/hill0325.trr, data/hill1013.trr, data/hills087.trr,
	data/hills088.trr, data/hills089.trr, data/hills090.trr,
	data/hills091.trr, data/hills092.trr, data/hills093.trr,
	data/hills094.trr, data/hills095.trr, data/hills096.trr,
	data/hills097.trr, data/hills098.trr, data/hills099.trr,
	data/hills100.trr, data/hills101.trr, data/hills102.trr,
	data/hills103.trr, data/hills104.trr, data/hills105.trr,
	data/hills106.trr, data/hills107.trr, data/hills108.trr,
	data/hills109.trr, data/hills110.trr, data/hills111.trr,
	data/hills112.trr, data/hills113.trr, data/hills114.trr,
	data/hills115.trr, data/hills116.trr, data/hills117.trr,
	data/hills118.trr, data/hills119.trr, data/hills120.trr,
	data/hills121.trr, data/hills122.trr, data/hills123.trr,
	data/hills124.trr, data/hills125.trr, data/hills126.trr,
	data/hills127.trr, data/hills128.trr, data/hills129.trr,
	data/hills130.trr, data/hills131.trr, data/hills132.trr,
	data/hills133.trr, data/hills134.trr, data/hills135.trr,
	data/hills202.trr, data/hills316.trr, data/hq1.bld, data/hq2.bld,
	data/hq_big.bld, data/hq_bunk.bld, data/hq_titan.bld,
	data/hxborder.raw, data/hxfield.raw, data/hxkontur.raw,
	data/hxraster.raw, data/icebreak.obl, data/iconplan.raw,
	data/iconship.raw, data/icontank.raw, data/in_ach.raw,
	data/in_h.raw, data/informat.nic, data/inst0033.obl,
	data/inst0034.obl, data/inst0035.obl, data/inst0036.obl,
	data/inst0037.obl, data/inst0038.obl, data/inst0039.obl,
	data/inst0040.obl, data/inst0041.obl, data/inst0042.obl,
	data/inst0043.obl, data/knorein.raw, data/largehex.raw,
	data/lcac2.jpg, data/leergui.raw, data/loading.nic,
	data/loadinga.nic, data/loadingf.raw, data/logo640.pcx,
	data/ltgreen1.obl, data/ltgreen2.obl, data/mapbkgr.raw,
	data/mapbkgrb.raw, data/mausi.raw, data/message1.txt,
	data/mineral.raw, data/mines.dat, data/mining.raw,
	data/mining2.raw, data/mkbld.raw, data/mntn0046.obl,
	data/mntn0047.obl, data/mntn0048.obl, data/mntn0049.obl,
	data/mntn0050.obl, data/mntn0051.obl, data/mntn0052.obl,
	data/mntn0053.obl, data/mntn0054.obl, data/mntn0055.obl,
	data/mntn0056.obl, data/mntn0057.obl, data/mntn0058.obl,
	data/mntn0059.obl, data/mntn0060.obl, data/mntn0061.obl,
	data/mntn0062.obl, data/mntn0063.obl, data/mntn0064.obl,
	data/mntn0184.trr, data/mntn0185.trr, data/mntn0186.trr,
	data/mntn0187.trr, data/mntn0188.trr, data/mntn0189.trr,
	data/mntn0190.trr, data/mntn0191.trr, data/mntn0192.trr,
	data/mntn0193.trr, data/monogui.fnt, data/moormine.nic,
	data/mouse1.raw, data/mouse2.raw, data/movement.nic,
	data/msystem.fnt, data/netcontr.raw, data/netmount.bld,
	data/obj_0022.obl, data/obj_0042.obl, data/obj_0089.obl,
	data/obj_0234.obl, data/obj_0235.obl, data/obj_0236.obl,
	data/obj_0238.obl, data/obj_0239.obl, data/obj_0240.obl,
	data/obj_0241.obl, data/obj_0291.obl, data/obj_0313.obl,
	data/obj_0314.obl, data/obj_0326.obl, data/obj_0327.obl,
	data/obj_0328.obl, data/obj_0329.obl, data/obj_0330.obl,
	data/obj_0331.obl, data/obj_0332.obl, data/obj_0333.obl,
	data/obj_0334.obl, data/obj_0335.obl, data/obj_0336.obl,
	data/obj_0337.obl, data/obj_0338.obl, data/obj_0339.obl,
	data/obj_0340.obl, data/obj_0341.obl, data/obj_0342.obl,
	data/obj_0343.obl, data/obj_0344.obl, data/obj_0345.obl,
	data/obj_0346.obl, data/obj_0347.obl, data/obj_0348.obl,
	data/obj_0358.obl, data/obj_0360.obl, data/obj_0388.obl,
	data/obj_0444.obl, data/obj_0445.obl, data/obj_0446.obl,
	data/obj_0447.obl, data/obj_0448.obl, data/obj_0453.obl,
	data/obj_0454.obl, data/obj_0455.obl, data/obj_0456.obl,
	data/obj_0457.obl, data/obj_0459.obl, data/obj_0460.obl,
	data/obj_0461.obl, data/obj_0462.obl, data/obj_1283.obl,
	data/obj_1329.obl, data/obj_1330.obl, data/obj_1331.obl,
	data/obj_1332.obl, data/obj_1333.obl, data/obj_1334.obl,
	data/oilplat.bld, data/out_ach.raw, data/out_h.raw,
	data/palette.pal, data/path.obl, data/persmine.nic,
	data/pfeil-a0.raw, data/pfeil2.raw, data/pfeil3.raw,
	data/pipe0289.trr, data/pipe0290.trr, data/pipe0291.trr,
	data/pipe0292.trr, data/pipe0293.trr, data/pipe0294.trr,
	data/pipe0295.trr, data/pipe0296.trr, data/pipe0297.trr,
	data/pipe0298.trr, data/pipelin2.obl, data/pipeline.nic,
	data/pipeline.obl, data/poweroff.nic, data/poweron.nic,
	data/produnit.nic, data/progress.6me, data/progress.6mn,
	data/putmine.nic, data/pwrline.nic, data/pwrplant.raw,
	data/pwrplnt2.raw, data/railroad.nic, data/railroad.obl,
	data/railstat.map, data/rast.raw, data/rck10346.trr,
	data/rck10347.trr, data/rck10348.trr, data/rck1_159.trr,
	data/rck1_160.trr, data/rck1_161.trr, data/rck1_162.trr,
	data/rck1_163.trr, data/rck1_164.trr, data/rck1_165.trr,
	data/rck1_166.trr, data/rck1_167.trr, data/rck1_168.trr,
	data/rck1_169.trr, data/rck1_170.trr, data/rck1_171.trr,
	data/rck1_172.trr, data/rck1_173.trr, data/rck1_174.trr,
	data/rck1_175.trr, data/rck1_176.trr, data/rck1_177.trr,
	data/rck20349.trr, data/rck2_178.trr, data/rck2_179.trr,
	data/rck2_180.trr, data/rck2_181.trr, data/rck2_182.trr,
	data/rck2_183.trr, data/reacfire.nic, data/reacfoff.nic,
	data/refinery.raw, data/refuel.nic, data/refueld.nic,
	data/remomine.nic, data/rep_ach.raw, data/rep_h.raw,
	data/repair.nic, data/research.bld, data/research.raw,
	data/resorinf.raw, data/rforst00.obl, data/rforst01.obl,
	data/rforst02.obl, data/rforst03.obl, data/rforst04.obl,
	data/rforst05.obl, data/rforst06.obl, data/rforst07.obl,
	data/rforst08.obl, data/rforst09.obl, data/rforst10.obl,
	data/rforst11.obl, data/rforst12.obl, data/rforst13.obl,
	data/rforst14.obl, data/rm_rnway.nic, data/rmfluss.nic,
	data/rmpipeln.nic, data/rmpwrlne.nic, data/rmrailro.nic,
	data/rmroad.nic, data/road.nic, data/road.obl, data/road0310.trr,
	data/rp_back.nic, data/rp_exit.nic, data/rp_fast.nic,
	data/rp_pause.nic, data/rp_play.nic, data/rp_slow.nic,
	data/runway.nic, data/runway45.obl, data/s_aa-shi.veh,
	data/s_amphib.veh, data/s_battle.veh, data/s_carrie.veh,
	data/s_cruisr.veh, data/s_destro.veh, data/s_ice-br.veh,
	data/s_nuclea.veh, data/s_patro2.veh, data/s_r-sled.veh,
	data/s_repair.veh, data/s_speedb.veh, data/s_subm-d.veh,
	data/s_submar.veh, data/s_supply.veh, data/s_tr-sub.veh,
	data/s_transp.veh, data/s_typhon.veh, data/secdepot.bld,
	data/sezieren.nic, data/smalaril.fnt, data/smallhex.raw,
	data/solar.bld, data/solarpwr.raw, data/sonar.tec,
	data/standard.set, data/submarin.bld, data/swm1_266.trr,
	data/swm1_267.trr, data/swm1_268.trr, data/swm1_269.trr,
	data/swm1_270.trr, data/swm1_271.trr, data/swm2_272.trr,
	data/swm2_273.trr, data/swm2_274.trr, data/swm2_275.trr,
	data/swm2_276.trr, data/swm2_277.trr, data/swm2_278.trr,
	data/swm2_279.trr, data/swm2_280.trr, data/swm2_281.trr,
	data/swm2_282.trr, data/swm2_283.trr, data/swm2_284.trr,
	data/swm2_285.trr, data/swm2_286.trr, data/swm2_287.trr,
	data/swm2_288.trr, data/swmp0360.trr, data/tabmark.raw,
	data/takeoff.nic, data/tankmine.nic, data/terr_168.trr,
	data/terr_233.trr, data/terr_237.trr, data/terr_242.trr,
	data/terr_290.trr, data/terr_394.trr, data/terr_396.trr,
	data/terr_487.trr, data/terr_488.trr, data/terr_489.trr,
	data/terr_490.trr, data/terr_509.trr, data/terr_571.trr,
	data/torp2.tec, data/torp3.tec, data/torp4.tec, data/town1.bld,
	data/town2.bld, data/town3.bld, data/track.obl, data/training.bld,
	data/training.nic, data/traninfo.raw, data/trrt0359.trr,
	data/turrt044.obl, data/tutor0.map, data/tutor1.map,
	data/tutor2.map, data/tutor3.map, data/tutor4.map,
	data/unps0203.trr, data/unps0204.trr, data/unps0205.trr,
	data/unps0206.trr, data/unps0207.trr, data/unps0208.trr,
	data/unps0209.trr, data/unps0210.trr, data/unps0211.trr,
	data/unps0212.trr, data/unps0213.trr, data/unps0214.trr,
	data/unps0215.trr, data/unps0216.trr, data/unps0217.trr,
	data/unps0218.trr, data/unps0219.trr, data/unps0220.trr,
	data/unps0221.trr, data/unps0222.trr, data/unps0223.trr,
	data/unps0224.trr, data/unps0225.trr, data/unps0226.trr,
	data/unps0227.trr, data/unps0228.trr, data/unps0229.trr,
	data/unps0230.trr, data/unps0231.trr, data/unps0232.trr,
	data/unps0233.trr, data/unps0234.trr, data/unps0235.trr,
	data/unps0236.trr, data/unps0237.trr, data/unps0238.trr,
	data/unps0239.trr, data/unps0240.trr, data/unps0241.trr,
	data/unps0242.trr, data/unps0243.trr, data/unps0244.trr,
	data/unps0245.trr, data/unps0246.trr, data/unps0247.trr,
	data/unps0248.trr, data/unps0249.trr, data/unps0250.trr,
	data/unps0251.trr, data/unps0252.trr, data/unps0253.trr,
	data/unps0254.trr, data/unps0255.trr, data/unps0256.trr,
	data/unps0257.trr, data/unps0258.trr, data/unps0259.trr,
	data/unps0260.trr, data/unps0261.trr, data/unps0262.trr,
	data/unps0263.trr, data/unps0264.trr, data/unps0265.trr,
	data/unps0319.trr, data/unps0326.trr, data/unps0327.trr,
	data/unps0328.trr, data/unps0329.trr, data/unps0330.trr,
	data/unps0331.trr, data/unps0332.trr, data/unps0333.trr,
	data/unps0334.trr, data/unps0335.trr, data/unps0336.trr,
	data/unps0337.trr, data/unps0338.trr, data/unps0339.trr,
	data/unps0340.trr, data/unps0341.trr, data/unps0342.trr,
	data/unps0343.trr, data/unps0344.trr, data/unps0345.trr,
	data/unps0350.trr, data/unps0351.trr, data/unps0352.trr,
	data/unps0353.trr, data/unps0354.trr, data/unps0355.trr,
	data/unps0356.trr, data/unps0357.trr, data/unps0358.trr,
	data/usablack.fnt, data/vehiclef.bld, data/vehicleg.bld,
	data/vehicleh.bld, data/viewmap.nic, data/wa_ro303.trr,
	data/wa_ro304.trr, data/wa_ro305.trr, data/wa_ro306.trr,
	data/waffen.raw, data/wat1_299.trr, data/wat1_307.trr,
	data/wat2_300.trr, data/wat2_308.trr, data/wat3_301.trr,
	data/wat3_302.trr, data/wat3_309.trr, data/weapicon.raw,
	data/weapinfo.raw, data/weapon00.wav, data/weapon01.wav,
	data/weapon02.wav, data/weapon03.wav, data/weapon04.wav,
	data/weapon05.wav, data/weapon06.wav, data/weapon07.wav,
	data/weapon10.wav, data/weapons.dat, data/werft.bld,
	data/windp.raw, data/windpfei.raw, data/windpow.bld,
	data/windpowr.raw, data/windrose.raw, data/wreck076.obl,
	data/wreck077.obl, data/wreck078.obl, data/x.raw, doc/asc.html,
	doc/asc_doc.css, doc/asc_website.css, doc/biimport.html,
	doc/copying, doc/demount.html, doc/dos4gw.doc, doc/editors.html,
	doc/graphics.html, doc/index.html, doc/makeobject.html,
	doc/maketank.html, doc/maketech.html, doc/mapedit.html,
	doc/mount.html, doc/prnttank.html, doc/text.html,
	doc/graphics/attackformula.gif, doc/graphics/direction_example.gif,
	doc/graphics/directions.gif, doc/graphics/hemming.gif,
	source/Makefile.am, source/Makefile.in, source/sg.cpp,
	source/vehicle.cpp, source/libs/triangul/trimisc.c,
	source/unix/Makefile.am, source/unix/Makefile.in,
	source/unix/mapeditor/Makefile.am,
	source/unix/mapeditor/Makefile.in:  Added complete Data and
	documentaion to repository
	 The unix programs are now build in the 'unix' subdirectory, not
	the
	  source directory.
	 The executable names of all ASC helper programs now start with
	'asc_'

2001-05-14 17:31  mbickel

	* asc.kdevprj, configure, configure.in, source/tools/mount.cpp: 
	Changed usage of asc_mount
	 Updated configure.in

2001-05-10 18:24  mbickel

	* source/tools/java/: CompAll.bat, StartSelector.bat,
	UnitEditor.java:  Fixed crash in Java-Uniteditor when palette not
	available

2001-04-30 13:55  mbickel

	* source/strtmesg.cpp:	Updated version to 1.3.14

2001-04-30 13:41  mbickel

	* asc.kdevprj, source/buildings.h, source/loadbi3.cpp,
	source/vehicle.cpp, source/vehicle.h:  Fixed crash when importing
	BI maps due to different structure packing

2001-04-29 23:55  mbickel

	* source/tools/win/: demount.bpr, gfx2pcx.bpr, makegfx.bpr:  Fixed:
	Some windows editor crashed due to invalid runtime libraries

2001-04-03 14:53  mbickel

	* asc.bpg, source/ai/ai.bpf, source/ai/ai.bpr, source/ai/base.cpp,
	source/ai/misc.cpp, source/ai/service.cpp,
	source/tools/win/demount.bpr, source/tools/win/gfx2pcx.bpr,
	source/tools/win/makegfx.bpr, source/tools/win/mount.bpr,
	source/tools/win/viewid.bpr, source/tools/win/weaponguide.bpr: 
	Compiled ASC with Borland
	 Added AI-lib project files for BC++B

2001-04-03 13:54  mbickel

	* asc.kdevprj, source/astar2.cpp, source/astar2.h,
	source/building.cpp, source/buildings.cpp, source/buildings.h,
	source/gamemap.cpp, source/loaders.cpp, source/mapdisplay.cpp,
	source/resourcenet.cpp, source/resourcenet.h, source/strtmesg.cpp,
	source/typen.cpp, source/ai/ai.h, source/ai/ai_common.h,
	source/ai/base.cpp, source/ai/misc.cpp, source/ai/service.cpp,
	source/ai/strategy.cpp, source/ai/tactics.cpp,
	source/ai/valuation.cpp, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in:  AI Improvements: production ,
	servicing

2001-04-01 15:00  mbickel

	* source/tools/win/: viewid.bpf, viewid.bpr:  Added win32 project
	files for viewid

2001-04-01 14:59  mbickel

	* asc.bpg, source/building.cpp, source/building_controls.h,
	source/buildings.cpp, source/buildings.h, source/gui.cpp,
	source/typen.h, source/ai/ai.h, source/ai/base.cpp,
	source/ai/misc.cpp, source/ai/service.cpp, source/ai/valuation.cpp,
	source/tools/viewid.cpp, source/win32/borland/asc.bpf,
	source/win32/borland/asc.bpr:  Updated win32 project files to new
	ai file structure
	 Added viewid win32-project
	 Improved AI : production and service path finding

2001-03-30 14:43  mbickel

	* asc.kdevprj, configure, configure.in, source/Makefile.am,
	source/Makefile.in, source/TODO, source/artint.cpp,
	source/artint.h, source/astar2.cpp, source/astar2.h,
	source/buildings.cpp, source/buildings.h, source/containerbase.h,
	source/controls.cpp, source/controls.h, source/edmisc.cpp,
	source/edmisc.h, source/loaders.cpp, source/mapalgorithms.cpp,
	source/mapalgorithms.h, source/mapdisplay.h, source/sg.cpp,
	source/spfst.cpp, source/spfst.h, source/typen.h,
	source/unitctrl.cpp, source/unitctrl.h, source/vehicle.cpp,
	source/vehicle.h, source/viewcalculation.cpp,
	source/viewcalculation.h, source/ai/Makefile.am,
	source/ai/Makefile.in, source/ai/ai.h, source/ai/ai_common.h,
	source/ai/base.cpp, source/ai/buildingcapture.cpp,
	source/ai/misc.cpp, source/ai/service.cpp, source/ai/strategy.cpp,
	source/ai/tactics.cpp, source/ai/valuation.cpp:  Added 3D
	pathfinding
	 some cleanup and documentation
	 splitted the ai into several files, now located in the ai
	subdirectory
	 AI cares about airplane servicing and range constraints

2001-03-23 17:02  mbickel

	* asc.kdevprj, source/artint.cpp, source/building.cpp,
	source/buildings.cpp, source/buildings.h, source/buildingtype.cpp,
	source/buildingtype.h, source/controls.cpp, source/dashboard.cpp,
	source/edevents.cpp, source/edselfnt.cpp, source/graphicset.cpp,
	source/loaders.cpp, source/mapevents.cpp, source/mapevents.h,
	source/replay.cpp, source/sgstream.cpp, source/typen.cpp,
	source/unitctrl.cpp:  Some restructuring;
	 started rewriting event system

2001-03-07 22:40  mbickel

	* source/: containerbase.cpp, edmain.cpp, edmisc.cpp, edselfnt.cpp,
	strtmesg.cpp, vehicle.cpp, vehicle.h:  Lots of bugfixes in the
	mapeditor

2001-03-05 22:02  mbickel

	* source/strtmesg.cpp:	Updated version number

2001-03-05 21:57  mbickel

	* asc.bpg, source/artint.cpp, source/ascstring.cpp,
	source/dialog.cpp, source/gamemap.cpp,
	source/win32/borland/mapeditor/mapeditor.bpr:  Fixed infinite loop
	in AI
	 Fixed map resizing crash in mapaeditor
	 Fixed speedsearch not working in fileselector

2001-03-02 14:24  mbickel

	* asc.kdevprj, source/artint.cpp:  AI fixes

2001-03-02 12:51  mbickel

	* source/: artint.cpp, win32/borland/asc.bpr:  Fixed infinite loop
	in AI::buildingcapture search

2001-03-01 22:24  mbickel

	* source/artint.cpp:  Fixed two AI bugs: inconsistent attack value
	calculation

2001-02-28 22:27  mbickel

	* asc.kdevprj, source/strtmesg.cpp, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in:  Set version number to 1.3.10

2001-02-28 17:13  mbickel

	* source/tools/: makebdt.cpp, makeobl4.cpp, maketank.cpp,
	maketech.cpp, pcxtank.cpp, printbld.cpp, printtnk.cpp, tools.wpj,
	trrn2pcx.cpp, viewid.cpp:  Updated DOS editor projects

2001-02-28 16:19  mbickel

	* asc.bpg, source/tools/mount.cpp, source/tools/win/demount.bpf,
	source/tools/win/demount.bpr, source/tools/win/gfx2pcx.bpf,
	source/tools/win/gfx2pcx.bpr, source/tools/win/makegfx.bpf,
	source/tools/win/makegfx.bpr, source/tools/win/mount.bpf,
	source/tools/win/mount.bpr, source/tools/win/tools.bpf,
	source/tools/win/tools.bpr:  Added more small editors to the win32
	project

2001-02-28 15:21  mbickel

	* source/tools/makegfx.cpp:  Added makegfx

2001-02-28 15:10  mbickel

	* asc.kdevprj, source/basegfx.cpp, source/basegfx.h,
	source/basestrm.cpp, source/basestrm.h, source/graphicset.cpp,
	source/loadpcx.h, source/loadpcxc.cpp, source/tools/bi2pcx.cpp,
	source/tools/mntgraph.cpp, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in:  Added some small editors to linux
	makefiles
	 Added even more dirty hacks to basegfx: some more truecolor
	functions

2001-02-26 23:03  mbickel

	* source/: basestrm.h, tools/asctool.tgt, tools/bldhex.cpp,
	tools/maketank.cpp, tools/mntgraph.cpp, tools/tools.wpj:  Some
	adjustments for Watcom C++

2001-02-26 22:14  mbickel

	* asc.kdevprj, source/basegfx.cpp, source/basegfx.h,
	source/basestrm.h, source/buildingtype.cpp, source/dos/fileio.h,
	source/tools/bi2pcx.cpp, source/tools/mntgraph.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	source/unix/fileio.h, source/win32/borland/fileio.h,
	source/win32/watcom/fileio.h:  Added two small editors to the linux
	makefiles
	 Added some more truecolor hacks to the graphics engine

2001-02-26 14:49  mbickel

	* source/: basestreaminterface.h, basestrm.cpp, gamedlg.cpp,
	loaders.cpp, win32/borland/asc.bpf, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr:	Fixed bug in message
	loading
	 readString can now read strings that container \n

2001-02-26 13:34  mbickel

	* asc.kdevprj, doc/source.html, source/Makefile.am,
	source/Makefile.in, source/TODO, source/artint.cpp,
	source/artint.h, source/attack.cpp, source/attack.h,
	source/basestrm.cpp, source/buildings.cpp, source/controls.cpp,
	source/controls.h, source/dashboard.cpp, source/dashboard.h,
	source/dialog.cpp, source/dlg_box.cpp, source/dlg_box.h,
	source/edevents.cpp, source/edglobal.cpp, source/edmisc.cpp,
	source/gamedlg.cpp, source/gamedlg.h, source/gamemap.cpp,
	source/gamemap.h, source/gui.cpp, source/loaders.cpp,
	source/loaders.h, source/mapdisplay.cpp, source/mapdisplay.h,
	source/missions.cpp, source/missions.h, source/network.cpp,
	source/network.h, source/networkdata.cpp, source/networkdata.h,
	source/pointers.h, source/replay.cpp, source/resourcenet.cpp,
	source/sg.cpp, source/spfst.cpp, source/spfst.h, source/typen.cpp,
	source/typen.h, source/vehicle.cpp, source/viewcalculation.cpp,
	source/tools/Makefile.am, source/tools/Makefile.in:  Some major
	restructuing:
	  new message containers
	  events don't store pointers to units any more
	  tfield class overhauled

2001-02-18 18:53  mbickel

	* source/containerbasetype.h:  Added containerbasetype.h

2001-02-18 18:52  mbickel

	* asc.kdevprj, source/Makefile.in, source/attack.cpp,
	source/containerbase.cpp, source/containerbase.h,
	source/controls.cpp, source/gui.cpp, source/map2pcx.cpp,
	source/pointers.h, source/unitctrl.cpp, source/vehicle.cpp,
	source/tools/demount.cpp, source/tools/mount.cpp:  Fixed some
	compilation problems on Linux

2001-02-18 16:41  mbickel

	* source/Makefile.am:  added new files to the unix makefile.am

2001-02-18 16:36  mbickel

	* source/: attack.cpp, baseaiinterface.h, basegfx.cpp,
	basestreaminterface.h, basestrm.cpp, basestrm.h, basetemp.h,
	buildings.cpp, buildings.h, buildingtype.cpp, buildingtype.h,
	containerbase.cpp, controls.cpp, dialog.cpp, dlg_box.cpp,
	edmain.cpp, edmisc.cpp, gamedlg.cpp, gamemap.cpp, gamemap.h,
	graphicselector.cpp, graphicset.cpp, gui.cpp, loadbi3.cpp,
	loaders.cpp, loadpcxc.cpp, mapalgorithms.cpp, mapdisplay.cpp,
	network.cpp, oldlzw.cpp, replay.cpp, research.cpp, resourcenet.cpp,
	sg.cpp, sgstream.cpp, spfst.cpp, spfst.h, typen.cpp, typen.h,
	unitctrl.cpp, vehicle.cpp, vehicle.h, vehicletype.cpp,
	vehicletype.h, viewcalculation.h, libs/triangul/trimisc.c,
	sdl/SDLStretch.cpp, sdl/events.cpp, sdl/loadimage.cpp,
	sdl/sound.cpp, tools/weaponguide.cpp, tools/win/obj/nothing,
	win32/borland/asc.bpf, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr:	Some cleanup and
	documentation
	 Restructured: vehicle and building classes into separate files
	    tmap, tfield and helper classes into separate file (gamemap.h)
	 basestrm : stream mode now specified by enum instead of int

2001-02-15 22:57  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/artint.cpp, source/artint.h, source/map2pcx.cpp,
	source/sg.cpp, source/typen.h, source/vehicletype.cpp,
	source/vehicletype.h:  The AI doesn't try to attack with recon
	units any more

2001-02-11 21:40  mbickel

	* asc.kdevprj, source/dialog.cpp, source/gamemap.cpp,
	source/loadbi3.cpp:  Fixed compilation problems with gcc

2001-02-11 12:39  mbickel

	* source/: artint.cpp, ascstring.cpp, basegfx.h, basestrm.h,
	controls.cpp, dashboard.cpp, dialog.cpp, dlgraph.cpp, edevents.cpp,
	edglobal.cpp, edmisc.cpp, edselfnt.cpp, errors.h, flview.cpp,
	gamedlg.cpp, gamemap.cpp, gameoptions.cpp, gui.cpp, history.cpp,
	loadbi3.cpp, loaders.cpp, loaders.h, loadimage.h, loadpcx.h,
	loadpcxc.cpp, mapalgorithms.cpp, mapdisplay.cpp, memorycheck.cpp,
	misc.h, missions.cpp, missions.h, newfont.cpp, password_dialog.cpp,
	pd.cpp, pointers.h, replay.cpp, sg.cpp, sgstream.cpp, spfst.cpp,
	typen.cpp, typen.h, vehicletype.cpp, vehicletype.h,
	viewcalculation.cpp:  Some cleanup and documentation

2001-02-08 22:20  mbickel

	* asc.kdevprj, source/TODO, source/artint.cpp, source/artint.h,
	source/attack.cpp, source/attack.h, source/doxygen.config,
	source/strtmesg.cpp, source/vehicletype.cpp, source/vehicletype.h: 
	AI attacks and services more sensibly

2001-02-06 19:38  mbickel

	* asc.kdevprj, source/ascstring.cpp, source/ascstring.h:  Added
	string comparing method to ASCString

2001-02-06 18:15  mbickel

	* source/: basegfx.cpp, dialog.cpp, graphicselector.cpp, newfont.h,
	tools/win/tools.bpf, tools/win/tools.bpr,
	win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr:	Some changes for
	compilation by Borland C++ Builder

2001-02-06 17:27  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h,
	source/buildingtype.cpp, source/buildingtype.h, source/map2pcx.cpp,
	source/typen.cpp, source/typen.h, source/unitctrl.cpp:	bugfixes,
	bugfixes and bugfixes

2001-02-04 22:26  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h,
	source/attack.cpp, source/basestreaminterface.h,
	source/basestrm.cpp, source/buildingtype.cpp,
	source/containerbase.cpp, source/containerbase.h,
	source/dialog.cpp, source/gamemap.cpp, source/gui.h,
	source/loaders.cpp, source/loaders.h, source/sg.cpp,
	source/sgstream.cpp, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/unitctrl.h, source/vehicletype.cpp,
	source/vehicletype.h, source/viewcalculation.cpp:  The AI status is
	written to savegames -> new savegame revision
	 Lots of bug fixes

2001-02-01 23:48  mbickel

	* asc.kdevprj, source/TODO, source/artint.cpp, source/artint.h,
	source/attack.cpp, source/building.cpp, source/buildingtype.cpp,
	source/buildingtype.h, source/containerbase.cpp,
	source/containerbase.h, source/controls.cpp, source/dashboard.cpp,
	source/dialog.cpp, source/dialog.h, source/edevents.cpp,
	source/edgen.cpp, source/edglobal.cpp, source/edmisc.cpp,
	source/edselfnt.cpp, source/gamedlg.cpp, source/gamemap.cpp,
	source/gui.cpp, source/loadbi3.cpp, source/loaders.cpp,
	source/loaders.h, source/map2pcx.cpp, source/mapdisplay.cpp,
	source/missions.cpp, source/pointers.h, source/replay.cpp,
	source/research.cpp, source/research.h, source/resourcenet.cpp,
	source/sg.cpp, source/sgstream.cpp, source/spfst.cpp,
	source/spfst.h, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/vehicletype.cpp, source/vehicletype.h,
	source/viewcalculation.cpp, source/viewcalculation.h:  rewrote the
	storing of units and buildings
	 Fixed bugs in bi3 map importing routines
	 Fixed bugs in AI
	 Fixed bugs in mapeditor

2001-01-31 15:52  mbickel

	* asc.kdevprj, source/dialog.cpp, source/dialog.h,
	source/edevents.cpp, source/edglobal.cpp, source/edmain.cpp,
	source/edmisc.cpp, source/gamedlg.cpp, source/gamemap.cpp,
	source/loadbi3.cpp, source/loadbi3.h, source/loaders.cpp,
	source/loaders.h, source/map2pcx.cpp, source/mapdisplay.cpp,
	source/mapdisplay.h, source/memorycheck.cpp, source/network.cpp,
	source/sg.cpp, source/vehicletype.cpp:	Fixed crashes in BI3 map
	importing routines
	 Rewrote memory consistency checking
	 Fileselect dialog now uses ASCStrings

2001-01-29 00:19  mbickel

	* asc.kdevprj, source/misc.cpp, source/tools/java/.cvsignore: 
	Finally, the linux version compiles again too...

2001-01-29 00:00  mbickel

	* source/: ascstring.cpp, ascstring.h, gamemap.cpp,
	graphicselector.cpp, loadbi3.cpp, loadbi3.h, objxlat.cpp,
	research.h, sgstream.cpp, spfst.cpp, typen.cpp, vehicletype.cpp,
	tools/asctool.tgt, tools/bi2pcx.cpp, tools/bi2pcx2.cpp,
	tools/bi2pcx3.cpp, tools/bi2pcx4.cpp, tools/bldhex.cpp,
	tools/krkr.cpp, tools/makebdt.cpp, tools/makebdt2.cpp,
	tools/makebdt3.cpp, tools/makeobl.cpp, tools/makeobl3.cpp,
	tools/makeobl4.cpp, tools/makeobl5.cpp, tools/maketank.cpp,
	tools/maketech.cpp, tools/mntgraph.cpp, tools/pcxtank.cpp,
	tools/printbld.cpp, tools/printtnk.cpp, tools/tools.wpj,
	tools/trrn2pcx.cpp, tools/viewid.cpp, tools/weaponguide.cpp,
	tools/dos/maketec.tgt:	Made the small editors compilable with
	Watcom again

2001-01-28 22:39  mbickel

	* source/: Named.cpp, Named.h, TODO, misc.cpp,
	tools/weaponguide.cpp, tools/win/tools.bpf, tools/win/tools.bpr,
	win32/borland/asc.bpf, win32/borland/asc.bpr,
	win32/borland/global_os.h, win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr,
	win32/borland/mapeditor/obj/nothing, win32/borland/obj/nothing: 
	Updated Borland C++ Building project files
	 Fixed some compilation problems with Borland
	 Made weaponguide compilable again

2001-01-28 21:42  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/Named.cpp, source/Named.h, source/TODO,
	source/ascstring.cpp, source/ascstring.h, source/buildingtype.h,
	source/edmisc.cpp, source/graphicselector.cpp,
	source/graphicselector.h, source/graphicset.cpp,
	source/graphicset.h, source/loadbi3.cpp, source/loadbi3.h,
	source/mapdisplay.cpp, source/palette.cpp, source/palette.h,
	source/sg.cpp, source/sgstream.cpp, source/typen.cpp,
	source/vehicletype.cpp, source/vehicletype.h,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in: 
	Introduced a new string class, ASCString, which should replace all
	   char* and std::string in the long term
	 Split loadbi3.cpp into 3 different files (graphicselector,
	graphicset)

2001-01-28 18:18  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/building.cpp, source/controls.cpp, source/dashboard.cpp,
	source/dialog.cpp, source/edmisc.cpp, source/gamedlg.cpp,
	source/gamemap.cpp, source/gui.cpp, source/loadbi3.cpp,
	source/mapdisplay.cpp, source/missions.cpp, source/replay.cpp,
	source/resourcenet.cpp, source/sg.cpp, source/unitctrl.cpp:  The
	recent cleanup broke some source files; this is fixed now

2001-01-28 15:03  mbickel

	* source/: CLoadable.cpp, CLoadable.h, PropertyGroup.cpp, TODO,
	artint.cpp, artint.h, astar2.cpp, astar2.h, attack.cpp, attack.h,
	basegfx.cpp, basegfx.h, basegui.h, basestreaminterface.h,
	basestrm.cpp, basestrm.h, basetemp.h, borland.mlt, building.cpp,
	building.h, building_controls.h, buildingtype.cpp, buildingtype.h,
	containerbase.cpp, containerbase.h, controls.cpp, controls.h,
	dashboard.cpp, dashboard.h, dialog.cpp, dialog.h, dlg_box.cpp,
	dlg_box.h, dlgraph.cpp, doxygen.config, edevents.cpp, edevents.h,
	edgen.cpp, edgen.h, edmain.cpp, gamemap.cpp, gui.h, loadpcxc.cpp,
	map2pcx.cpp, missions.cpp, missions.h, network.cpp, oldlzw.cpp,
	palette.cpp, palette.h, password.cpp, password.h, pd.cpp, pd.h,
	pointers.h, replay.cpp, replay.h, research.cpp, research.h,
	resourcenet.cpp, resourcenet.h, sg.cpp, sg.h, sgstream.cpp,
	sgstream.h, soundList.cpp, soundList.h, spfst.cpp, spfst.h,
	stack.cpp, stack.h, typen.h, viewcalculation.cpp, weather.cpp,
	weather.h:  Some restructuring, documentation and cleanup
	 The resource network functions are now it their own files, the
	dashboard
	  as well
	 Updated the TODO list

2001-01-26 00:44  mbickel

	* ChangeLog, asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/artint.cpp, source/artint.h, source/containerbase.cpp,
	source/controls.cpp, source/dialog.cpp, source/edevents.cpp,
	source/edglobal.cpp, source/edmain.cpp, source/edmisc.cpp,
	source/edselfnt.cpp, source/loadbi3.cpp, source/loadbi3.h,
	source/loadpcx.h, source/loadpcxc.cpp, source/map2pcx.cpp,
	source/mapdisplay.cpp, source/mapdisplay.h, source/sg.cpp,
	source/sg.h, source/spfst.cpp, source/spfst.h, source/strtmesg.cpp,
	source/unitctrl.h, source/tools/Makefile.am,
	source/tools/Makefile.in:  Moved map displaying routins to own file
	(mapdisplay.cpp)
	 Wrote program to create pcx images from map files (map2pcx.cpp)
	 Fixed bug in repair function: too much resource consumption
	 AI improvements and bug fixes
	 The BI3 map import function now evaluates the player status
	(human/
	  computer)

2001-01-24 15:42  mbickel

	* asc.kdevprj, source/artint.cpp:  Fixed a crash in the AI

2001-01-24 12:53  mbickel

	* asc.kdevprj, source/artint.cpp, source/building.cpp,
	source/building.h, source/building_controls.h, source/gui.cpp,
	source/gui.h:  Fixed some compilation problems with gcc

2001-01-24 12:00  mbickel

	* source/: research.cpp, win32/borland/asc.bpf,
	win32/borland/asc.bpr, win32/borland/mapeditor/mapeditor.bpf,
	win32/borland/mapeditor/mapeditor.bpr:	Updated win32 project files

2001-01-23 22:05  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in, source/TODO,
	source/artint.cpp, source/artint.h, source/astar2.cpp,
	source/astar2.h, source/building.cpp, source/controls.cpp,
	source/controls.h, source/gamedlg.cpp, source/gamedlg.h,
	source/gamemap.cpp, source/loadbi3.cpp, source/loaders.cpp,
	source/loaders.h, source/missions.cpp, source/pointers.h,
	source/research.cpp, source/research.h, source/spfst.cpp,
	source/spfst.h, source/typen.cpp, source/typen.h,
	source/vehicletype.cpp:  Speed up of AI
	 Lot of bugfixes in AI
	 Moved Research to own files (research.*)
	 Rewrote storing of developed technologies
	 Some cleanup and documentation

2001-01-22 21:00  mbickel

	* asc.kdevprj, source/gamemap.cpp, source/loaders.cpp,
	source/typen.cpp, source/typen.h:  Fixed bug that made savegamefrom
	campaign games unloadable
	 Optimized the terrainAccess-checking

2001-01-21 17:37  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/building.cpp, source/controls.cpp, source/controls.h,
	source/edglobal.cpp, source/gamedlg.cpp, source/gui.cpp,
	source/loadbi3.cpp, source/loadbi3.h, source/replay.cpp,
	source/replay.h, source/sg.cpp, source/sgstream.cpp,
	source/sgstream.h, source/spfst.cpp, source/spfst.h,
	source/typen.cpp, source/typen.h, source/unitctrl.cpp:	Moved
	replay code to own file ( replay.cpp )
	 Fixed compile problems done by cleanup

2001-01-21 13:48  mbickel

	* source/: artint.cpp, artint.h, astar2.cpp, astar2.h, attack.cpp,
	buildingtype.h, controls.h, dialog.h, password_dialog.cpp,
	password_dialog.h, sg.h, sgstream.cpp, sgstream.h, spfst.h,
	stack.h, typen.h:  Some cleanup and documentation

2001-01-19 14:33  mbickel

	* asc.kdevprj, source/TODO, source/artint.cpp, source/artint.h,
	source/attack.cpp, source/attack.h, source/basegfx.cpp,
	source/basegfx.h, source/controls.cpp, source/controls.h,
	source/edselfnt.cpp, source/gamedlg.cpp, source/mapalgorithms.cpp,
	source/mapalgorithms.h, source/missions.h, source/sg.cpp,
	source/spfst.cpp, source/spfst.h, source/unitctrl.cpp,
	source/unitctrl.h, source/viewcalculation.cpp,
	source/viewcalculation.h:  The AI now uses hemming
	 Several bugfixes in Vehicle Actions
	 Moved all view calculation to viewcalculation.cpp
	 Mapeditor: improved keyboard support for item selection

2001-01-14 15:58  mbickel

	* source/: basegfx.h, dos/basegfx_asm_interface.h:  added
	documentation for the graphics functions
	 moved interface of assembler routines to seperate file in dos
	directory

2001-01-11 16:27  mbickel

	* asc.kdevprj, source/artint.cpp, source/basegfx.h,
	source/strtmesg.cpp:  AI: conquering units try to move on fields
	hidden to the enemy

2001-01-04 16:13  mbickel

	* asc.kdevprj, config.h.in, configure, configure.in, source/TODO,
	source/artint.cpp, source/artint.h, source/astar2.cpp,
	source/astar2.h, source/basestrm.cpp, source/basestrm.h,
	source/dialog.cpp, source/dlg_box.cpp, source/edevents.cpp,
	source/edmain.cpp, source/edmisc.cpp, source/gamedlg.cpp,
	source/gamedlg.h, source/gui.cpp, source/loadbi3.cpp,
	source/loaders.cpp, source/mapalgorithms.h, source/sg.cpp,
	source/sgstream.cpp, source/sgstream.h, source/typen.h,
	source/unitctrl.cpp, source/vehicletype.cpp,
	source/libs/triangul/Makefile.in:  configure now checks for
	libSDL_image
	 AI only conquers building that cannot be conquered back
	immediately
	 tfindfile now returns strings instead of char*

2001-01-04 16:10  mbickel

	* source/basegfx.cpp:  Fixed: showtext displayed garbage as last
	character when text had to be
	   cut shorter to be displayed

2000-12-31 16:25  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h,
	source/astar2.cpp, source/astar2.h, source/dialog.cpp,
	source/gamemap.cpp, source/typen.h:  The AI now conqueres neutral
	buildings
	 Removed "reset password" buttons when starting a game

2000-12-29 17:33  mbickel

	* ChangeLog, asc.kdevprj, source/dialog.cpp, source/sg.cpp:  The
	supervisor may now reset passwords

2000-12-28 19:34  mbickel

	* source/tools/weaponguide.cpp:  Compileable with Watcom

2000-12-28 19:04  mbickel

	* source/: borland.DSW, borland.OBR, borland.ide, borland.met,
	mapalgorithms.cpp, win32/borland/asc.bpr,
	win32/borland/mapeditor/mapeditor.bpr:	Removed old Borland C++
	Project files
	 Optimized beeline

2000-12-28 17:58  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h,
	source/gamemap.cpp, source/mapalgorithms.cpp, source/sg.cpp,
	source/spfst.cpp, source/strtmesg.cpp, source/typen.h,
	source/unitctrl.h, source/vehicletype.cpp:  Fixed bugs in AI
	 Some cleanup
	 Fixed crash in building construction

2000-12-28 12:12  mbickel

	* source/: dlg_box.cpp, dlg_box.h, sg.cpp, sdl/events.cpp,
	win32/borland/global_os.h:  Fixed: no redraw when restoring
	fullscreen focus in WIN32
	 Better error message handing in WIN32

2000-12-27 23:23  mbickel

	* source/: dialog.cpp, dlg_box.cpp, gamedlg.cpp, gamemap.cpp,
	gui.cpp, newfont.cpp, sg.cpp, sgstream.cpp, spfst.cpp,
	tools/win/tools.bpr, tools/win/weaponguide.bpr,
	win32/borland/asc.bpr:	Fixed crash in loading message text
	 Removed many unused variables

2000-12-26 22:04  mbickel

	* asc.kdevprj, source/Named.h, source/basegfx.cpp,
	source/dialog.cpp, source/edglobal.cpp, source/edmisc.cpp,
	source/sg.cpp:	Fixed: putimageprt not working (used for small map
	displaying)
	 Fixed: mapeditor crashed on generating large maps

2000-12-26 15:51  mbickel

	* source/: asc.bpf, asc.bpr, tools/win/tools.bpf,
	tools/win/tools.bpr, tools/win/weaponguide.bpf,
	tools/win/weaponguide.bpr, win32/borland/asc.bpf,
	win32/borland/asc.bpr:	Added some more Borland C++ Builder project
	files

2000-12-26 15:45  mbickel

	* asc.bpg, source/artint.cpp, source/basegfx.cpp,
	source/basestrm.cpp, source/misc.h, source/sg.cpp,
	source/typen.cpp, source/libs/bzlib/win/bzlib.bpr,
	source/libs/jpeg-6b/libjpeg.bpr,
	source/libs/triangul/win32/triangulation.bpr,
	source/tools/weaponguide.cpp,
	source/win32/borland/mapeditor/mapeditor.bpr:  Made ASC compilable
	(and runnable) with Borland C++ Builder

2000-12-23 16:58  mbickel

	* asc.bpg, doc/source.html, source/asc.bpr, source/gui.cpp,
	source/sg.cpp, source/win32/borland/mapeditor/mapeditor.bpf,
	source/win32/borland/mapeditor/mapeditor.bpr:  Trying to get ASC to
	run with Borland C++ Builder...

2000-12-23 14:27  mbickel

	* asc.bpg, source/asc.bpf, source/asc.bpr,
	source/libs/bzlib/win/bzlib.bpf, source/libs/bzlib/win/bzlib.bpr,
	source/libs/jpeg-6b/libjpeg.bpf, source/libs/jpeg-6b/libjpeg.bpr,
	source/libs/triangul/win32/triangulation.bpf,
	source/libs/triangul/win32/triangulation.bpr:  Added Borland C++
	Builder project files

2000-12-23 14:19  mbickel

	* doc/source.html, source/Named.h, source/astar2.cpp,
	source/borland.DSW, source/borland.OBR, source/borland.ide,
	source/borland.met, source/building.cpp, source/controls.cpp,
	source/dlg_box.cpp, source/edgen.cpp, source/edgen.h,
	source/gui.cpp, source/loadbi3.cpp, source/loadpcxc.cpp,
	source/missions.cpp, source/palette.cpp, source/stack.cpp,
	source/strtmesg.cpp, source/libs/readme.txt,
	source/win32/borland/global_os.h:  Made ASC compileable with
	Borland C++ Builder

2000-12-21 17:41  mbickel

	* asc.kdevprj, source/basestreaminterface.h, source/building.cpp,
	source/buildingtype.cpp, source/misc.h:  Fixed some compilation
	errors that were made during documentation

2000-12-21 12:00  mbickel

	* source/: artint.h, basegfx.h, basestreaminterface.h, basestrm.h,
	basetemp.h, building.cpp, building.h, buildingtype.cpp,
	buildingtype.h, controls.cpp, controls.h, gui.h, mousecontrol.h,
	typen.cpp, typen.h:  Added some code documentation

2000-11-29 18:58  mbickel

	* source/dlg_box.cpp:  BI3 map loading routines can now handles
	maps > 64*64
	 Fixed: pressing enter in dialog_box triggered wrong buttons

2000-11-29 12:18  mbickel

	* source/: artint.cpp, gamemap.cpp, strtmesg.cpp, win32/asc.tgt,
	win32/asc.wpj, win32/mapedit/mapedit.tgt:  Mapeditor compiles with
	Watcom again

2000-11-29 12:05  mbickel

	* asc.kdevprj, source/basestrm.cpp, source/dlg_box.cpp,
	source/edglobal.cpp, source/edmain.cpp, source/edmisc.cpp,
	source/edmisc.h, source/edselfnt.cpp, source/edselfnt.h,
	source/gamemap.cpp, source/loaders.cpp, source/sg.cpp,
	source/typen.h:  Improved userinterface of the mapeditor
	 map::preferredfilenames uses now strings (instead of char*)

2000-11-29 10:40  mbickel

	* asc.kdevprj, source/CLoadable.cpp, source/Makefile.am,
	source/Makefile.in, source/Named.cpp, source/Named.h,
	source/Property.cpp, source/controls.cpp, source/dialog.cpp,
	source/dialog.h, source/dlg_box.cpp, source/edglobal.cpp,
	source/edglobal.h, source/edmain.cpp, source/edmisc.cpp,
	source/edmisc.h, source/gamedlg.cpp, source/gamemap.cpp,
	source/gameoptions.cpp, source/gameoptions.h,
	source/memorycheck.cpp, source/password.cpp, source/password.h,
	source/password_dialog.cpp, source/password_dialog.h,
	source/sg.cpp, source/sgstream.cpp, source/typen.h:  The mapeditor
	has now two maps simultaneously active
	 Moved memorychecking functions to its own file: memorycheck.cpp
	 Rewrote password handling in ASC

2000-11-26 23:18  mbickel

	* asc.kdevprj, source/edmain.cpp, source/loaders.cpp,
	source/sg.cpp, source/sgstream.cpp, source/sgstream.h:	Added
	command line parameters for setting the verbosity
	 Increased verbose output

2000-11-26 15:39  mbickel

	* source/: artint.cpp, artint.h, astar2.h, borland.DSW,
	borland.OBR, borland.ide, borland.met, borland.mlt,
	win32/global_os.h:  Added Project Files for Borland C++
	 Some modifications to compile source with BCC

2000-11-23 20:45  mbickel

	* source/libs/triangul/README:	Added original libtriangulation
	README

2000-11-22 18:00  mbickel

	* source/libs/: bzlib/README, bzlib/README.ASC,
	triangul/README.ASC, triangul/readme.txt:  Updated documentation
	for libraries

2000-11-22 12:34  mbickel

	* config.h.in, configure, source/tools/linux/Makefile.in:  new
	Makefile.in : dynamically linked libbzip2

2000-11-22 09:48  mbickel

	* configure.in, source/tools/linux/Makefile.am:  mapeditor and
	mount/demount use configurable bzlib linking
	 invalid bzlib tests in configure.in fixed

2000-11-21 21:26  mbickel

	* Makefile.in, asc.kdevprj, config.h.in, configure, configure.in,
	source/Makefile.in, source/artint.cpp, source/artint.h,
	source/building.cpp, source/buildingtype.cpp, source/controls.cpp,
	source/controls.h, source/dlg_box.cpp, source/dlg_box.h,
	source/edmisc.cpp, source/edmisc.h, source/edselfnt.cpp,
	source/gamedlg.cpp, source/mapalgorithms.cpp,
	source/mapalgorithms.h, source/sg.cpp, source/sgstream.cpp,
	source/sgstream.h, source/spfst.cpp, source/spfst.h,
	source/unitctrl.cpp, source/unitctrl.h, source/vehicletype.cpp,
	source/viewcalculation.cpp, source/viewcalculation.h,
	source/docs/Makefile.in, source/docs/en/Makefile.in,
	source/libs/Makefile.in, source/libs/triangul/Makefile.in,
	source/sdl/Makefile.in, source/tools/Makefile.in,
	source/tools/linux/Makefile.in:  Fixed crash in tsearchfields (used
	by object construction for example)
	 AI improvements
	 configure.in: added some debug output
		       fixed broken check for libbz2

2000-11-21 20:13  mbickel

	* configure.in, source/Makefile.am, source/weather.cpp,
	source/libs/Makefile.am:  libbzip2 can now be linked either
	statically or dynamically to ASC/linux

2000-11-15 20:28  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h, source/sg.cpp,
	source/spfst.cpp, source/typen.h:  AI improvements

2000-11-14 21:36  mbickel

	* asc.kdevprj, configure, source/TODO, source/artint.cpp,
	source/artint.h, source/buildingtype.h, source/dialog.cpp,
	source/edmisc.cpp, source/sgstream.cpp, source/spfst.cpp,
	source/typen.cpp, source/typen.h, source/unitctrl.cpp,
	source/unitctrl.h, source/vehicletype.h:  The AI can now use supply
	vehicles
	 Rewrote objecttype IO routines to make the structure independant
	of
	  the memory layout

2000-11-12 16:19  mbickel

	* asc.kdevprj, configure, configure.in, source/gamedlg.cpp,
	source/libs/bzlib/Makefile:  Applied patch to configure.in to
	enable finding SDL if it isn't installed
	  in the default directory
	 GiveUnitAway dialog improved

2000-11-11 12:05  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h,
	source/buildingtype.h, source/containerbase.h, source/controls.cpp,
	source/gamedlg.cpp, source/gamemap.cpp, source/loaders.cpp,
	source/mapalgorithms.cpp, source/mapalgorithms.h,
	source/missions.cpp, source/typen.h, source/unitctrl.cpp,
	source/unitctrl.h, source/vehicletype.cpp, source/vehicletype.h: 
	started AI service functions

2000-11-09 19:39  mbickel

	* source/: spfst.cpp, tools/demount.wpj, tools/dos/demount.tgt,
	tools/os2/demount.tgt, tools/win/demount.tgt:  Fix: mapeditor
	crashed at startup due to invalid map being generated

2000-11-09 18:48  mbickel

	* source/: basestreaminterface.h, basestrm.cpp, basestrm.h,
	loadpcxc.cpp, tools/mntgraph.cpp:  The size of a stream can now be
	queried
	 PCX loader (in C) can now load unpatched images provided they are
	not
	   compressed

2000-11-08 23:00  mbickel

	* source/tools/: mntgraph.tgt, mount_new_graphics.wpj,
	dos/mntgraph.tgt, dos/weaponguide.tgt:	Moved mntgraph program into
	tools project (dos small editors)

2000-11-08 22:58  mbickel

	* source/: gamemap.cpp, strtmesg.cpp, vehicletype.cpp,
	dos/global_os.h, tools/asctool.tgt, tools/bldhex.cpp,
	tools/maketank.cpp, tools/mntgraph.cpp, tools/printbld.cpp,
	tools/tools.wpj, tools/weaponguide.cpp, tools/dos/bi2pcx.tgt,
	tools/dos/makebld.tgt, tools/dos/makeobl.tgt,
	tools/dos/maketec.tgt, tools/dos/maketrr.tgt,
	tools/dos/printbld.tgt, tools/dos/printveh.tgt,
	tools/dos/trn2pcx.tgt, tools/dos/veh2pcx.tgt, tools/dos/viewid.tgt:
	 brought the small editors up to date

2000-11-08 20:50  mbickel

	* source/tools/java/MainWindow.java:  Fixed Nullpointer exception
	when the last directory doesn't exist any
	  more on startup.

2000-11-08 20:37  mbickel

	* asc.kdevprj, source/typen.cpp, source/typen.h,
	source/tools/java/UnitEditor.java:  Changed the terrain types
	(again): "lava" now replaces "small trench"

2000-11-08 20:30  mbickel

	* asc.kdevprj, asc.lsm, source/artint.cpp,
	source/basestreaminterface.h, source/basestrm.cpp,
	source/building.cpp, source/building_controls.h,
	source/buildingtype.cpp, source/buildingtype.h,
	source/controls.cpp, source/controls.h, source/dialog.cpp,
	source/dlg_box.cpp, source/edevents.cpp, source/edmain.cpp,
	source/edmisc.cpp, source/gamedlg.cpp, source/gamedlg.h,
	source/gamemap.cpp, source/gui.cpp, source/loadbi3.cpp,
	source/loaders.cpp, source/loaders.h, source/loadimage.h,
	source/missions.cpp, source/movecurs.inc, source/sg.cpp,
	source/sgstream.cpp, source/spfst.cpp, source/spfst.h,
	source/typen.cpp, source/typen.h, source/unitctrl.cpp,
	source/unitctrl.h, source/vehicletype.cpp, source/vehicletype.h,
	source/sdl/events.cpp:	Rewrote IO for the tmap structure
	 Fixed crash when entering damaged building
	 Fixed crash in AI
	 Removed item CRCs

2000-11-07 23:14  mbickel

	* source/tools/java/UnitEditor.java:  Added terrain type "Lava"

2000-11-07 17:19  schelli

	* source/tools/java/: BuildRange.java, Building.java,
	ClassBound.java, CompAll.bat, ImageProcess.java, ImgCanvas.java,
	MainWindow.form, MainWindow.java, PK.java, PaletteInfo.java,
	RLEHeader.java, SgStream.java, ToDO.txt, Unit.java,
	UnitEditor.form, UnitEditor.java, Weapons.java: Minor
	Memory-Functions & Problems changed Picture Support partly enabled
	New Funktion partly implemented Buildings partly implemented

2000-11-01 12:41  mbickel

	* source/tools/java/: MainWindow.java, StartSelector.bat,
	UnitEditor.java:  Fixed: Selection in MainWindow-List not being
	evaluated, the first list
	  entry was always edited.

2000-10-31 19:08  mbickel

	* source/: tools/Makefile.bcc, win32/watcom/global_os.h:  Borland C
	now uses unsigned char ( tools/Makefile changed )
	 Added header file for size_t to global_os.h

2000-10-31 19:06  mbickel

	* source/tools/java/: CompAll.bat, MainWindow.java,
	UnitEditor.java:  Fileselector now displays files too

2000-10-31 11:42  mbickel

	* ChangeLog, asc.kdevprj, source/buildingtype.cpp,
	source/buildingtype.h, source/controls.cpp, source/controls.h,
	source/gamedlg.cpp, source/gamemap.cpp, source/gui.cpp,
	source/spfst.cpp, source/strtmesg.cpp, source/typen.cpp,
	source/typen.h, source/unitctrl.cpp, source/unitctrl.h,
	source/vehicletype.cpp:  Added building->vehicle service to vehicle
	controls
	 Moved tmap methods to gamemap.cpp

2000-10-31 11:41  mbickel

	* source/tools/java/Unit.java:	Fixed crash when loading a unit
	that can "construct specific building"

2000-10-29 22:06  mbickel

	* source/tools/java/: ExampleFileFilter.java, MainWindow.form,
	MainWindow.java, UnitEditor.java:  Modified filename construction
	to run under Linux
	 Started implementing a better directory choosing dialog

2000-10-26 21:17  mbickel

	* source/: edmain.cpp, dos/asc.tgt, dos/asc.wpj,
	dos/mapedit/edhex.tgt, tools/weaponguide.cpp,
	tools/dos/weapguid.tgt:  Removed fullscreen settings in mapeditor

2000-10-26 20:55  mbickel

	* source/: CLoadable.cpp, artint.h, edmain.cpp, edselfnt.cpp,
	gameoptions.cpp, gameoptions.h, typen.h, win32/asc.tgt,
	win32/asc.wpj, win32/mapedit/mapedit.tgt:  Fixed crash when editing
	the properties of a vehicle inside a building
	 Added mapeditorFullscreen switch to asc.ini

2000-10-26 20:15  mbickel

	* source/gamemap.cpp:  Added gamemap.cpp, which contains methods
	from tmap

2000-10-26 20:14  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/artint.cpp, source/artint.h, source/buildingtype.cpp,
	source/buildingtype.h, source/controls.cpp, source/loaders.cpp,
	source/missions.cpp, source/sg.cpp, source/sgstream.cpp,
	source/spfst.cpp, source/typen.cpp, source/typen.h,
	source/vehicletype.cpp, source/vehicletype.h:  AI moves damaged
	units to repair
	 tmap is not memory layout sensitive any more

2000-10-24 17:35  schelli

	* source/: edmain.cpp, edmisc.cpp, libs/jpeg/jpeglib.h,
	tools/java/MainWindow.form, tools/java/MainWindow.java,
	tools/java/Readme.txt, win32/asc.wpj, win32/mapedit/mapedit.tgt:
	MapEd FullScreen support added weapons ammo now editable in MapEd

2000-10-19 13:40  mbickel

	* source/edmisc.cpp:  Fixed crash when editing unit values

2000-10-18 20:53  mbickel

	* doc/source.html, source/sg.cpp, source/libs/readme.txt,
	source/libs/jpeg-6b/jconfig.h, source/libs/jpeg-6b/jpeg.tgt,
	source/libs/jpeg-6b/jpeg.wpj, source/sdl/SDLStretch.cpp,
	source/sdl/asc_IMG_jpg.c, source/sdl/loadimage.cpp,
	source/win32/asc.tgt, source/win32/asc.wpj,
	source/win32/mapedit/mapedit.tgt:  Added JPEG support to windows
	version

2000-10-18 19:09  mbickel

	* doc/source.html, source/edmain.cpp, source/events.h,
	source/sg.cpp, source/spfst.cpp, source/spfst.h, source/typen.cpp,
	source/vehicletype.cpp, source/vehicletype.h, source/dos/keybp.cpp,
	source/dos/vesa.cpp, source/tools/asctool.tgt,
	source/tools/bldhex.cpp, source/tools/makeobl4.cpp,
	source/tools/maketank.cpp, source/tools/maketech.cpp,
	source/tools/tools.wpj, source/tools/weaponguide.cpp,
	source/tools/dos/makeveh.tgt:  Fixed eventhandling for DOS

2000-10-18 17:10  mbickel

	* source/: edmain.cpp, events.h, sg.cpp, strtmesg.cpp,
	dos/keybp.cpp, dos/mousehnd.cpp, dos/timer.cpp, sdl/events.cpp,
	win32/asc.tgt, win32/asc.wpj, win32/mapedit/mapedit.tgt:  Fixed
	event handling for windows and dos

2000-10-18 16:16  mbickel

	* source/events.h:  Added events.h

2000-10-18 16:13  mbickel

	* asc.kdevprj, source/artint.cpp, source/attack.cpp,
	source/basegfx.cpp, source/basegfx.h, source/basegui.h,
	source/building.cpp, source/controls.cpp, source/controls.h,
	source/dialog.cpp, source/dlg_box.cpp, source/dlg_box.h,
	source/edevents.cpp, source/edglobal.cpp, source/edmain.cpp,
	source/edmisc.cpp, source/edmisc.h, source/edselfnt.cpp,
	source/gamedlg.cpp, source/gamedlg.h, source/gui.cpp, source/gui.h,
	source/keybp.h, source/loadbi3.cpp, source/loaders.cpp,
	source/missions.cpp, source/mousehnd.h, source/network.cpp,
	source/pd.cpp, source/sg.cpp, source/sgstream.cpp,
	source/spfst.cpp, source/spfst.h, source/timer.h,
	source/weather.cpp, source/sdl/Makefile.am, source/sdl/Makefile.in,
	source/sdl/events.cpp, source/sdl/timer.cpp,
	source/tools/bi2pcx.cpp, source/tools/bldhex.cpp,
	source/tools/makebuld.cpp, source/tools/maketech.cpp,
	source/tools/pcx2raw.cpp:  Rewrote Event handling; DOS and WIN32
	may be currently broken, will be
	  fixed soon.

2000-10-18 14:40  mbickel

	* source/: sg.cpp, sdl/events.cpp, sdl/graphics.cpp:  Rewrite event
	handling for windows

2000-10-17 22:21  schelli

	* source/tools/java/MainWindow.java: App now remembers path

2000-10-17 19:28  schelli

	* source/tools/java/: BuildRange.java, ClassBound.java,
	CompAll.bat, MainWindow.java, MakeCheckIntRangeField.java, PK.java,
	RLEHeader.java, RLEPackage.java, SgStream.java, SingleWeapon.java,
	ToDO.txt, Unit.java, UnitEditor.form, UnitEditor.java,
	UnitWeapon.java, Weapon.java: minor bugs fixed in lots of sources
	add & remove weapon works now revert to save button removed
	class-handling bugs fixed load & save routines fully implemented
	terrainacces added

2000-10-17 15:04  mbickel

	* source/: sgstream.cpp, typen.h, libs/triangul/triangul.tgt,
	libs/triangul/triangul.wpj, libs/triangul/trimisc.c,
	libs/triangul/win32/triangul.tgt, tools/weaponguide.cpp,
	win32/asc.wpj, win32/global_os.h, win32/watcom/global_os.h:  New
	terrainaccess reading/writing
	 Added Win32 project files

2000-10-17 14:12  mbickel

	* source/: sgstream.cpp, sgstream.h, typen.h, dos/asc.tgt,
	dos/asc.wpj, dos/global_os.h, dos/mapedit/edhex.tgt,
	libs/bzlib/dos/libbzip2.tgt, libs/triangul/dos/triangul.tgt: 
	Improved vehicletype loading/saving routines
	 documented some global variables

2000-10-17 12:46  mbickel

	* asc.kdevprj, config.h.in, configure, configure.in,
	source/Makefile.in, source/libs/triangul/trimisc.c,
	source/sdl/events.cpp:	Added log2 testing to configure.in
	 Eventhandling now different between Win32 and Linux

2000-10-16 16:34  mbickel

	* doc/source.html, source/dlgraph.cpp, source/dos/global_os.h,
	source/dos/keybp.cpp, source/sdl/events.cpp,
	source/sdl/graphics.cpp, source/sdl/timer.cpp,
	source/win32/asc.tgt, source/win32/asc.wpj,
	source/win32/mapedit/mapedit.tgt, source/win32/msvc/fileio.h,
	source/win32/msvc/global_os.h, source/win32/msvc/projectfiles.zip,
	source/win32/watcom/global_os.h:  Win32 port is now running fine.
	 Removed MSVC project files and put them into a zip file in
	   asc/source/win32/msvc/

2000-10-16 11:50  mbickel

	* source/: TODO, dos/asc.tgt, dos/asc.wpj, dos/mapedit/edhex.tgt,
	libs/bzlib/dos/libbzip2.tgt, libs/triangul/trimisc.c,
	libs/triangul/dos/triangul.tgt:  DOS adjustments

2000-10-16 11:37  mbickel

	* asc.kdevprj, source/dlg_box.cpp:  Fixed Win32: not recognizing
	keys in dialog box

2000-10-15 14:31  mbickel

	* source/win32/: asc.tgt, asc.wpj, mapedit/mapedit.tgt:  Worked on
	Win32 port (Watcom)

2000-10-15 00:40  schelli

	* source/tools/java/: CompAll.bat, ToDO.txt, Unit.java,
	UnitEditor.form, UnitEditor.java: AutoRepairRate added version will
	be updated to actual version when saved "vehicle must category"
	added Weapon pannel restructured + can.NOT.hit added data-arrays
	updated

2000-10-14 17:31  mbickel

	* asc.kdevprj, source/AUTHORS, source/COPYING, source/NEWS,
	source/astar2.cpp, source/basestreaminterface.h, source/basestrm.h,
	source/edmisc.cpp, source/keybp.h, source/dos/keysymbols.h,
	source/sdl/keysymbols.h:  Moved key symbols to separate files
	 Moved tnstream to its own file

2000-10-14 16:16  mbickel

	* source/: artint.cpp, dialog.cpp, dlg_box.cpp, edglobal.cpp,
	edmisc.h, gamedlg.cpp, network.cpp, sg.cpp, sgstream.cpp,
	spfst.cpp, dos/asc.wpj, dos/mapedit/edhex.tgt, sdl/graphics.cpp,
	win32/asc.wpj, win32/mapedit/mapedit.tgt:  Cleaned up includes
	 Added mapeditor to win32 watcom project

2000-10-14 15:34  mbickel

	* doc/source.html, source/ChangeLog:  Updated source documentation:
	added paragraph about installing STLPORT

2000-10-14 15:07  mbickel

	* source/: loadbi3.h, loaders.cpp, sg.wpj, sgstream.cpp,
	weather.cpp, dos/asc.tgt, dos/asc.wpj, dos/mapedit/edhex.tgt,
	libs/bzlib/libbzip2.tgt, libs/bzlib/libbzip2.wpj,
	libs/bzlib/dos/libbzip2.tgt, libs/bzlib/os2/libbzip2.tgt,
	libs/bzlib/win/libbzip2.tgt, libs/triangul/dos/triangul.tgt,
	sdl/SDLStretch.cpp, sdl/events.cpp, sdl/loadimage.cpp,
	win32/asc.tgt, win32/asc.wpj, win32/watcom/global_os.h:  Moved DOS
	version into own subdirectories
	 Win32 version with Watcom compiles and links ! But doesn't run
	yet...

2000-10-14 13:18  mbickel

	* source/: dos/basevesa.obj, dos/dispfont.obj, dos/mouse.obj,
	dos/pcx.obj, dos/spfldutl.obj, tools/Makefile.bcc:  Added obj files
	of assembler routines for DOS version
	 Removed absolute path from source/tools/Makefile.bcc

2000-10-14 12:55  mbickel

	* source/win32/: asc.tgt, asc.wpj, watcom/fileio.h,
	watcom/global_os.h:  Added ASC-Win32 project files for Watcom

2000-10-14 12:52  mbickel

	* doc/source.html, source/astar2.cpp, source/basegfx.h,
	source/basestrm.h, source/controls.cpp, source/dialog.cpp,
	source/dlg_box.cpp, source/gamedlg.cpp, source/loaders.cpp,
	source/misc.h, source/network.cpp, source/sg.cpp, source/sg.wpj,
	source/typen.h, source/libs/bzlib/libbzip2.tgt,
	source/libs/bzlib/win/libbzip2.tgt,
	source/libs/triangul/triangul.tgt, source/tools/maketank.cpp,
	source/win32/fileio.h, source/win32/global_os.h,
	source/win32/msvc/fileio.h, source/win32/msvc/global_os.h:  Some
	adjustments for a Win32 port

2000-10-13 15:15  schelli

	* source/tools/java/: AbsoluteConstraints.java,
	AbsoluteLayout.java, ClassBound.java, CompAll.bat,
	ErrorMessage.java, MainWindow.form, MainWindow.java,
	MakeCheckIntRangeField.java, PK.java, RLEHeader.java,
	RLEHeader2.java, RLEPackage.java, Readme.txt, SgStream.java,
	SingleWeapon.java, ToDO.txt, Unit.java, UnitEditor.form,
	UnitEditor.java, UnitWeapon.java, Weapon.java, Weapons.java,
	org/netbeans/lib/awtextra/AbsoluteConstraints.java,
	org/netbeans/lib/awtextra/AbsoluteLayout.java: [no log message]

2000-10-13 00:24  mbickel

	* source/: basestrm.cpp, basestrm.h, misc.h, sg.cpp, sgstream.cpp,
	typen.cpp, weather.cpp:  Made the DOS part of the new platform
	system work again

2000-10-12 23:37  mbickel

	* asc.kdevprj, configure, configure.in, source/Makefile.am,
	source/Makefile.in, source/basestrm.h, source/dialog.cpp,
	source/gameoptions.cpp, source/global.h, source/misc.h,
	source/sg.cpp, source/sgstream.cpp, source/dos/fileio.h,
	source/dos/global_os.h, source/sdl/Makefile.am,
	source/sdl/Makefile.in, source/sdl/events.cpp,
	source/unix/fileio.h, source/unix/global_os.h,
	source/win32/global_os.h, source/win32/borland/fileio.h,
	source/win32/borland/global_os.h:  Further restructured platform
	dependant routines

2000-10-12 22:21  mbickel

	* source/: basestrm.cpp, basestrm.h, ndir.h, sg.wpj, dos/fileio.h,
	dos/wat_asm.bat, tools/Makefile.bcc, unix/fileio.h, win32/fileio.h,
	win32/borland/fileio.h:  Restructuring operating system dependant
	files

2000-10-12 21:51  mbickel

	* source/: basestrm.cpp, basestrm.h, global.h, loadbi3.cpp,
	misc.cpp, sgstream.cpp, libs/bzlib/Makefile.bcc,
	tools/Makefile.bcc, tools/weaponguide.cpp:  Added a stub program
	for generating a weapon guide
	 Added makefiles to compile this weaponguide with the free borland
	C++
	   compiler
	 Made some adjustments to basic IO file for compiling them with
	borland
	   C++

2000-10-12 21:00  mbickel

	* asc.kdevprj, source/basestrm.cpp, source/basestrm.h,
	source/buildingtype.cpp, source/edselfnt.cpp, source/loadbi3.cpp,
	source/spfst.cpp, source/tools/mount.cpp:  Fixed crash in building
	placement
	 Replaced multi-character character constants by strings (there
	where
	   problems with the byte order)
	 Building ID and name are now correctly displayed in mapeditor

2000-10-11 23:25  mbickel

	* asc.kdevprj, source/containerbase.cpp, source/containerbase.h: 
	Fixed uninitilized ladung in containerbase

2000-10-11 21:50  mbickel

	* asc.kdevprj, config.h.in, configure, configure.in,
	source/errors.h, source/global.h, source/strtmesg.cpp:	Cleaned up
	Linux make procedure

2000-10-11 18:59  mbickel

	* README, source/sg.wpj, source/tools/asctool.tgt,
	source/tools/tools.wpj:  Some more improvement of the Watcom build
	process

2000-10-11 18:45  mbickel

	* doc/source.html, source/mouse.asm, source/sg.wpj, source/tsm.bat,
	source/watcom.bat, source/dos/mouse.asm:  Improved the build
	process for Watcom

2000-10-11 17:33  mbickel

	* source/: Named.h, buildingtype.cpp, buildingtype.h,
	containerbase.cpp, edmisc.cpp, global.h, sg.wpj, spfst.cpp,
	spfst.h, typen.cpp, typen.h, unitctrl.cpp, unitctrl.h,
	vehicletype.cpp, tools/asctool.tgt, tools/bi2pcx.cpp,
	tools/bldhex.cpp, tools/convtank.wpj, tools/convtnk2.cpp,
	tools/krkr.cpp, tools/makebdt.cpp, tools/makeobl4.cpp,
	tools/maketank.cpp, tools/mount.wpj, tools/pcxtank.cpp,
	tools/printbld.cpp, tools/printtnk.cpp, tools/tools.wpj,
	tools/viewid.cpp, tools/dos/dosmount.tgt,
	tools/hexagon/convtank.tgt, tools/os2/os2mount.tgt,
	tools/win/winmount.tgt:  Adjusted small editors to the new ASC
	structure
	 Watcom compatibility

2000-10-11 16:26  mbickel

	* ChangeLog, asc.kdevprj, config.h.in, configure, configure.in,
	source/Makefile.am, source/Makefile.in, source/artint.cpp,
	source/astar2.cpp, source/astar2.h, source/attack.cpp,
	source/attack.h, source/basestrm.cpp, source/basestrm.h,
	source/building.cpp, source/building_controls.h,
	source/buildingtype.cpp, source/buildingtype.h,
	source/containerbase.cpp, source/containerbase.h,
	source/controls.cpp, source/controls.h, source/dialog.cpp,
	source/dlg_box.cpp, source/edevents.cpp, source/edglobal.cpp,
	source/edmain.cpp, source/edmisc.cpp, source/edmisc.h,
	source/edselfnt.cpp, source/errors.h, source/gamedlg.cpp,
	source/gamedlg.h, source/global.h, source/gui.cpp, source/gui.h,
	source/keybp.h, source/loadbi3.cpp, source/loaders.cpp,
	source/loaders.h, source/loadpcxc.cpp, source/mapalgorithms.cpp,
	source/mapalgorithms.h, source/misc.cpp, source/misc.h,
	source/missions.cpp, source/missions.h, source/newfont.cpp,
	source/oldlzw.cpp, source/sg.cpp, source/sgstream.cpp,
	source/spfst.cpp, source/spfst.h, source/strtmesg.cpp,
	source/tpascal.inc, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/unitctrl.h, source/vehicletype.cpp,
	source/vehicletype.h, source/viewcalculation.cpp,
	source/viewcalculation.h, source/libs/Makefile.am,
	source/libs/Makefile.in, source/libs/readme.txt,
	source/libs/bzlib/Makefile, source/sdl/asc_IMG_jpg.c,
	source/sdl/events.cpp, source/sdl/graphics.cpp,
	source/sdl/loadimage.cpp, source/tools/bldhex.cpp,
	source/tools/makebuld.cpp, source/tools/mount.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in: 
	Modernized the internal structure of ASC:
	  - vehicles and buildings now derived from a common base class
	  - new resource class
	  - reorganized exceptions (errors.h)
	 Split some files:
	   typen -> typen, vehicletype, buildingtype, basecontainer
	   controls -> controls, viewcalculation
	   spfst -> spfst, mapalgorithm
	 bzlib is now statically linked and sources integrated

2000-10-03 18:49  mbickel

	* source/tools/: makeobl4.cpp, java/AbsoluteConstraints.java,
	java/AbsoluteLayout.java, java/ClassBound.java, java/CompAll.bat,
	java/ErrorMessage.java, java/MainWindow.java,
	java/MakeCheckIntRangeField.java, java/PK.java,
	java/RLEHeader.java, java/RLEHeader2.java, java/RLEPackage.java,
	java/Readme.txt, java/SgStream.java, java/SingleWeapon.java,
	java/StartSelector.bat, java/Unit.java, java/UnitEditor.java,
	java/UnitWeapon.java, java/Weapon.java, java/Weapons.java:  Added
	Java Vehicle editor

2000-09-27 18:08  mbickel

	* asc.kdevprj, configure, configure.in, source/artint.cpp,
	source/controls.cpp, source/dialog.cpp, source/sg.cpp,
	source/spfst.cpp, source/spfst.h, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/unitctrl.h:  AI improvements

2000-09-26 22:02  mbickel

	* source/libs/bzlib/: Makefile-libbz2_so,
	README.COMPILATION.PROBLEMS, dlltest.c, dlltest.dsp, libbz2.dsp,
	makefile.msc, sample1.bz2, sample1.ref, sample2.bz2, sample2.ref,
	sample3.bz2, sample3.ref, spewG.c, unzcrash.c, words0:	Added all
	files from bzlib 1.0.0

2000-09-26 21:58  mbickel

	* source/libs/: readme.txt, bzlib/CHANGES, bzlib/LICENSE,
	bzlib/Makefile, bzlib/README, bzlib/blocksort.c, bzlib/bzip2.1,
	bzlib/bzip2.1.preformatted, bzlib/bzip2.c, bzlib/bzip2.txt,
	bzlib/bzip2recover.c, bzlib/bzlib.c, bzlib/bzlib.h,
	bzlib/bzlib_private.h, bzlib/compress.c, bzlib/crctable.c,
	bzlib/decompress.c, bzlib/huffman.c, bzlib/libbz2.def,
	bzlib/manual.ps, bzlib/manual.texi, bzlib/manual_1.html,
	bzlib/manual_2.html, bzlib/manual_3.html, bzlib/manual_4.html,
	bzlib/manual_toc.html, bzlib/randtable.c, bzlib/words1,
	bzlib/words3:  Upgraded the included bzlib (which is used for DOS)
	to 1.0.0

2000-09-26 20:05  mbickel

	* asc.kdevprj, configure, configure.in, source/artint.cpp,
	source/basestrm.cpp, source/basestrm.h:  Upgraded to bzlib 1.0.0
	(which is incompatible to older versions)

2000-09-25 22:04  mbickel

	* source/: TODO, artint.cpp, artint.h, astar2.cpp, astar2.h,
	building.cpp, building_controls.h, sg.cpp, spfst.cpp, spfst.h,
	strtmesg.cpp, typen.cpp, typen.h, unitctrl.cpp, unitctrl.h:  AI
	improvements

2000-09-25 17:05  mbickel

	* source/: artint.cpp, typen.cpp:  Some fixes for Watcom

2000-09-25 15:25  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h,
	source/dialog.cpp, source/typen.cpp, source/typen.h,
	source/unitctrl.cpp, source/unitctrl.h:  The AI can now change the
	height of units
	 Heightchaning routines improved

2000-09-24 21:57  mbickel

	* asc.kdevprj, source/TODO, source/artint.cpp, source/basestrm.h,
	source/controls.h, source/gui.cpp, source/sg.cpp, source/typen.h,
	source/unitctrl.cpp, source/unitctrl.h:  ChangeUnitHeight functions
	are now more powerful since they use
	   UnitMovement on their own.

2000-09-23 19:46  mbickel

	* asc.kdevprj, doc/asc.css, doc/contact.html, doc/source.html,
	doc/graphics/body2b.jpg, doc/graphics/join.gif,
	doc/graphics/sflogo.gif:  Updated documentation directory

2000-09-22 21:05  mbickel

	* configure:  Fix: Missing makefile for mapedit and tools

2000-09-22 20:53  mbickel

	* configure.in:  Fix: Makefile for mapedit and tools missing

2000-09-20 17:05  mbickel

	* source/sgstream.cpp:	Better error handling on startup.

2000-09-17 18:16  mbickel

	* source/: artint.cpp, typen.h:  Some fixes for Watcom

2000-09-17 17:20  mbickel

	* asc.kdevprj, source/CLoadable.cpp, source/building.h,
	source/building_controls.h, source/controls.cpp, source/controls.h,
	source/dialog.cpp, source/gameoptions.cpp, source/gameoptions.h,
	source/missions.cpp, source/movecurs.inc, source/sg.cpp,
	source/spfst.cpp, source/spfst.h, source/strtmesg.cpp,
	source/typen.h, source/unitctrl.cpp, source/unitctrl.h:  AI is now
	automatically invoked (depending on gameoptions)
	 Some cleanup

2000-09-17 17:18  mbickel

	* doc/source.html:  Added paragraph about source formatting

2000-09-17 17:17  mbickel

	* source/: artint.cpp, artint.h:  some restructuring; moving units
	out of buildings

2000-09-17 17:16  mbickel

	* source/building.cpp:	reformatted the whole file with Astyle

2000-09-16 15:02  mbickel

	* source/: CLoadable.cpp, controls.cpp, controls.h,
	gameoptions.cpp, gameoptions.h, sg.cpp:  Put the AI in place

2000-09-16 13:47  mbickel

	* source/: attack.cpp, attack.h, controls.cpp, controls.h,
	dialog.cpp, dialog.h, edmisc.cpp, gamedlg.cpp, gamedlg.h,
	loadbi3.h, misc.cpp, misc.h, sg.cpp:  Some cleanup and
	documentation again

2000-09-10 12:19  mbickel

	* asc.kdevprj, source/artint.cpp, source/typen.h,
	source/unitctrl.cpp:  AI improvements

2000-09-07 18:42  mbickel

	* source/: artint.cpp, artint.h, astar2.cpp, astar2.h, edmain.cpp,
	dos/memory.cpp, dos/mousehnd.cpp:  Made some adjustments so that
	ASC compiles with Watcom again...

2000-09-07 17:49  mbickel

	* asc.kdevprj, source/CLoadable.cpp, source/attack.h,
	source/basegfx.h, source/controls.cpp, source/edmain.cpp,
	source/edmisc.cpp, source/gui.cpp, source/loaders.cpp,
	source/loaders.h, source/misc.cpp, source/misc.h, source/oldai.cpp,
	source/sg.cpp, source/spfst.h, source/typen.cpp, source/typen.h: 
	some cleanup and documentation

2000-09-07 17:42  mbickel

	* source/: astar2.cpp, astar2.h:  Put class around A*
	 Added function to get all reachable fields

2000-09-07 17:42  mbickel

	* source/: artint.cpp, artint.h: [no log message]

2000-09-05 21:57  gulliver

	* source/sg.cpp: namespace std added on vector

2000-09-05 21:55  gulliver

	* source/basestrm.cpp: namespace std added on string vars

2000-09-02 17:36  mbickel

	* source/: astar2.cpp, loaders.cpp, loaders.h, spfst.h:  Some minor
	cleanup and documentation

2000-09-02 15:59  mbickel

	* asc.kdevprj, source/artint.cpp, source/artint.h,
	source/astar2.cpp, source/doxygen.config, source/spfst.cpp,
	source/spfst.h, source/typen.h:  Worked on AI
	 Started using doxygen

2000-09-01 19:46  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/astar2.cpp, source/astar2.h, source/sg.cpp,
	source/spfst.cpp, source/typen.cpp, source/typen.h:  Improved A*
	code
	 Renamed tvehicle class to Vehicle

2000-09-01 17:47  mbickel

	* source/: astar2.cpp, astar2.h, sg.cpp, sg.wpj, sgstream.h,
	spfst.h, tools/krkr.cpp, tools/maketank.cpp, tools/tools.wpj,
	tools/viewid.cpp, tools/dos/viewid.tgt:  Added Astar path finding
	code
	 Fixed: viewid crashed
	 Fixed display error in ynswitch ( krkr.cpp )

2000-08-30 18:26  mbickel

	* source/gui.h: [no log message]

2000-08-30 16:45  mbickel

	* asc.kdevprj, source/building.cpp, source/building.h,
	source/gui.cpp, source/gui.h:  ASC compiles and links with GCC
	again...

2000-08-29 22:21  mbickel

	* asc.kdevprj, source/artint.cpp, source/building.cpp,
	source/building.h, source/gui.cpp, source/gui.h:  Tried to make
	source GCC compliant, but some problems still remain

2000-08-29 19:42  mbickel

	* source/: building.cpp, building.h, controls.cpp, gui.cpp, gui.h: 
	Restructured GUI to make it compilable with VisualC.

2000-08-29 12:36  mbickel

	* source/: dialog.cpp, sg.cpp, strtmesg.cpp, unitctrl.cpp:  Removed
	Debug code
	 Fixed bug: movement left when changing height into buildings

2000-08-28 21:49  mbickel

	* asc.kdevprj, source/building.cpp, source/building.h,
	source/controls.cpp, source/controls.h, source/dialog.cpp,
	source/spfst.cpp, source/strtmesg.cpp, source/unitctrl.cpp:  Fixed:
	replay exits when moving satellite out of orbiter
	 Fixed: airplanes being able to endlessly takeoff and land
	 Fixed: buildings constructable by unit without resources

2000-08-28 17:58  mbickel

	* asc.kdevprj, source/loaders.cpp, source/sg.cpp,
	source/strtmesg.cpp:  Fixed short displaying of map before password
	dialog when loading email
	   games by command line parameter
	 Fixed reaction fire not working when loading an old ( < ASC1.2.0 )
	file

2000-08-28 16:37  mbickel

	* asc.kdevprj, source/building.cpp, source/controls.cpp,
	source/controls.h, source/sg.cpp:  Fixed: satellite not able to
	leave orbiter
	 Restructured next-turn routines

2000-08-26 17:33  mbickel

	* source/: controls.cpp, dialog.cpp, dialog.h, dlg_box.cpp,
	dlg_box.h, gamedlg.cpp, sg.cpp, sg.wpj, tools/pcxtank.cpp:  Warning
	message displayed if empty password is entered
	 pcxtank now displays error messages

2000-08-25 15:42  mbickel

	* asc.kdevprj, source/artint.cpp, source/building.cpp,
	source/controls.cpp, source/dialog.cpp, source/gamedlg.cpp,
	source/typen.h:  Fixed: zoom dialogbox in mapeditor was invisible
	 Fixed: ammoproduction: no numbers displayed
	 game options: produceammo and fillammo are now modified together
	 Fixed: sub could not be seen when standing on a mine
	 Some AI improvements

2000-08-21 19:50  mbickel

	* asc.kdevprj, source/basegfx.h, source/basestrm.cpp,
	source/edmain.cpp, source/gamedlg.cpp, source/loaders.cpp,
	source/missions.cpp, source/sg.cpp, source/sgstream.cpp,
	source/strtmesg.cpp, source/typen.cpp, source/typen.h,
	source/dos/loadimage.cpp, source/dos/vesa.cpp,
	source/sdl/graphics.cpp, source/sdl/loadimage.cpp:  Fixed: crash
	when unit reaching max experience
	 Fixed: crash when displaying research image
	 Fixed: crash when events referenced a unit that has been shot down
	 Fixed: screenshot being written to wrong directory

2000-08-19 18:25  mbickel

	* source/: mousecontrol.h, ndir.h:  Added provisional
	mousecontrol.h , ndir.h

2000-08-18 14:45  mbickel

	* doc/: source.htm, source.html:  Renamed doc/source.htm to
	doc/source.html

2000-08-15 18:22  mbickel

	* ChangeLog, asc.kdevprj, doc/readme.linux, source/edselfnt.cpp: 
	Fixed: crash in mapedit when selecting a unit as buildingcargo

2000-08-13 17:22  mbickel

	* source/: sg.cpp, sg.wpj:  Improved data version control
	 Fixed: not all experience symbols were loaded

2000-08-13 16:09  mbickel

	* source/: dialog.cpp, dos/loadimage.cpp:  Removed debug output in
	unitset info

2000-08-13 14:55  mbickel

	* asc.kdevprj, source/basestrm.cpp:  Fixed IO errors with very
	small files

2000-08-13 14:35  mbickel

	* asc.kdevprj, source/sg.cpp: 
	 Dataversion >= 3 is now required

2000-08-13 13:55  mbickel

	* source/: attack.cpp, sg.cpp, strtmesg.cpp, typen.h, unitctrl.cpp:
	 Attacking now decreases a units movement by 20% if it has the
	   "move after attack" flag.

2000-08-13 12:24  mbickel

	* asc.kdevprj, source/controls.cpp, source/typen.cpp:  Fixed:
	movement decrease when cloning units
	 Fixed: refuel skipped next action in replay

2000-08-13 11:53  mbickel

	* source/: building.cpp, controls.cpp, controls.h, dialog.cpp,
	dialog.h, gamedlg.cpp, gamedlg.h, spfst.cpp:  Refuelling is now
	logged for replays

2000-08-12 17:03  mbickel

	* asc.kdevprj, source/attack.cpp, source/basestrm.cpp,
	source/controls.cpp, source/dialog.cpp, source/gamedlg.cpp,
	source/global.h, source/loadpcxc.cpp, source/sg.cpp,
	source/unitctrl.cpp, source/sdl/asc_IMG_jpg.c,
	source/sdl/events.cpp, source/sdl/loadimage.cpp:  Fixed bug in unit
	movement
	 ASC compiles and runs under Linux again...

2000-08-12 17:01  mbickel

	* source/: gui.cpp, gui.h:  Restored old versions of GUI ; new ones
	were broken

2000-08-12 14:52  mbickel

	* source/: attack.cpp, attack.h, controls.cpp, controls.h,
	dialog.cpp, dialog.h, dlg_box.cpp, dlg_box.h, edevents.cpp,
	edgen.cpp, edgen.h, edglobal.cpp, edmisc.cpp, edmisc.h, flview.cpp,
	flview.h, gamedlg.cpp, gamedlg.h, global.h, loaders.cpp, loaders.h,
	missions.cpp, mousehnd.h, movecurs.inc, network.cpp, network.h,
	newfont.cpp, newfont.h, pd.cpp, pd.h, sg.cpp, spfst.cpp, spfst.h,
	dos/cdrom.cpp, dos/cdrom.h, dos/loadpcx.cpp, dos/mousehnd.cpp,
	libs/jpeg/jpeglib.h, tools/makeobl4.cpp, tools/maketank.cpp,
	tools/maketech.cpp:  Made DOS-Version compile and run again.

2000-08-12 11:17  gulliver

	* source/: CLoadable.cpp, CLoadable.h, artint.cpp, attack.cpp,
	basegfx.cpp, basegfx.h, basestrm.cpp, basestrm.h, building.cpp,
	building.h, controls.cpp, controls.h, dialog.cpp, dlg_box.cpp,
	dlg_box.h, dlgraph.cpp, gamedlg.cpp, gamedlg.h, global.h, gui.cpp,
	gui.h, loadbi3.cpp, mousehnd.h, network.cpp, sg.cpp, sgstream.cpp,
	sgstream.h, spfst.cpp, spfst.h, tpascal.inc, typen.cpp, typen.h,
	libs/jpeg/jpeglib.h, sdl/asc_IMG_jpg.c, sdl/events.cpp,
	sdl/graphics.cpp, sdl/loadimage.cpp, sdl/sound.cpp,
	test/testcodepage.cpp: [no log message]

2000-08-12 11:11  gulliver

	* source/: PropertyGroup.cpp, gameoptions.cpp, gameoptions.h: [no
	log message]

2000-08-11 14:24  mbickel

	* asc.kdevprj, source/loaders.cpp, source/loaders.h,
	source/typen.cpp, source/typen.h:  Fixed: no movement after
	refuelling unit
	 Restructured reading/writing of units

2000-08-11 13:40  mbickel

	* source/test/testcodepage.cpp:  Added program for testing
	character>127 handling

2000-08-11 13:38  mbickel

	* source/: building.cpp, dialog.cpp, sg.wpj:  Enabled resource
	control subwindow in BI resource mode

2000-08-10 13:18  mbickel

	* asc.kdevprj, source/spfst.cpp, source/strtmesg.cpp,
	source/sdl/Makefile.am, source/sdl/Makefile.in,
	source/sdl/asc_IMG_jpg.c, source/sdl/loadimage.cpp:  Fixed
	building: moveunitdown
	 changed loadimage to use standard SDL_image

2000-08-10 12:20  mbickel

	* source/: sg.wpj, strtmesg.cpp, typen.cpp, typen.h:  Added
	building function "produce all unit types"

2000-08-09 15:18  mbickel

	* asc.kdevprj, source/building.cpp, source/unitctrl.cpp:  Fixed:
	invalid movement cost for airplanes flying with wind
	 Fixed: building mineral resource info: wrong lines for
	availability

2000-08-09 14:39  mbickel

	* source/: dialog.cpp, gui.cpp, sg.wpj, spfst.cpp, typen.cpp,
	typen.h:  fixed invalid height when constructing vehicle with other
	vehicles
	 fixed wrong descent icon being shown

2000-08-08 15:38  mbickel

	* asc.kdevprj, source/controls.cpp, source/spfst.cpp,
	source/typen.cpp:  Fixed: construction of buildings doesn't consume
	resources
	 Fixed: no unit information visible for satellites

2000-08-08 15:21  mbickel

	* source/: CLoadable.cpp, controls.cpp, dialog.cpp,
	gameoptions.cpp, gameoptions.h, sg.cpp, sgstream.cpp, typen.cpp,
	typen.h, tools/bldhex.cpp, tools/maketank.cpp, tools/printbld.cpp,
	tools/printtnk.cpp:  Added unitCategoriesLoadable property to
	buildingtypes and vehicletypes
	 Added option: showUnitOwner

2000-08-08 11:47  mbickel

	* asc.kdevprj, configure, configure.in, source/artint.cpp,
	source/attack.cpp, source/building.cpp, source/building.h,
	source/controls.cpp, source/dlg_box.cpp, source/dlg_box.h,
	source/dlgraph.cpp, source/edmisc.cpp, source/gamedlg.cpp,
	source/gui.cpp, source/sg.cpp, source/spfst.cpp, source/typen.cpp,
	source/unitctrl.cpp, source/sdl/loadimage.cpp: 
	 speed up of dialog boxes in linux
	 fixed graphical errors in attack
	 fixed graphical error in ammo transfer
	 fixed reaction fire not allowing manual attack

2000-08-07 23:10  mbickel

	* source/: artint.cpp, attack.cpp, edmisc.cpp, spfst.cpp:  Fixed
	some syntax errors

2000-08-07 18:29  mbickel

	* source/: artint.cpp, attack.cpp, controls.cpp, gamedlg.cpp,
	gamedlg.h, gui.cpp, loaders.cpp, sg.cpp, sg.wpj, typen.cpp,
	typen.h, unitctrl.cpp:	orbiting units don't consume fuel any more
	 Fixed bug in attack formula; improved attack formula
	 Rewrote reactionfire

2000-08-06 15:14  mbickel

	* asc.kdevprj, source/dlg_box.cpp, source/edselfnt.cpp:  Fixed
	crashes in mapeditor

2000-08-06 14:18  mbickel

	* source/: gamedlg.cpp, gameoptions.cpp, strtmesg.cpp, typen.cpp,
	tools/maketank.cpp:  Gameoptions: new default values
	 Maketank: negative buildable-object-IDs

2000-08-06 13:38  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in, source/TODO,
	source/building.cpp, source/controls.cpp, source/dialog.cpp,
	source/dialog.h, source/dlg_box.cpp, source/dlg_box.h,
	source/edevents.cpp, source/edevents.h, source/edglobal.cpp,
	source/edmisc.cpp, source/edselfnt.cpp, source/edselfnt.h,
	source/gamedlg.cpp, source/loadbi3.cpp, source/sg.cpp,
	source/spfst.cpp, source/typen.cpp, source/typen.h,
	source/sdl/loadimage.cpp:  New map paramter: fuel globally
	available
	 Mapeditor can now filter buildings too
	 Fixed unfreed memory in fullscreen image loading
	 Fixed: wasted cpu cycles in building
	 map parameters can be specified when starting a map
	 map parameters are reported to all players in multiplayer games

2000-08-05 22:17  mbickel

	* source/: gamedlg.cpp, loadimage.h, loadjpg.cpp, loadjpg.h,
	sg.cpp, sg.h, sg.wpj, dos/loadjpg.cpp, dos/loadjpg.h:  Restructured
	Fullscreen Image loading

2000-08-05 20:26  mbickel

	* asc.kdevprj, source/loadimage.h, source/sg.cpp,
	source/sdl/Makefile.am, source/sdl/Makefile.in,
	source/sdl/loadimage.cpp:  Added Fullscreen-JPG-Support

2000-08-05 17:30  mbickel

	* source/: building.cpp, controls.cpp, strtmesg.cpp, typen.cpp: 
	Fixed possible divisions by 0 in attack/defensebonus

2000-08-05 15:38  mbickel

	* asc.kdevprj, source/attack.cpp, source/attack.h,
	source/building.cpp, source/controls.cpp, source/loaders.cpp,
	source/sg.cpp, source/sgstream.cpp, source/spfst.cpp,
	source/typen.cpp, source/typen.h, source/unitctrl.cpp:	Rewrote
	height checking for moving units in and out of
	   transports / building

2000-08-04 17:10  mbickel

	* source/: artint.cpp, attack.cpp, building.cpp, controls.cpp,
	dialog.cpp, edmisc.cpp, edselfnt.cpp, gui.cpp, loaders.cpp, sg.cpp,
	sg.wpj, sgstream.cpp, spfst.cpp, typen.cpp, typen.h, unitctrl.cpp,
	tools/makebdt.cpp:  Moving transports costs movement for units
	inside
	 refuelled vehicles now have full movement in the same turn
	 terrain: negative attack / defensebonus allowed
	 new mapparameters that affect damaging and repairing of building

2000-08-03 21:45  mbickel

	* source/: basestrm.cpp, edmisc.cpp, loaders.cpp, sg.cpp, sg.wpj,
	strtmesg.cpp, dos/loadpcx.cpp, tools/demount.wpj,
	tools/dos/demount.tgt, tools/os2/demount.tgt,
	tools/win/demount.tgt:	Fixed some bugs in DOS code
	 Removed submarine.ascent != 0 hack

2000-08-03 21:23  mbickel

	* acinclude.m4, source/sdl/SDLStretch.cpp, source/sdl/SDLStretch.h:
	 Added SDLStretch routines
	 Added acinclude.m4 (from SDL1.1.3)

2000-08-03 21:21  mbickel

	* Makefile.in, aclocal.m4, asc.kdevprj, config.h.in, configure,
	configure.in, source/Makefile.am, source/Makefile.in,
	source/basestrm.cpp, source/basestrm.h, source/building.cpp,
	source/edmisc.cpp, source/edselfnt.cpp, source/loadbi3.cpp,
	source/loadpcxc.cpp, source/sg.cpp, source/spfst.cpp,
	source/typen.cpp, source/docs/Makefile.in,
	source/docs/en/Makefile.in, source/libs/Makefile.in,
	source/libs/triangul/Makefile.in, source/sdl/Makefile.am,
	source/sdl/Makefile.in, source/sdl/sound.cpp,
	source/tools/Makefile.in, source/tools/linux/Makefile.am,
	source/tools/linux/Makefile.in:  Fixed: units had invalid height
	when produced in some buildings
	 Fixed: units could not enter building if unitheightreq==0
	 Started adding SDL_image support
	 Upgraded to SDL1.1.3 (for SDL_image)

2000-08-03 15:11  mbickel

	* source/: artint.cpp, attack.cpp, attack.h, building.cpp,
	controls.cpp, dialog.cpp, dlg_box.cpp, dlg_box.h, edmisc.cpp,
	gui.cpp, loaders.cpp, loaders.h, strtmesg.cpp, typen.cpp, typen.h,
	tools/makeobl4.cpp:  Fixed: on/off switching of generator vehicle
	produced endless amounts of energy
	 Repairing units now reduces their experience
	 negative attack- and defenseboni possible
	 changed attackformula

2000-08-02 20:18  mbickel

	* source/: sgstream.cpp, tools/bldhex.cpp, tools/tools.wpj,
	tools/dos/bi2pcx.tgt, tools/dos/makebld.tgt, tools/dos/makeobl.tgt,
	tools/dos/maketec.tgt, tools/dos/maketrr.tgt,
	tools/dos/makeveh.tgt, tools/dos/printveh.tgt,
	tools/dos/trn2pcx.tgt, tools/dos/veh2pcx.tgt:  Fixed broken Watcom
	Projectfiles for tools
	 Makebld can now save a buildings image

2000-08-02 19:27  mbickel

	* source/: sgstream.cpp, tools/demount.wpj, tools/mount.wpj,
	tools/dos/demount.tgt, tools/dos/dosmount.tgt,
	tools/os2/demount.tgt, tools/os2/os2mount.tgt,
	tools/win/demount.tgt, tools/win/winmount.tgt:	Renamed translation
	to transformation in unitset definition file

2000-08-02 17:52  mbickel

	* asc.kdevprj, source/artint.cpp, source/basestrm.cpp,
	source/basestrm.h, source/controls.cpp, source/dialog.cpp,
	source/dialog.h, source/edglobal.cpp, source/edglobal.h,
	source/edmain.cpp, source/edmisc.cpp, source/sg.cpp,
	source/sgstream.cpp, source/sgstream.h, source/spfst.cpp,
	source/strtmesg.cpp, source/tools/demount.cpp,
	source/tools/mount.cpp:  New unit set definition files
	 demount accepts now more than one container file
	 Unitset information dialog added

2000-08-02 12:28  mbickel

	* source/: basestrm.cpp, basestrm.h, controls.cpp, controls.h,
	dialog.cpp, loadbi3.cpp, misc.h, newfont.h, sg.wpj, sgstream.cpp,
	spfst.h, typen.cpp, typen.h:  Fixed: generator vehicle not working
	 Streams can now report their name
	 Field information shows units filename

2000-08-02 10:47  mbickel

	* asc.kdevprj, source/controls.cpp, source/controls.h,
	source/dlg_box.cpp:  Fixed: Mineral resources where visible for all
	players

2000-08-01 15:50  mbickel

	* asc.kdevprj, source/network.cpp, source/spfst.cpp,
	source/unitctrl.cpp:  Chaning the height of airplanes is not
	affected by wind any more.
	 Fixed: Airplanes could ascend onto buildings

2000-08-01 14:38  mbickel

	* source/: CLoadable.cpp, PropertyGroup.cpp, strtmesg.cpp:  Some
	more configuration file refinements

2000-08-01 12:39  mbickel

	* INSTALL, asc.kdevprj, doc/readme.linux, source/CLoadable.cpp,
	source/basestrm.cpp, source/basestrm.h, source/edmain.cpp,
	source/gameoptions.cpp, source/gameoptions.h, source/gui.cpp,
	source/sg.cpp, source/sgstream.cpp, source/sgstream.h:	Updated
	documentation
	 Refined configuration file handling

2000-07-31 21:16  mbickel

	* source/: basestrm.cpp, basestrm.h, controls.cpp, dialog.cpp,
	edmain.cpp, gameoptions.cpp, sg.cpp, sg.wpj, sgstream.cpp,
	unitctrl.cpp, tools/asctool.tgt, tools/maketank.cpp,
	tools/tools.wpj, tools/dos/viewid.tgt:	Improved handing of
	multiple directories
	 Fixed: wind direction not displayed when cycling through wind
	heights
	 Fixed: oil rig not working
	 Fixed: resources becomming visible when checking mining station
	status
	 Fixed: division by zero when moving unit without fuel consumption

2000-07-31 20:02  mbickel

	* asc.kdevprj, source/CLoadable.cpp, source/Property.cpp,
	source/PropertyGroup.cpp, source/basestrm.cpp, source/basestrm.h,
	source/edglobal.cpp, source/edmain.cpp, source/gameoptions.cpp,
	source/gameoptions.h, source/sg.cpp, source/sgstream.cpp,
	source/sgstream.h, source/strtmesg.cpp,
	source/tools/linux/Makefile.am, source/tools/linux/Makefile.in: 
	New configuration file handling
	 ASC searches its data files in all directories specified in ascrc
	 Renamed all tools so they begin with asc

2000-07-29 20:40  mbickel

	* source/: building.cpp, sg.wpj, strtmesg.cpp:	Fixed crash in ammo
	transfer window inside buildings/transports

2000-07-29 17:28  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/PropertyGroup.h, source/sgstream.cpp:  Plaintext configfile
	runs now in Linux version too

2000-07-29 16:54  mbickel

	* source/: CLoadable.cpp, CLoadable.h, Named.cpp, Named.h,
	Property.cpp, Property.h, PropertyGroup.cpp, PropertyGroup.h,
	PropertyIF.h, artint.cpp, artint.h, attack.cpp, building.cpp,
	controls.cpp, dialog.cpp, edglobal.cpp, gamedlg.cpp,
	gameoptions.cpp, gameoptions.h, gui.cpp, loadbi3.cpp, loadbi3.h,
	loaders.cpp, network.cpp, sg.cpp, sg.wpj, sgstream.cpp, sgstream.h,
	spfst.cpp, typen.cpp, typen.h, unitctrl.cpp:  plain text
	configuration file implemented

2000-07-28 12:15  mbickel

	* source/: basestrm.cpp, basestrm.h, sg.cpp, sgstream.cpp,
	spfst.cpp, typen.h, unitctrl.cpp:  Fixed broken movement
	 Fixed graphical artefacts when moving some airplanes

2000-07-26 17:58  mbickel

	* source/: gamedlg.cpp, loaders.cpp, sg.wpj, unitctrl.cpp:  Fixed:
	infinite loop when landing with an aircraft which is low on fuel
	 Fixed a bug in loadgame

2000-07-24 15:55  mbickel

	* asc.kdevprj, source/strtmesg.cpp, source/unitctrl.cpp:  Fixed
	crash when attacking unit is destroyed by attacked unit

2000-07-23 19:59  mbickel

	* source/: artint.cpp, artint.h, controls.cpp, controls.h,
	dialog.cpp, spfst.h, unitctrl.cpp:  various AI improvements
	 new terrain information window

2000-07-22 20:57  mbickel

	* source/: controls.cpp, sg.cpp:  New message during save operation
	 Weapon efficiency displayed did not correspond to mouse position
	when
	   first weapon was service

2000-07-16 18:15  mbickel

	* source/: building.cpp, controls.cpp:	Building: ammotransfer
	improved

2000-07-16 16:57  mbickel

	* asc.kdevprj, source/controls.cpp, source/sg.cpp,
	source/spfst.cpp, source/spfst.h:  Datafile versioning

2000-07-16 16:19  mbickel

	* source/: artint.cpp, artint.h, attack.cpp, attack.h,
	building.cpp, controls.cpp, dialog.cpp, edmain.cpp, gui.cpp,
	loadbi3.cpp, loaders.cpp, sg.cpp, sg.wpj, spfst.cpp, spfst.h,
	typen.h, unitctrl.cpp, unitctrl.h, tools/mount.cpp:  AI has now
	some primitive tactics implemented
	 Some clean up
	   moved weapon functions to attack.cpp
	 Mount doesn't modify PCX files any more.

2000-07-12 15:37  mbickel

	* asc.kdevprj, source/tools/mount.cpp:	ascMount now working again

2000-07-12 10:27  mbickel

	* source/: gamedlg.cpp, sg.wpj, strtmesg.cpp:  Prepared 1.1.9
	release

2000-07-10 17:21  mbickel

	* source/: building.cpp, controls.cpp, sg.cpp, tools/printbld.cpp: 
	Fixed crash in replay (alliancechange)
	 Fixed some movement problems when moving units out of transports /
	buildings
	 Removed save game description dialog

2000-07-06 13:07  mbickel

	* source/: artint.cpp, artint.h, attack.cpp, attack.h,
	building.cpp, controls.cpp, controls.h, sg.cpp, spfst.cpp, spfst.h,
	typen.h:  More AI work
	 Started modularizing the attack formula

2000-07-05 15:26  mbickel

	* asc.kdevprj, source/artint.cpp:  AI

2000-07-05 12:49  mbickel

	* source/: artint.cpp, missions.cpp, missions.h, sg.cpp, typen.cpp:
	 Fixed AI bugs
	 setbuildingdamage event now updates the screen

2000-07-05 11:24  mbickel

	* source/: edevents.cpp, missions.cpp, sg.wpj, strtmesg.cpp,
	typen.cpp, typen.h:  New event action: change building damage

2000-07-04 20:39  mbickel

	* source/: building.cpp, strtmesg.cpp, typen.cpp:  Added weapon
	information in buildings
	 Made buried pipeline darker

2000-07-04 19:10  mbickel

	* asc.kdevprj, source/controls.cpp:  Fixed crash in replay with
	invalid removebuilding coordinates

2000-07-02 23:04  mbickel

	* source/: attack.cpp, controls.cpp, dialog.cpp, loadbi3.cpp,
	sg.wpj, spfst.cpp, spfst.h, typen.cpp, unitctrl.cpp:  Fixed crash
	in Replay
	 Fixed graphic errors in replay

2000-06-28 21:26  mbickel

	* asc.kdevprj, source/Makefile.am, source/Makefile.in,
	source/building.cpp, source/edglobal.cpp, source/edmisc.cpp,
	source/edselfnt.cpp, source/loaders.cpp, source/movecurs.inc,
	source/sgstream.cpp, source/spfst.cpp, source/spfst.h,
	source/strtmesg.cpp, source/typen.cpp:	fixed bug in object
	generation by building removal
	 Added artint.cpp to makefiles
	 Some cleanup

2000-06-28 20:30  mbickel

	* source/: artint.cpp, artint.h, basestrm.cpp, basestrm.h,
	building.cpp, controls.cpp, gui.cpp, loaders.cpp, sg.cpp, sg.wpj,
	sgstream.cpp, spfst.cpp, strtmesg.cpp, typen.cpp, typen.h,
	tools/bldhex.cpp:  Started working on AI
	 Started making loaders independent of memory layout
	 Destroyed buildings can now leave objects behind.

2000-06-23 14:09  mbickel

	* source/sg.cpp:  Graphicsets now selectable in ASC too.

2000-06-23 13:53  mbickel

	* asc.kdevprj, source/spfst.cpp, source/unitctrl.cpp:  Fixed a bug
	that crashed ASC when trying to ascend with a unit near the
	  border of the map

2000-06-23 11:48  mbickel

	* source/: dlg_box.cpp, strtmesg.cpp, dos/keybp.cpp:  Improved key
	handling in intedit/stredit

2000-06-23 11:24  mbickel

	* asc.kdevprj, source/controls.cpp, source/dlg_box.cpp,
	source/keybp.h:  Fixed crash in replay
